DDIschema = {
  "type": "Schema",
  "shapes": [
    {
      "id": "http://ddi-alliance.org/ns/#AgentAssociation",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#agentName",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#InternationalString"
                ],
                "closed": true,
                "expression": {
                  "type": "TripleConstraint",
                  "predicate": "http://ddi-alliance.org/ns/#affiliation",
                  "valueExpr": {
                    "type": "NodeConstraint",
                    "datatype": "http://www.w3.org/2001/XMLSchema#string"
                  },
                  "min": 0,
                  "max": 1,
                  "annotations": [
                    {
                      "type": "Annotation",
                      "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                      "object": "http://lion.ddialliance.org/ddiobjects/affiliation"
                    },
                    {
                      "type": "Annotation",
                      "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                      "object": {
                        "value": "The affiliation of this person to an organization. This is generally an organization or sub-organization name and should be related to the specific role within which the individual is being listed.",
                        "type": "https://github.com/commonmark/commonmark.js"
                      }
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/bibliographicname"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nPersonal names should be listed surname or family name first, followed by forename or given name. When in doubt, give the name as it appears, and do not invert. In the case of organizations where there is clearly a hierarchy present, list the parts of the hierarchy from largest to smallest, separated by full stops and a space. If it is not clear whether there is a hierarchy present, or unclear which is the larger or smaller portion of the body, give the name as it appears in the item. The name may be provided in one or more languages.\n\nDDI 3.2 mapping\n=================\nr:BibliographicNameType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/agentname"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Full name of the contributor. Language equivalents should be expressed within the International String structure.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#role",
              "valueExpr": "http://ddi-alliance.org/ns/#PairedExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/role"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The role of the of the Agent within the context of the parent property name with information on the extent to which the role applies. Allows for use of external controlled vocabularies. Reference should be made to the vocabulary within the structure of the role. Recommended role for contributors can be found in the CASRAI Contributor Roles Vocabulary (CRediT) http://dictionary.casrai.org/Contributor_Roles, or the OPENRIF contribution ontology https://github.com/openrif/contribution-ontology",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#associatedAgent",
              "valueExpr": "http://ddi-alliance.org/ns/#Agent",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/associatedagent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Reference to an agent as described by any object that is a member of the abstract type Agent.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/agentassociation"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA basic structure for declaring the name of an Agent inline, reference to an Agent, and role specification. This object is used primarily within Annotation.\n\n\nDDI 3.2 mapping\n=================\nr:ContributorType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Annotation",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#title",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/title"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Full authoritative title. List any additional titles for this item as AlternativeTitle.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#subTitle",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/subtitle"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Secondary or explanatory title.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#alternativeTitle",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/alternativetitle"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An alternative title by which a data collection is commonly referred, or an abbreviation  for the title.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#creator",
              "valueExpr": "http://ddi-alliance.org/ns/#AgentAssociation",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/creator"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Person, corporate body, or agency responsible for the substantive and intellectual content of the described object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#publisher",
              "valueExpr": "http://ddi-alliance.org/ns/#AgentAssociation",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/publisher"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Person or organization responsible for making the resource available in its present form.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contributor",
              "valueExpr": "http://ddi-alliance.org/ns/#AgentAssociation",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contributor"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The name of a contributing author or creator, who worked in support of the primary creator given above.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#date",
              "valueExpr": "http://ddi-alliance.org/ns/#AnnotationDate",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/date"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A date associated with the annotated object (not the coverage period). Use typeOfDate to specify the type of date such as Version, Publication, Submitted, Copyrighted, Accepted, etc.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#languageOfObject",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#language"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/languageofobject"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Language of the intellectual content of the described object. Multiple languages are supported by the structure itself as defined in the transformation to specific bindings. Use language codes supported by xs:language which include the 2 and 3 character and extended structures defined by RFC4646 or its successors. Supports multiple language codes.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#identifier",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalIdentifier",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/identifier"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An identifier or locator. Contains identifier and Managing agency (ISBN, ISSN, DOI, local archive). Indicates if it is a URI.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#copyright",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/copyright"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The copyright statement.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#typeOfResource",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/typeofresource"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provide the type of the resource. This supports the use of a controlled vocabulary. It should be appropriate to the level of the annotation.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#informationSource",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/informationsource"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The name or identifier of source information for the annotated object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#versionIdentification",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/versionidentification"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Means of identifying the current version of the annotated object. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#versioningAgent",
              "valueExpr": "http://ddi-alliance.org/ns/#AgentAssociation",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/versioningagent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The agent responsible for the version. May have an associated role.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#summary",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/summary"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A summary description (abstract) of the annotated object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#relatedResource",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#InternationalIdentifier"
                ],
                "closed": true,
                "expression": {
                  "type": "TripleConstraint",
                  "predicate": "http://ddi-alliance.org/ns/#typeOfRelatedResource",
                  "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                  "min": 0,
                  "max": -1,
                  "annotations": [
                    {
                      "type": "Annotation",
                      "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                      "object": "http://lion.ddialliance.org/ddiobjects/typeofrelatedresource"
                    },
                    {
                      "type": "Annotation",
                      "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                      "object": {
                        "value": "The type of relationship between the annotated object and the related resource. Standard usage may include: describesDate, isDescribedBy,  isFormatOf, isPartOf, isReferencedBy, isReplacedBy, isRequiredBy, isVersionOf, references, replaces, requires, etc.",
                        "type": "https://github.com/commonmark/commonmark.js"
                      }
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/resourceidentifier"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nProvides a means of identifying a related resource and provides the typeOfRelationship.  \n\n\n\nExamples\n==========\nStandard usage may include: describesDate, isDescribedBy,  isFormatOf, isPartOf, isReferencedBy, isReplacedBy, isRequiredBy, isVersionOf, references, replaces, requires, etc.\n\nExplanatory notes\n===================\nMakes use of a controlled vocabulary for typing the relationship.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/relatedresource"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provide the identifier, managing agency, and type of resource related to this object. Use to specify related resources similar to Dublin Core isPartOf and hasPart to indicate collection/series membership for objects where there is an identifiable record. If not an identified object use the relationship to ExternalMaterial using a type that indicates a series description. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#provenance",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/provenance"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A statement of any changes in ownership and custody of the resource since its creation that are significant for its authenticity, integrity, and interpretation.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#rights",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/rights"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Information about rights held in and over the resource. Typically, rights information includes a statement about various property rights associated with the resource, including intellectual property rights.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#recordCreationDate",
              "valueExpr": "http://ddi-alliance.org/ns/#IsoDateType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/recordcreationdate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Date the record was created",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#recordLastRevisionDate",
              "valueExpr": "http://ddi-alliance.org/ns/#IsoDateType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/recordlastrevisiondate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Date the record was last revised",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/annotation"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nProvides annotation information on the object to support citation and crediting of the creator(s) of the object.\n\nDDI 3.2 mapping\n=================\nr:CitationType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#AnnotationDate",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Date"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#typeOfDate",
          "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
          "min": 0,
          "max": -1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/typeofdate"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "Use to specify the type of date. This may reflect the refinements of dc:date such as dateAccepted, dateCopyrighted, dateSubmitted, etc.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/annotationdate"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA generic date type for use in Annotation which provides the standard date structure plus a property to define the date type (Publication date,  Accepted date, Copyrighted date, Submitted date, etc.). \n\nSynonyms\n==========\nEquivalent of http://purl.org/dc/elements/1.1/date where the type of date may identify the Dublin Core refinement term.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Binding",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#fromParameter",
              "valueExpr": "http://ddi-alliance.org/ns/#Parameter",
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/fromparameter"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Parameter supplying the data",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#toParameter",
              "valueExpr": "http://ddi-alliance.org/ns/#Parameter",
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/toparameter"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Parameter accepting the data as input to the process step",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/binding"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nBinds two parameters together to direct flow of data through a process\n\nExamples\n==========\nFrom the output of an InstanceQuestion to the input of a ComputationAction\n\nExplanatory notes\n===================\nBinding is used to define the flow of data into, out of, and within a process. It is separate from the flow of a process. When used in the workflow of a data capture process most data may go from a capture to an instance variable, but when needed as a check sum in a loop, a recoding process, or conditional content for DynamicText, Binding provides the means for explicitly directing the movement of data from one point to another in the process.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#BusinessProcessCondition",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#sql",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/sql"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "SQL SELECT statement that describes the selection of the LogicalRecord from the Dataset",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#rejectionCriteria",
              "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/rejectioncriteria"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Criteria for failing an input dataset",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#dataDescription",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/datadescription"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides an alternative to or supplements the SQL data description.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesLogicalRecord",
              "valueExpr": "http://ddi-alliance.org/ns/#LogicalRecord",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/useslogicalrecord"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A Logical Record used by the BusinessProcessCondition in defining the condition.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/businessprocesscondition"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA BusinessProcess precondition or post condition which describes the condition which must be met to begin (pre) or exit (post) a process. It may use a specified LogicalRecord. The Logical Record has SQL that describes it, rejectionCriteria against which its adequacy may be tested and an optional annotation that describes its provenance.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#CommandCode",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#description",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/description"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A description of the purpose and use of the command code provided. Supports multiple languages.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesCommandFile",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#programLanguage",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/programlanguage"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Designates the programming language used for the command. Supports the use of a controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#location",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/location"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A description of the location of the file. This may not be machine actionable. It supports a description expressed in multiple languages.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#uri",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "nodeKind": "iri"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/uri"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The URL or URN of the command file.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/commandfile"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nIdentifies and provides a link to an external copy of the command, for example, a SAS Command Code script. Designates the programming language of the command file, a description of the location of the file , and a URN or URL for the command file.\n\nDDI 3.2 mapping\n=================\nr:CommandFileType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usescommandfile"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Identifies and provides a link to an external copy of the command, for example, a SAS Command Code script. Designates the programming language of the command file as well as the URI for the file.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesCommand",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#programLanguage",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/programlanguage"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Designates the programming language used for the command. Supports the use of a controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#commandContent",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/commandcontent"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Content of the command itself expressed in the language designated in Programming Language.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/command"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nProvides the following information on the command. The content of the command and the programming language used.\n\nDDI 3.2 mapping\n=================\nr:CommandType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usescommand"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "This is an in-line provision of the command itself. It provides the programming language used as well as the command.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/commandcode"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nContains information on the command used for processing data. Contains a description of the command which should clarify for the user the purpose and process of the command, an in-line provision of the command itself, and a reference to an external version of the command such as a coding script. \n\nDDI 3.2 mapping\n=================\nr:CommandCodeType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ConditionalText",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#DynamicTextContent"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#expression",
          "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/expression"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "The condition on which the associated text varies expressed by a command code. For example, a command that inserts an age by calculating the difference between today’s date and a previously defined date of birth.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/conditionaltext"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nText which has a changeable value depending on a stated condition, response to earlier questions, or as input from a set of metrics (pre-supplied data). The command code indicates the condition and/or calculation used to determine the content of the text.\n\nDDI 3.2 mapping\n=================\nd:ConditionalTextType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ContactInformation",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#website",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isPreferred",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/ispreferred"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Set to \"true\" if this is the preferred URL.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#uri",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "nodeKind": "iri"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/uri"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Normally a URL",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfWebsite",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeofwebsite"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The type of URL for example personal, project, organization, division, etc.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The period for which this URL is valid.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#privacy",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/privacy"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Indicates the privacy level of this URL",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/weblink"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA web site (normally a URL) with information on type of site, privacy flag, and effective dates.\n\nDDI 3.2 mapping\n=================\na:URLType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/website"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The URL of the Agent's website",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasEmail",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#internetEmail",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/internetemail"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The email address expressed as a string (should follow the Internet format specification - RFC 5322) e.g. user@server.ext, more complex and flexible examples are also supported by the format.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfEmail",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeofemail"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Code indicating the type of e-mail address. Supports the use of an external controlled vocabulary. (e.g. home, office)",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Time period for which the e-mail address is valid.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#privacy",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/privacy"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Indicates the level of privacy",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isPreferred",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/ispreferred"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Set to true if this is the preferred email",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/email"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nAn e-mail address which conforms to the internet format (RFC 822) including its type and time period for which it is valid.\n\nExamples\n==========\ninfo@ddialliance.org; ex.ample@somewhere.org\n\nSynonyms\n==========\ne-mail address; internet email address\n\nDDI 3.2 mapping\n=================\nr:EmailType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasemail"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Email contact information",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#electronicMessaging",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#contactAddress",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/contactaddress"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": " Account identification for contacting",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfService",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeofservice"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Indicates the type of service used. Supports the use of a controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Time period during which the account is valid.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#privacy",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/privacy"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specify the level privacy for the address as public, restricted, or private. Supports the use of an external controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isPreferred",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/ispreferred"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Set to \"true\" if this is the preferred address.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/electronicmessagesystem"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nAny non-email means of relaying a message electronically. This would include text messaging, Skype, Twitter, ICQ, or other emerging means of electronic message conveyance. \n\nExamples\n==========\nSkype account, etc.\n\nDDI 3.2 mapping\n=================\na:InstantMessagingType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/electronicmessaging"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Electronic messaging other than email",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasAddress",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfAddress",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeofaddress"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Indicates address type (i.e. home, office, mailing, etc.)",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#line",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/line"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Number and street including office or suite number. May use multiple lines.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#cityPlaceLocal",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/cityplacelocal"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "City, place, or local area used as part of an address.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#stateProvince",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/stateprovince"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A major subnational division such as a state or province used to identify a major region within an address.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#postalCode",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/postalcode"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Postal or ZIP Code",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#countryCode",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/countrycode"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Country of the location",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#timeZone",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/timezone"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Time zone of the location expressed as code.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Clarifies when the identification information is accurate.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#privacy",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/privacy"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specify the level privacy for the address as public, restricted, or private. Supports the use of an external controlled vocabulary",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isPreferred",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/ispreferred"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Set to \"true\" if this is the preferred location for contacting the organization or individual.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#geographicPoint",
                      "valueExpr": "http://ddi-alliance.org/ns/#SpatialPoint",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/geographicpoint"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Geographic coordinates corresponding to the address.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#regionalCoverage",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/regionalcoverage"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The region covered by the agent at this address",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfLocation",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeoflocation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The type or purpose of the location (i.e. regional office, distribution center, home)",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#locationName",
                      "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/locationname"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Name of the location if applicable.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/address"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nLocation address identifying each part of the address as separate elements, identifying the type of address, the level of privacy associated with the release of the address, and a flag to identify the preferred address for contact.\n\nExamples\n==========\nFor example:\n1.  OFFICE, ABS HOUSE, 45 Benjamin Way, Belconnen, Canberra, ACT, 2617, AU\n2.  OFFICE, Institute of Education, 20 Bedford Way, London, WC1H 0AL, UK\n\nDDI 3.2 mapping\n=================\na:AddressType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasaddress"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The address for contact.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasTelephone",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#telephoneNumber",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/telephonenumber"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The telephone number including country code if appropriate.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfTelephone",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeoftelephone"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Indicates type of telephone number provided (home, fax, office, cell, etc.). Supports the use of a controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Time period during which the telephone number is valid.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#privacy",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/privacy"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specify the level privacy for the telephone number as public, restricted, or private. Supports the use of an external controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isPreferred",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/ispreferred"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Set to \"true\" if this is the preferred telephone number for contact.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/telephone"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nDetails of a telephone number including the number, type of number, a privacy setting and an indication of whether this is the preferred contact number.\n\nExamples\n==========\n+12 345 67890123\n\nDDI 3.2 mapping\n=================\na:TelephoneType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hastelephone"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Telephone for contact",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/contactinformation"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nContact information for the individual or organization including location specification, address, web site, phone numbers, and other means of communication access. Address, location, telephone, and other means of communication can be repeated to express multiple means of a single type or change over time. Each major piece of contact information contains the element EffectiveDates in order to date stamp the period for which the information is valid.\n\nDDI 3.2 mapping\n=================\na:ContactInformationType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ContentDateOffset",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#numberOfUnits",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/numberofunits"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The number of units to off-set the date for this item expressed as a decimal.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isNegativeOffset",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isnegativeoffset"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If set to \"true\" the date is offset the number of units specified PRIOR to the default date of the data. A setting of \"false\" indicates a date the specified number of units in the FUTURE from the default date of the data.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/contentdateoffset"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nIdentifies the difference between the date applied to the data as a whole and this specific item such as previous year's income or residence 5 years ago. A value of true for the attribute isNegativeOffset indicates that the offset is the specified number of declared units prior to the date of the data as a whole and false indicates information regarding a future state.\n\nDDI 3.2 mapping\n=================\nr:ContentDateOffsetType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#CorrespondenceType",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#commonality",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/commonality"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A description of the common features of the two items using a StructuredString to support multiple language versions of the same content as well as optional formatting of the content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#difference",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/difference"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A description of the differences between the two items using a StructuredString to support multiple language versions of the same content as well as optional formatting of the content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#commonalityTypeCode",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/commonalitytypecode"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Commonality expressed as a term or code. Supports the use of an external controlled vocabulary. If repeated, clarify each external controlled vocabulary used.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasMappingRelation",
              "valueExpr": "http://ddi-alliance.org/ns/#MappingRelation",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasmappingrelation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows specification of exact match, close match, or disjoint. These relationships can be further defined by describing commonalities or differences or providing additional controlled vocabulary description of relationship.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/correspondencetype"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDescribes the commonalities and differences between two members using a textual description of both commonalities and differences plus an optional coding of the type of commonality.\n\nDDI 3.2 mapping\n=================\ncm:CorrespondenceType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Date",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isoDate",
              "valueExpr": "http://ddi-alliance.org/ns/#IsoDateType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isodate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Strongly recommend that ALL dates be expressed in an ISO format at a minimum. A single point in time expressed in an ISO standard structure. Note that while it supports an ISO date range structure this should be used in Date only when the single date is unclear i.e. occurring at some time between two dates. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#nonIsoDate",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#dateContent",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/datecontent"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "This is the date expressed in a non-ISO compliant structure. Primarily used to retain legacy content or to express non-Gregorian calender dates.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#nonIsoDateFormat",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/nonisodateformat"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Indicate the structure of the date provided in NonISODate. For example if the NonISODate contained 4/1/2000 the Historical Date Format would be mm/dd/yyyy. The use of a controlled vocabulary is strongly recommended to support interoperability.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#calendar",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/calendar"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specifies the type of calendar used (e.g., Gregorian, Julian, Jewish).",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/nonisodatetype"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nUsed to preserve an historical date, formatted in a non-ISO fashion.\n\nDDI 3.2 mapping\n=================\nr:HistoricalDateType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/nonisodate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A simple date expressed in a non-ISO date format, including a specification of the date format and calendar used.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/date"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nProvides the structure of a single Date expressed in an ISO date structure along with equivalent expression in any number of non-ISO formats. While it supports the use of the ISO time interval structure this should only be used when the exact date is unclear (i.e. occurring at some point in time between the two specified dates) or in specified applications. Ranges with specified start and end dates should use the DateRange as a datatype. Commonly uses property names include: eventDate, issueDate, and releaseDate.\n\nExplanatory notes\n===================\nDate allows one of a set of date-time (YYYY-MM-DDThh:mm:ss), date (YYYY-MM-DD), year-month (YYYY-MM), year (YYYY), time (hh:mm:ss) and duration (PnYnMnDnHnMnS), or time interval (YYYY-MM-DDThh:mm:ss/YYYY-MM-DDThh:mm:ss, YYYY-MM-DDThh:mm:ss/PnYnMnDnHnMnS, PnYnMnDnHnMnS/ YYYY-MM-DDThh:mm:ss) which is formatted according to ISO 8601 and backed supported by regular expressions in the BaseDateType. Time Zone designation and negative/positive prefixes are allowed as are dates before and after 0000 through 9999.\n\nDDI 3.2 mapping\n=================\nr:DateType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#DateRange",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#startDate",
              "valueExpr": "http://ddi-alliance.org/ns/#Date",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/startdate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The date (time) designating the beginning of the period or range.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#endDate",
              "valueExpr": "http://ddi-alliance.org/ns/#Date",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/enddate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The date (time) designating the end of the period or range.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/daterange"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nExpresses a date/time range using a start date and end date (both with the structure of Date and supporting the use of ISO and non-ISO date structures). Use in all locations where a range of dates is required, i.e. validFor, embargoPeriod, collectionPeriod, etc.\n\nDDI 3.2 mapping\n=================\nr:DateType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#DoubleNumberRangeValue",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isInclusive",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isinclusive"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates that the value is included in the range. Set to false if the range includes numbers up to but no including the designated value.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#doubleValue",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/doublevalue"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The bounding value expressed as an xs:double",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/doublenumberrangevalue"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDescribes a bounding value for a number range expressed as an xs:double.\n\nDDI 3.2 mapping\n=================\nr:DoubleNumberRangeValueType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#DynamicText",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#textContent",
              "valueExpr": "http://ddi-alliance.org/ns/#DynamicTextContent",
              "min": 1,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/textcontent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "This is the head of a substitution group and is never used directly as an element name. Instead it is replaced with either LiteralText or ConditionalText.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructureRequired",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructurerequired"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If textual structure (e.g. size, color, font, etc.) is required to understand the meaning of the content change value to \"true\".",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#audienceLanguage",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#language"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/audiencelanguage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Specifies the language of the intended audience. This is particularly important for clarifying the primary language of a mixed language textual string, for example when language testing and using a foreign word withing the question text. Supports the inclusion of multiple languages.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/dynamictext"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nStructure supporting the use of dynamic text, where portions of the textual content change depending on external information (pre-loaded data, response to an earlier query, environmental situations, etc.). \n\nExamples\n==========\nPurpose: Provide customized number of hours within a question text\nInput is the OutputParameter from Question \"What time did you take this medication?\"\nLiteral Text: \"During the past \" [0]\nConditional Text / Command: PastTime=Input; Round PastTime to nearest hour; Round CurrentTime to nearest hour; CurrentTime - PastTime = HOURS; content=HOURS [1]\nLiteral Text: \" hours which of the following symptoms have you experienced?\" [2]\n\nResult in question text for a PastTime= 06:10; CurrentTime=14:54\n\"During the past 9 hours which of the following symptoms have you experienced?\"\n\nDDI 3.2 mapping\n=================\nd:DynamicTextType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#DynamicTextContent",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured tex",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#orderPosition",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/orderposition"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides the relative order of TextContent objects in a dynamic text with more than one TextContent object. Uses integer value.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/dynamictextcontent"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAbstract type existing as the head of a substitution group. May be replaced by any valid member of the substitution group TextContent. Provides the common property of purpose to all members using TextContent as an extension base. Provides a Purpose for the content and ordering information within the Dynamic Text. May be a LiteralText or ConditionalText.\n\nDDI 3.2 mapping\n=================\nd:TextContentType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#controlledVocabularyID",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/controlledvocabularyid"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The ID of the code list (controlled vocabulary) that the content was taken from.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#controlledVocabularyName",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/controlledvocabularyname"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The name of the code list.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#controlledVocabularyAgencyName",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/controlledvocabularyagencyname"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The name of the agency maintaining the code list.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#controlledVocabularyVersionID",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/controlledvocabularyversionid"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The version number of the code list (default is 1.0).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#otherValue",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/othervalue"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If the value of the string is \"Other\" or the equivalent from the codelist, this attribute can provide a more specific value not found in the codelist.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#uri",
              "valueExpr": {
                "type": "NodeConstraint",
                "nodeKind": "iri"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/uri"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The URN or URL of the controlled vocabulary",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#content",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/content"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The value of the entry of the controlled vocabulary. If no controlled vocabulary is used the term is entered here and none of the properties defining the controlled vocabulary location are used.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#language",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#language"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/language"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Language of the content value if applicable",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/externalcontrolledvocabularyentry"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAllows for unstructured content which may be an entry from an externally maintained controlled vocabulary.If the content is from a controlled vocabulary provide the code value of the entry, as well as a reference to the controlled vocabulary from which the value is taken. Provide as many of the identifying attributes as needed to adequately identify the controlled vocabulary. Note that DDI has published a number of controlled vocabularies applicable to several locations using the ExternalControlledVocabularyEntry structure. If the code portion of the controlled vocabulary entry is language specific (i.e. a list of keywords or subject headings) use language to specify that language. In most cases the code portion of an entry is not language specific although the description and usage may be managed in one or more languages. Use of shared controlled vocabularies helps support interoperability and machine actionability.\n\nDDI 3.2 mapping\n=================\nr:CodeValueType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#FixedText",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#LanguageSpecificStructuredStringType"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#whiteSpace",
          "valueExpr": "http://ddi-alliance.org/ns/#WhiteSpaceRule",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/whitespace"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "The default setting states that leading and trailing white space will be removed and multiple adjacent white spaces will be treated as a single white space. If the existance of any of these white spaces is critical to the understanding of the content, change the value of this attribute to \"preserve\".",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/fixedtext"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe static portion of the text expressed as a StructuredString with the ability to preserve whitespace if critical to the understanding of the content.\n\nDDI 3.2 mapping\n=================\nd:TextType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Image",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#uri",
              "valueExpr": {
                "type": "NodeConstraint",
                "nodeKind": "iri"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/uri"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A reference to the location of the image using a URI.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#typeOfImage",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/typeofimage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Brief description of the image type. Supports the use of an external controlled vocabulary.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#dpi",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/dpi"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides the resolution of the image in dots per inch to assist in selecting the appropriate image for various uses.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#languageOfImage",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#language"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/languageofimage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Language of image. Supports the indication of multiple languages. Supports use of codes defined by the RFC 1766.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/image"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA reference to an image, with a description of its properties and type.\n\nDDI 3.2 mapping\n=================\nr:ImageType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#InstanceVariableIndicator",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#index",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/index"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides an index for the member within an ordered array",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#member",
              "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/member"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Member of the collection",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/instancevariableindicator"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAllows for the identification of the InstanceVariable specifically as a member and optionally provides an index for the member within an ordered array. \n\nExplanatory notes\n===================\nNote if multiple types of Variables may be included in a collection use VariableIndicator.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#InternationalIdentifier",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#identifierContent",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/identifiercontent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An identifier as it should be listed for identification purposes.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#managingAgency",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/managingagency"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The identification of the Agency which assigns and manages the identifier, i.e., ISBN, ISSN, DOI, etc.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isURI",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isuri"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Set to \"true\" if Identifier is a URI",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/internationalidentifier"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAn identifier whose scope of uniqueness is broader than the local archive. Common forms of an international identifier are ISBN, ISSN, DOI or similar designator. Provides both the value of the identifier and the agency who manages it.\n\nExplanatory notes\n===================\nFor use in Annotation or other citation format. \n\nDDI 3.2 mapping\n=================\nr:InternationalIdentifierType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#InternationalString",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#languageSpecificString",
          "valueExpr": "http://ddi-alliance.org/ns/#LanguageSpecificStringType",
          "min": 0,
          "max": -1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/languagespecificstring"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "A non-formatted string of text with an attribute that designates the language of the text. Repeat this object to express the same content in another language.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/internationalstring"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nPackaging structure for multiple language versions of the same string content. Where an element of this type is repeatable, the expectation is that each repetition contains different content, each of which can be expressed in multiple languages. The language designation goes on the individual String.\n\nDDI 3.2 mapping\n=================\nr:InternationalStringType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#InternationalStructuredString",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#languageSpecificStructuredString",
          "valueExpr": "http://ddi-alliance.org/ns/#LanguageSpecificStructuredStringType",
          "min": 1,
          "max": -1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/languagespecificstructuredstring"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "Supports the optional use of XHTML formatting tags within the string structure. In addition to the language designation and information regarding translation, the attribute isPlain can be set to true to indicate that the content should be treated as plain unstructured text, including any XHTML formatting tags. Repeat the content element to provide multiple language versions of the same content.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/internationalstructuredstring"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nPackaging structure for multiple language versions of the same string content, for objects that allow for internal formatting using XHTML tags. Where an element of this type is repeatable, the expectation is that each repetition contains different content, each of which can be expressed in multiple languages.\n\nDDI 3.2 mapping\n=================\nr:StructuredStringType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#LabelForDisplay",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#InternationalStructuredString"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#locationVariant",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/locationvariant"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicate the locality specification for content that is specific to a geographic area. May be a country code, sub-country code, or area name.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#validDates",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/validdates"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the specification of a starting date and ending date for the period that this label is valid. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#maxLength",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/maxlength"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A positive integer indicating the maximum number of characters in the label.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/labelfordisplay"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA structured display label. Label provides display content of a fully human readable display for the identification of the object. \n\nDDI 3.2 mapping\n=================\nr:LabelType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#LanguageSpecificStringType",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#content",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/content"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Value of this string",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#language",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#language"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/language"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates the language of content. Note that language allows for a simple 2 or 3 character language code or a language code extended by a country code , for example en-au for English as used in Australia.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isTranslated",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/istranslated"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates whether content is a translation (true) or an original (false).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isTranslatable",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/istranslatable"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates whether content is translatable (true) or not (false). An example of something that is not translatable would be a MNEMONIC of an object or a number.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#translationSourceLanguage",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#language"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/translationsourcelanguage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "List the language code of the source. Repeat of multiple language sources are used. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#translationDate",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/translationdate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The date the content was translated. Provision of translation date allows user to verify if translation was available during data collection or other time linked activity.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#scope",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/scope"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Supports specification of scope for the contained content. Use with the language specification to filter application of content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/languagespecificstringtype"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAllows for non-formatted language specific strings that may be translations from other languages, or that may be translatable into other languages. Only one string per language/scope type is allowed. LanguageSpecificString contains the following attributes, xmlang to designate the language, isTranslated with a default value of false to designate if an object is a translation of another language, isTranslatable with a default value of true to designate if the content can be translated, translationSourceLanguage to indicate the source languages used in creating this translation,  translationDate, and scope which can be used to define intended audience or use such as internal, external, etc.\n\nDDI 3.2 mapping\n=================\nr:StringType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#LanguageSpecificStructuredStringType",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#LanguageSpecificStringType"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isPlainText",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isplaintext"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates that the content is to be treated as plain text (no formatting). You may use DDIProfile to fix the value of this attribute to 'true' in cases where you wish to indicate that your system treats all content should be treated as plain text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#structureUsed",
              "valueExpr": "http://ddi-alliance.org/ns/#StringStructureType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/structureused"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Uses a enumerated value to specify the structuring elements used. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#otherDefined",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/otherdefined"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If the value of structureUsed is Other enter the structue type.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/languagespecificstructuredstringtype"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nSupports the optional use of formatting tags expressed with escape characters within the string structure. Language of the string is defined by the attribute language. Scope of the string is defined by scope. Language and Scope are used to filter selection and use of content based on unique combinations of these two properties. The content can be identified as translated (isTranslated), subject to translation (isTranslatable), the result of translation from one or more languages (translationSourceLanguages), carry an indication whether or not it should be treated as plain text (isPlain), identification of the structure used (structureUsed) which is an internal enumeration, and the ability to identify a structure not available in the enumeration by declaring structureUsed=\"Other\" and specifying the other structure (otherDefined).\n\nExamples\n==========\nThe content:\n<p>a bit of text</p> <p>with some specialties <span class=\"highlight\">highlighted</span> </p> \n\nWould be entered as:\n<p>with some specialties <span class=\"highlight\">highlighted</span> </p> \n\nDDI 3.2 mapping\n=================\nr:ContentType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#LiteralText",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#DynamicTextContent"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#text",
          "valueExpr": "http://ddi-alliance.org/ns/#LanguageSpecificStructuredStringType",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/text"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "The value of the static text string. Supports the optional use of XHTML formatting tags within the string structure. If the content of a literal text contains more than one language, i.e. \"What is your understanding of the German word 'Gesundheit'?\", the foreign language element should be placed in a separate LiteralText component with the appropriate xmlang value and, in this case, isTranslatable set to \"false\". If the existence of white space is critical to the understanding of the content (such as inclusion of a leading or trailing white space), set the attribute of Text xml:space to \"preserve\".",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/literaltext"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nLiteral (static) text to be used in an instrument.  The value is a LanguageSpecificStruccturedString with the addition of an attribute allowing for the specification that white space is to be preserved.\n\nExamples\n==========\nThe text string \"     Comment vous appelez-vous?\" with the leading spaces included, described as being in French.\n\nDDI 3.2 mapping\n=================\nd:LiteralTextType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#LocationName",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ObjectName"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
          "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "The time period for which this name is accurate and in use.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/locationname"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nName of the location using the DDI Name structure and the ability to add an effective date.\n\nDDI 3.2 mapping\n=================\na:LocationNameType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Map",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#validDates",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/validdates"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Date from which the Map became valid. The date must be defined if the Map belongs to a floating CorrespondenceTable. Date at which the Map became invalid. The date must be defined if the Map belongs to a floating Correspondence Table and is no longer valid.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasCorrespondenceType",
              "valueExpr": "http://ddi-alliance.org/ns/#CorrespondenceType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hascorrespondencetype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Type of correspondence in terms of commonalities and differences between two members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A display label for the OrderedMemberCorrespondence. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usage",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#source",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 1,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Concept or any subtype of concepts",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#target",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 1,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Concept or any subtype of concept",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/map"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDescribes the correspondence between concepts in a correspondence table related to one or more Statistical Classifications.\n\nExplanatory notes\n===================\nA Map is the pairing of similar Concepts. Each Concept in the Map belongs to a different Collection. The collection of maps for all the Concepts in corresponding Collections is a Correspondence Table.\n\nA simple example might map the following 2 martial status category sets:\nMS1 -\nsingle\nmarried\nwidowed\ndivorced\n\nMS2 -\nsingle\nmarried\n\nSo, a correspondence table between these 2 category sets might look like this:\nMS1                                               MS2\nsingle                                             single\nwidowed                                          \"\ndivorced                                          \"\nmarried                                            married\n\nGSIM mapping\n==============\nMap\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#NumberRangeValue",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isInclusive",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isinclusive"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates that the value is included in the range. Set to false if the range includes numbers up to but no including the designated value.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#decimalValue",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/decimalvalue"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Bounding value expressed as an xs:double",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/numberrangevalue"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDescribes a bounding value for a number range expressed as an xs:demical.\n\nDDI 3.2 mapping\n=================\nr:NumberRangeValueType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ObjectName",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#content",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/content"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The expressed name of the object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#context",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/context"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A name may be specific to a particular context, i.e., a type of software, or a section of a registry. Identify the context related to the specified name. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/objectname"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA standard means of expressing a Name for a class object.  A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles.\n\nExplanatory notes\n===================\nUSE in Model: In general the property name should be \"name\" as it is the name of the class object which contains it. Use a specific name (i.e. xxxName) only when naming something other than the class object which contains it.\n\nDDI 3.2 mapping\n=================\nr:NameType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#PairedExternalControlledVocabularyEntry",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#term",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/term"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The term attributed to the parent class, for example the role of a Contributor.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#extent",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/extent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the extent to which the parent term applies for the specific case using an external controlled vocabulary. When associated with a role from the CASRAI Contributor Roles Taxonomy an appropriate vocabulary should be specified as either ‘lead’, ‘equal’, or ‘supporting’.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/pairedexternalcontrolledvocabularyentry"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA tightly bound pair of items from an external controlled vocabulary. The extent property describes the extent to which the parent term applies for the specific case. \n\nExamples\n==========\nWhen used to assign a role to an actor within a specific activity this term would express the degree of contribution. Contributor with Role=Editor and extent=Lead.\n\nAlternatively. the term might be a controlled vocabulary from a list of controlled vocabularies, e.g. the Generic Longitudinal Business Process Model (GLBPM) in a list that could include other business process model frameworks. In this context the extent becomes the name of a business process model task, e.g. \"integrate data\" from the GLBPM.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Polygon",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#uri",
              "valueExpr": {
                "type": "NodeConstraint",
                "nodeKind": "iri"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/uri"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A URI for the boundary file containing the polygon",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#polygonLinkCode",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/polygonlinkcode"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The PolygonLinkCode is the identifier of the specific polygon within the file. For example in an NHGIS file the LinkCodeForPolygon for Tract 101.01 in Hennepin County in Minnesota is 2700530010101.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#shapeFileFormat",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/shapefileformat"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The format of the shape file existing at the location indicated by the sibling ExternalURI element.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#point",
              "valueExpr": "http://ddi-alliance.org/ns/#SpatialPoint",
              "min": 4,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/point"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A geographic point defined by a latitude and longitude. A minimum of 4 points is required as the first and last point should be identical in order to close the polygon. Note that a triangle has three sides and requires 3 unique points plus a fourth point replicating the first point in order to close the polygon.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/polygon"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA closed plane figure bounded by three or more line segments, representing a geographic area. Contains either the URI of the file containing the polygon, a specific link code for the shape within the file, and a file format, or a minimum of 4 points to describe the polygon in-line. Note that the first and last point must be identical in order to close the polygon. A triangle has 4 points.\n\nDDI 3.2 mapping\n=================\nr:PolygonType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#RangeValue",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ValueString"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#included",
          "valueExpr": {
            "type": "NodeConstraint",
            "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
          },
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/included"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "Set to \"true\" if the value is included in the range.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/rangevalue"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDescribes a bounding value of a string.\n\nDDI 3.2 mapping\n=================\nr:RangeValueType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SpatialCoordinate",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#content",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/content"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The value of the coordinate expressed as a string.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#coordinateType",
              "valueExpr": "http://ddi-alliance.org/ns/#PointFormat",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/coordinatetype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Identifies the type of point coordinate system using a controlled vocabulary. Point formats include decimal degree, degrees minutes seconds, decimal minutes, meters, and feet.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/spatialcoordinate"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nLists the value and format type for the coordinate value. Note that this is a single value (X coordinate or Y coordinate) rather than a coordinate pair.\n\nDDI 3.2 mapping\n=================\nr:SpatialCoordinateType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SpatialPoint",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#xCoordinate",
              "valueExpr": "http://ddi-alliance.org/ns/#SpatialCoordinate",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/xcoordinate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An X coordinate (latitudinal equivalent) value and format expressed using the Spatial Coordinate structure.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#yCoordinate",
              "valueExpr": "http://ddi-alliance.org/ns/#SpatialCoordinate",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/ycoordinate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A Y coordinate (longitudinal equivalent) value and format expressed using the Spatial Coordinate structure.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/spatialpoint"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA geographic point consisting of an X and Y coordinate. Each coordinate value is expressed separately providing its value and format.\n\nDDI 3.2 mapping\n=================\nr:PointType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SpatialRelationship",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasSpatialObjectPair",
              "valueExpr": "http://ddi-alliance.org/ns/#SpatialObjectPairs",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasspatialobjectpair"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides the types of the two spatial objects.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasSpatialRelationSpecification",
              "valueExpr": "http://ddi-alliance.org/ns/#SpatialRelationSpecification",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasspatialrelationspecification"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Defines the relationship of the two spatial objects",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#eventDate",
              "valueExpr": "http://ddi-alliance.org/ns/#Date",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/eventdate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The date of the relationship change.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#relatesTo",
              "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnit",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/relatesto"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The geographic unit related to by the parent geographic unit",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/spatialrelationship"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nUsed to specify a relationship between one spatial object and another. Includes definition of the spatial object types being related, the spatial relation specification, and the event date.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Statistic",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isWeighted",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isweighted"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Set to \"true\" if the statistic is weighted using the weight designated in VariableStatistics.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#computationBase",
              "valueExpr": "http://ddi-alliance.org/ns/#ComputationBaseList",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/computationbase"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Defines the cases included in determining the statistic. The options are total=all cases, valid and missing (invalid); validOnly=Only valid values, missing (invalid) are not included in the calculation; missingOnly=Only missing (invalid) cases included in the calculation.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#typeOfNumericValue",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/typeofnumericvalue"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicate the type of numeric value as decimal, float, double",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#content",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/content"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The value of the statistic expressed as a decimal, float, or double.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/statistic"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe value of the statistic expressed as an xs:decimal and/or xs:double. Indicates whether it is weighted value and the computation base.\n\nDDI 3.2 mapping\n=================\npi:StatisticType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#TypedString",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#typeOfContent",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/typeofcontent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Optional use of a controlled vocabulary to specifically type the associated content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#content",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/content"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Content of the property expressed as a simple string.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/typedstring"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nTypedString combines a typeOfContent with a content defined as a simple string. May be used wherever a simple string needs to support a type definition to clarify its content\n\nExamples\n==========\ncontent is a regular expression and typeOfContent is used to define the syntax used.\n\nExplanatory notes\n===================\nThis is a generic type + string where property name and documentation should be used to define any specification for the content. If international structured string content is required use TypedStructuredString \n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ValueString",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#content",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/content"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The actual content of this value as a string",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#whiteSpace",
              "valueExpr": "http://ddi-alliance.org/ns/#WhiteSpaceRule",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/whitespace"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The usual setting \"collapse\" states that leading and trailing white space will be removed and multiple adjacent white spaces will be treated as a single white space. When setting to \"replace\" all occurrences of #x9 (tab), #xA (line feed) and #xD (carriage return) are replaced with #x20 (space) but leading and trailing spaces will be retained. If the existence of any of these white spaces is critical to the understanding of the content, change the value of this attribute to \"preserve\".",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/valuestring"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe Value expressed as an xs:string with the ability to preserve whitespace if critical to the understanding of the content. \n\nDDI 3.2 mapping\n=================\nr:ValueType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Category",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Concept"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#descriptiveText",
          "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/descriptivetext"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "A short natural language account of the characteristics of the object.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/category"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Concept whose role is to define and measure a characteristic.\n\nExamples\n==========\nSelf-identified as \"Male\".  \"Extremely Satisfied\" as a response category.\n\nExplanatory notes\n===================\nThe Category is a Concept. It can have multiple name and display label properties as well as a definition and some descriptive text. As a \"Signified\" class there can be one or more \"Sign\" classes (e.g. a Code) that denotes it with some representation. The relationship is from the Code to the Category.\n\nDDI 3.2 mapping\n=================\nl:CategoryType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Concept",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definition",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definition"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Natural language statement conveying the meaning of a concept, differentiating it from other concepts. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/concept"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nUnit of thought differentiated by characteristics [GSIM 1.1]\n\nExamples\n==========\nPoverty, Income, Household relationship, Family, Gender, Business Establishment, Satisfaction, etc.\n\nExplanatory notes\n===================\nMany DDI4 classes are subtypes of the Concept class including Category, Universe, UnitType, ConceptualVariable. This class realizes the pattern class Signified and as such a Concept can be denoted by a Sign.\n\nDDI 3.2 mapping\n=================\nc:ConceptType\n\nGSIM mapping\n==============\nConcept\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ConceptSystem",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#Concept",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to Concept or subtype of Concept",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/conceptindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type Concept and all subtypes of Concept: Category, Universe, Population, Unit Type\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "MemberIndicator Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "RelationSpecification Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricts source object to Concept for relationshp",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricts target object to Concept for relationshp",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/conceptrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nSpecifies the relationship between concepts in a collection of concepts. Use controlled vocabulary provided in hasRelationSpecification to identify the type of relationship (e.g. ParentChild, WholePart, etc.)\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricted to ConceptRelation. ConceptRelations making up the relation structure.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/conceptrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Conceptual"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nRelation structure of concepts within a collection. Allows for the specification of complex relationships among concepts.\n\nExamples\n==========\nA concept of vacation might be described as having sub-types of beach vacation and mountain vacation.\n\nExplanatory notes\n===================\nThe ConceptRelationStructure employs a set of ConceptRelations to describe the relationship among concepts. Each ConceptRelation is a one to many description of connections between concepts. Together they can describe relationships as complex as a hierarchy or even a complete cyclical network as in a concept map.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A structure containing specific relationships between members of the collection.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/conceptsystem"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA set of Concepts structured by the relations among them. [GSIM 1.1] \n\nExamples\n==========\n1) Concept of Sex: Male, Female, Other 2) Concept of Household Relationship: Household Head, Spouse of Household Head, Child of Household Head, Unrelated Household Member, etc.  \n\nExplanatory notes\n===================\nNote that this structure can be used to structure Concept, Classification, Universe, Population, Unit Type and any other class that extends from Concept.\n\nDDI 3.2 mapping\n=================\nc:ConceptSchemeType\n\nGSIM mapping\n==============\nConcept System\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ConceptSystemCorrespondence",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A display label for the CollectionCorrespondence. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usage",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#correspondence",
              "valueExpr": "http://ddi-alliance.org/ns/#Map",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/correspondence"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Realization of correspondence in Comparison for mapping similar concepts.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#maps",
              "valueExpr": "http://ddi-alliance.org/ns/#ConceptSystem",
              "min": 2,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/maps"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Realization of structures in Symmetric Relation. When Concepts of a single ConceptSystem are mapped, the Concept has to appear twice as target.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/conceptsystemcorrespondence"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nRelationship between 2 or more ConceptSystems described through mapping similarity relationships between their member Concepts.\n\nExamples\n==========\nCorrespondence between the concepts used to define the populations in the censuses of two countries with similarity mapping of Concepts \"Resident Population\", \"Labor Force\", \"Housing Unit\", etc. \n\nExplanatory notes\n===================\nDescribes correspondence with one or more Maps which identify a source and target concept and defines their commonality and difference using descriptive text and controlled vocabularies.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ConceptualDomain",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#describedConceptualDomain",
              "valueExpr": "http://ddi-alliance.org/ns/#ValueAndConceptDescription",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/describedconceptualdomain"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A description of the concepts in the domain. A numeric domain might use a logical expression to be machine actionable a text domain might use a regular expression to describe strings that describe the concepts.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#enumeratedConceptualDomain",
              "valueExpr": "http://ddi-alliance.org/ns/#ConceptSystem",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/enumeratedconceptualdomain"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The set of categories containing the concepts in the domain.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/conceptualdomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nSet of Concepts, both sentinel and substantive, that can be described by either enumeration or by an expression.\n\nExamples\n==========\nSubstantive: Housing Unit Tenure - Owned, Rented, Vacant; Sentinel: Non-response - Refused, Don't Know, Not Applicable \n\nExplanatory notes\n===================\nIntent of a Conceptual Domain is defining a set of concepts used to measure a broader concept. For effective use they should be discrete (non-overlapping) and provide exhaustive coverage of the broader concept.  \n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ConceptualVariable",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Concept"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#descriptiveText",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/descriptivetext"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A short natural language account of the characteristics of the object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usesconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Reference to a Concept that is being used",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#takesSubstantiveConceptsFrom",
              "valueExpr": "http://ddi-alliance.org/ns/#SubstantiveConceptualDomain",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/takessubstantiveconceptsfrom"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Identifies the ConceptualDomain containing the set of substantive concepts used to describe the  ConceptualVariable.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesUnitType",
              "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usesunittype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Identifies the UnitType associated with the ConceptualVariable",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#takesSentinelConceptsFrom",
              "valueExpr": "http://ddi-alliance.org/ns/#SentinelConceptualDomain",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/takessentinelconceptsfrom"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Identifies the ConceptualDomain containing the set of sentinel concepts used to describe the  ConceptualVariable.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/conceptualvariable"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe use of a Concept as a characteristic of a UnitType intended to be measured\n\nExamples\n==========\n1. Sex of person\n2. Number of employees \n3. Value of endowment\n\nExplanatory notes\n===================\nNote that DDI varies from GSIM in the use of a UnitType rather than a Universe. \"The use of a Concept as a characteristic of a Universe intended to be measured\" [GSIM 1.1]\n\nDDI 3.2 mapping\n=================\nc:ConceptualVariableType\n\nGSIM mapping\n==============\nVariable\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#InstanceVariable",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#RepresentedVariable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#variableFunction",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/variablefunction"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Immutable characteristics of the variable such as, geographic designator, weight, temporal designation, etc.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#physicalDataType",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/physicaldatatype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The data type of this variable. Supports the optional use of an external controlled vocabulary.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#platformType",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/platformtype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "This should match a platformType of the RepresentedVariable on which the InstanceVariable is based (if one exists). It is drawn from the same external controlled vocabulary used by the RepreentedVariable's platformType.  A sample list for the external controlled vocabulary is:  A sample list would be:  • BlankString - A Blank string indicates missing. Comparison is based on lexical order.  • EmptyString - An empty string indicates missing. Use in comparisons returns missing.   • Rstyle - Codes drawn from  NA and the IEEE 754 values of  NaN  -Inf   +Inf.   Comparisons return NA.   • SASNumeric - codes drawn from . ._ .A .B .C .D .E .F .G .H .I .J .K .L .M .N .O .P .Q .R .S .T .U .V .W .X .Y .Z    Sentinel code treated as less than any substantive value   • SPSSstyle - System missing (a dot) a set of individual values drawn from the same datatype as the SubstantiveValueDomain, and a range of values  drawn from the same datatype as the SubstantiveValueDomain.  Comparisons return system missing.  Some functions substitute with valid values (e.g. SUM replaces missing values with 0)   • StataNumeric - codes drawn from . ._ .A .B .C .D .E .F .G .H .I .J .K .L .M .N .O .P .Q .R .S .T .U .V .W .X .Y .Z  Sentinel code treated as greater than any substantive value  • Unrestricted - No restrictions on codes for sentinel values. Use in comparisons is indeterminate.  ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#measures",
              "valueExpr": "http://ddi-alliance.org/ns/#Population",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/measures"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Set of specific units (people, entities, objects, events), usually in a given time and geography, being measured. Can be a specialization of the Universe measured by a related RepresentedVariable.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#basedOnRepresentedVariable",
              "valueExpr": "http://ddi-alliance.org/ns/#RepresentedVariable",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/basedonrepresentedvariable"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The RepresentedVariable that can be shared by multiple InstanceVariables. Indicates comparability in substantive representation, Universe, and indirectly ConceptualDomain. If a relationship to a RepresentedVariable is defined there should be no relationship to a ConceptualVariable.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#basedOnConceptualVariable",
              "valueExpr": "http://ddi-alliance.org/ns/#ConceptualVariable",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/basedonconceptualvariable"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The ConceptualVariable that can be shared by multiple InstanceVariables. Indicates comparability ConceptualDomain and UnitType. If a relationship to a RepresentedVariable is defined there should be no relationship to a ConceptualVariable.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#takesPlatformSpecificSentinelValues",
              "valueExpr": "http://ddi-alliance.org/ns/#SentinelValueDomain",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/takesplatformspecificsentinelvalues"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The association to the possible sentinel (missing) values.These will be specific to one software platform.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#sourceCapture",
              "valueExpr": "http://ddi-alliance.org/ns/#Capture",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/sourcecapture"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The source of capture for the values that populate this InstanceVariable. This may be any class using Capture as an extension base, currently RepresentedQuestion and RepresentedMeasurement. This is the direct source of capture for the content of the data. If a transformation is required the source is not multiple captures but the transformation.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#generatedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#Act",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/generatedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If generated directly through fielding an instrument use the instrument component containing the capture for the values that populate this InstanceVariable. A Capture is reusable and therefore it is important to know the specific use of the Capture within an Instrument. This may be any class using InstrumentComponent as an extension base, currently InstanceQuestion and InstanceMeasurement. If the content of the InstanceVariable was generated by a computation or other form of transformation with data processing, use the ComputationAction or similarly appropriate subclass of Act. If a sequence of Acts resulted in the InstanceVariable content indicate the final Act.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/instancevariable"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe use of a Represented Variable within a Data Set.  The InstanceVariable describes actual instances of data that have been collected. \n\nExamples\n==========\n1) Gender: Dan Gillman has gender <m, male>, Arofan Gregory has gender<m, male>, etc. \n2) Number of employees: Microsoft has 90,000 employees; IBM has 433,000 employees, etc. \n3) Endowment: Johns Hopkins has endowment of <3, $1,000,000 and above>, \nYale has endowment of <3, $1,000,000 and above>, etc.\n\nTwo InstanceVariables of a person's height reference the same RepresentedVariable. This indicates that they are intended to: be measured with the same unit of measurement, have the same intended data type, have the same SubstantativeValueDomain, use a SentinelValueDomain drawn from the same set of SentinelValueDomains, have the same sentinel (missing value) concepts, and draw their Population from the same Universe. In other words, the two InstanceVariables should be comparable.\n\nExplanatory notes\n===================\nThe InstanceVariable class inherits all of the properties and relationships of the RepresentedVariable (RV) class and, in turn, the ConceptualVariable (CV) class. This means that an InstanceVariable can be completely populated without the need to create an associated RepresentedVariable or ConceptualVariable. If, however, a user wishes to indicate that a particular InstanceVariable is patterned after a particular RepresentedVariable or a particular ConceptualVariable that may be indicated by including a relationship to the RV and or CV. Including these references is an important method of indicating that multiple InstanceVariables have the same representation, measure the same concept, and are drawn from the same Universe. If two InstanceVariables of a person's height reference the same RepresentedVariable. This indicates that they are intended to: be measured with the same unit of measurement, have the same intended data type, have the same SubstantativeValueDomain, use a SentinelValueDomain drawn from the same set of SentinelValueDomains, have the same sentinel (missing value) concepts, and draw their Population from the same Universe. In other words, the two InstanceVariables should be comparable. \n\n\nGSIM mapping\n==============\nInstance Variable\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Population",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Universe"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#timePeriodOfPopulation",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/timeperiodofpopulation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The time period associated with the Population",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#composedOf",
              "valueExpr": "http://ddi-alliance.org/ns/#Unit",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/composedof"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Units in the Population ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#narrowsUniverse",
              "valueExpr": "http://ddi-alliance.org/ns/#Universe",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/narrowsuniverse"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Reference to a Universe that the Population narrows",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#geographyOfPopulation",
              "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnit",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/geographyofpopulation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The geographic location related to this population. May be repeated for inclusion of multiple locations.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/population"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nSet of specific units (people, entities, objects, events) with specification of time and geography.\n\nExamples\n==========\n1. Canadian adult persons residing in Canada on 13 November 1956\n2. US computer companies at the end of 2012  \n3. Universities in Denmark 1 January 2011.\n\nExplanatory notes\n===================\nPopulation is the most specific in the conceptually narrowing hierarchy of UnitType, Universe and Population. Several Populations having differing time and or geography may specialize the same Universe.\n\nGSIM mapping\n==============\nPopulation\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#RepresentedVariable",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ConceptualVariable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#unitOfMeasurement",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/unitofmeasurement"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The unit in which the data values are measured (kg, pound, euro).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasIntendedDataType",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasintendeddatatype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The data type intended to be used by this variable. Supports the optional use of an external controlled vocabulary.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#takesSubstantiveValuesFrom",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#ValueDomain"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#takesConceptsFrom",
                      "valueExpr": "http://ddi-alliance.org/ns/#SubstantiveConceptualDomain",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/takesconceptsfrom"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Corresponding conceptual definition given by an SubstantiveConceptualDomain.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#describedValueDomain",
                      "valueExpr": "http://ddi-alliance.org/ns/#ValueAndConceptDescription",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/describedvaluedomain"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A formal description of the set of valid values - for described value domains.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#enumeratedValueDomain",
                      "valueExpr": "http://ddi-alliance.org/ns/#EnumerationDomain",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/enumeratedvaluedomain"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Any subtype of an enumeration domain enumerating the set of valid values.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/substantivevaluedomain"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Representations"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nThe Value Domain for a substantive conceptual domain. \n\nExamples\n==========\nAll real decimal numbers relating to the subject matter of interest between 0 and 1 specified in Arabic numerals. [GSIM 1.1].\nThe codes \"M\" male and \"F\" for female .\n\n\nExplanatory notes\n===================\nIn DDI4 the value domain for a variable is separated into “substantive” and “sentinel” values. Substantive values are the values of primary interest. Sentinel values are additional values that may carry supplementary information, such as reasons for missing. This duality is described in ISO 11404. Substantive values for height might be real numbers expressed in meters. The full value domain might also include codes for different kinds of missing values - one code for “refused” and another for “don’t know”. Sentinel Values may also convey some substantive information and at the same time represent missing values. An example might be where a numeric variable like number of employees be sometimes a count and sometimes a code representing a range of counts in order to avoid disclosure of information about a specific entity. \n\nThe SubstantiveValueDomain may use either a ValueDescription, for described values,  or a CodeList for enumerated values, or both. \n\nA value domain may consist of substantive values or sentinel values. Substantive values are those associated directly with some subject matter area. They do not address concerns around processing, such as missing values. Substantive values are called \"regular values\" in ISO/IEC 11404 - General purpose datatypes.\n\nThe enumerated case is one where all values are listed. An example is the categorical values for gender:\nThe conceptual domain could consist of the concept of male and the concept of female. These might be represented in codes and associated labels as\n1 (=\"Male\")\n2 (=\"Female\")\n\nThe described case is one where some description is needed to define the set of values.\nTake the following description for height in meters:\n\"a real number between 0 and 3, represented to two Arabic decimal places\". This description might be structured in some way to be machine actionable (datatype=\"double\", min=0, max=3, decimals=2).\n\n\nSynonyms\n==========\nvalue domain [ISO11179]\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/takessubstantivevaluesfrom"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The substantive representation (SubstantiveValueDomain) of the variable. This is equivalent to the relationship \"Measures\" in GSIM although GSIM makes no distinction between substantive and sentinel values",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#drawsFrom",
              "valueExpr": "http://ddi-alliance.org/ns/#Universe",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/drawsfrom"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The defined class of people, entities, events, or objects to be measured.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#basedOnConceptualVariable",
              "valueExpr": "http://ddi-alliance.org/ns/#ConceptualVariable",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/basedonconceptualvariable"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The ConceptualVariable that can be shared by a set of multiple RepresentedVariables. Indicates comparability in  ConceptualDomain and UnitType. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#takesPlatformSpecificSentinelValues",
              "valueExpr": "http://ddi-alliance.org/ns/#SentinelValueDomain",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/takesplatformspecificsentinelvalues"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A RepresentedVariable may have more than one sets of SentinelValueDomains, one for each type of software platform on which related InstanceVariables might be instantiated. All of the SentinelValueDomains must have SentinelConceptualDomains that correspond exactly. This allows codes for missing values to be explicitly matched across platforms.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/representedvariable"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA combination of a characteristic of a universe to be measured and how that measure will be represented.\n\n\nExamples\n==========\nThe pair (Number of Employees, Integer), where \"Number of Employees\" is the characteristic of the population (Variable) and \"Integer\" is how that measure will be represented (Value Domain).\n\nExplanatory notes\n===================\nExtends from ConceptualVariable and can contain all descriptive fields without creating a ConceptualVariable. By referencing a ConceptualVariable it can indicate a common relationship with RepresentedVariables expressing the same characteristic of a universe measured in another way, such as Age of Persons in hours rather than years. RepresentedVariable constrains the coverage of the UnitType to a specific Universe. In the above case the Universe with the measurement of Age in hours may be constrained to Persons under 5 days (120 hours old). RepresentedVariable can define sentinel values for multiple storage systems which have the same conceptual domain but specialized value domains.\n\nDDI 3.2 mapping\n=================\nl:RepresentedVariableType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SentinelConceptualDomain",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ConceptualDomain"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/sentinelconceptualdomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDescription or list of possible sentinel concepts , e.g. missing values.\n\nExamples\n==========\nRefused, \nDon't know, \nLost in processing\n\nSynonyms\n==========\nmissing categories\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SubstantiveConceptualDomain",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ConceptualDomain"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/substantiveconceptualdomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nSet of valid Concepts. The Concepts can be described by either enumeration or by an expression.\n\nExamples\n==========\nAn enumeration of concepts for a categorical variable like \"male\" and \"female\" for gender.\n\nExplanatory notes\n===================\nA ConceptualVariable links a UnitType to a SubstantiveConceptualDomain. The latter can be an enumeration or description of the values (Signified) that the variable may take on. In the enumerated case these are the categories in a CategorySet that can be values, not the codes that represent the values. \nAn example might be the conceptual domain for a variable representing self-identified gender. An enumeration might include the concept of “male” and the concept of “female”. These, in turn, would be represented in a SubstantiveValueDomain by codes in a CodeList like “m” and “f”, or “0” and “1”. \nA conceptual domain might be described through a ValueAndConceptDescription’s description property of “a real number greater than 0” or through a more formal logicalExpression of “(all reals x such that x >0) “. Even in the described case, what is being described are conceptual, not the symbols used to represent the values. This may be a subtle distinction, but allows specifying that the same numeric value might be represented by 32 bits or by 64 bits or by an Arabic numeral or a Roman numeral.\n\n\nGSIM mapping\n==============\nConceptual Domain\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Unit",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definition",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definition"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Natural language statement conveying the meaning of a concept, differentiating it from other concepts. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasUnitType",
              "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasunittype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The UnitType of the Unit",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/unit"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe object of interest in a process step related to the collection or use of observational data.\n\nExamples\n==========\nHere are 3 examples - 1. Individual US person (i.e., Arofan Gregory, Dan Gillman, Barack Obama, etc.) 2. Individual US computer companies (i.e., Microsoft, Apple, IBM, etc.) 3. Individual US universities (i.e., Johns Hopkins, University of Maryland, Yale, etc.) [GSIM 1.1]\n\nExplanatory notes\n===================\nIn a traditional data table each column might represent some variable (measurement). Each row would represent the entity (Unit)  to which those variables relate. Height measurements might be made on persons (UnitType) of primary school age (Universe) at Pinckney Elementary School on September 1, 2005 (Population). The height for Mary Roe (Unit)  might be 139 cm.\nThe Unit is not invariably tied to some value. A median income might be calculated for a block in the U.S. but then used as an attribute of a person residing on that block. For the initial measurement the Unit was the block. In the reuse the unit would be that specific person to which the value was applied.\nIn a big data table each row represents a unit/variable double. Together a unit identifier and a variable identifier define the key. And for each key there is just one value – the measure of the unit  on the variable. \nA big data table is sometimes referred to as a column-oriented data store whereas a traditional database is sometimes referred to as a row-oriented data store. The unit plays an identifier role in both types of data stores.\n\n\nGSIM mapping\n==============\nUnit\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#UnitType",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Concept"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#descriptiveText",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/descriptivetext"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A short natural language account of the characteristics of the object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usesconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Reference to the Concept that is being used",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/unittype"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Unit Type is a type or class of objects of interest.\n\nExamples\n==========\nPerson, Establishment, Household, State, Country, Dog, Automobile\n\nExplanatory notes\n===================\nUnitType is the most general in the hierarchy of UnitType, Universe, and Population. It is a description of the basic characteristic for a general set of Units.  A Universe is a set of entities defined by a more narrow specification than that of an underlying UnitType. A Population further narrows the specification to a specific time and geography.\nA Unit Type is used to describe a class or group of Units based on a single characteristic with no specification of time and geography.  For example, the Unit Type of “Person” groups together a set of Units based on the characteristic that they are ‘Persons’.\nIt concerns not only Unit Types used in dissemination, but anywhere in the statistical process. E.g. using administrative data might involve the use of a fiscal unit. [GSIM 1.1]\n\nSynonyms\n==========\nObject Class [ISO11179]\n\nGSIM mapping\n==============\nUnit Type\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Universe",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Concept"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isInclusive",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isinclusive"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Default value is True. The description statement of a universe is generally stated in inclusive terms such as \"All persons with university degree\". Occasionally a universe is defined by what it excludes, i.e., \"All persons except those with university degree\". In this case the value would be changed to \"false\".",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#descriptiveText",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/descriptivetext"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A short natural language account of the characteristics of the object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#narrowsUnitType",
              "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/narrowsunittype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Reference to the Unit Type that the Universe definition narrows.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usesconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Reference to the Concept that is being used",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/universe"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Conceptual"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA defined set or class of people, entities, events, or objects, with no specification of time and geography, contextualizing a Unit Type\n\nExamples\n==========\n1. Canadian adults (not limited to those residing in Canada)\n2. Computer companies \n3. Universities\n\nExplanatory notes\n===================\nUniverse sits in a hierarchy between UnitType and Population, with UnitType being most general and Population most specific. A Universe is a set of entities defined by a more narrow specification than that of an underlying UnitType. A Population further narrows the specification to a specific time and geography.\n\nIf the Universe consists of people, a number of factors may be used in defining membership in the Universe, such as age, sex, race, residence, income, veteran status, criminal convictions, etc. The universe may consist of elements other than persons, such as housing units, court cases, deaths, countries, etc. A universe may be described as \"inclusive\" or \"exclusive\". \n\nNot to be confused with Population, which includes the specification of time and geography.\n\nDDI 3.2 mapping\n=================\nc:UniverseType\n\nGSIM mapping\n==============\nPopulation\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#AlgorithmOverview",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#subjectOfAlgorithm",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/subjectofalgorithm"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A term identifying the subject of the algorithm being described. Supports the use of a controlled vocabulary",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Short natural language account of the information obtained from the combination of properties and relationships associated with an object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isDescribedIn",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isdescribedin"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An external document or other source that provides descriptive information on the object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/algorithmoverview"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#SimpleMethodologyOverview"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nHigh level, descriptive, human informative, algorithm statement used to describe the overall methodology. \n\nExplanatory notes\n===================\nThis would most commonly be used in a Codebook along with a MethodologyOverview and a DesignOverview.The underlying properties of the algorithm or method rather than the specifics of any particular implementation. In short a description of the method in its simplest and most general representation.\n\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#DesignOverview",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#subectOfDesign",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/subectofdesign"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A term describing the subject of the design. Supports the use of an external controlled vocabulary",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Short natural language account of the information obtained from the combination of properties and relationships associated with an object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isDescribedIn",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isdescribedin"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An external document or other source that provides descriptive information on the object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#assumesPrecondition",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#BusinessFunction"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isDiscussedIn",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isdiscussedin"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Identifies material discussing the precondition. The material may be in DDI or other format.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#basedOnPriorResult",
                      "valueExpr": "http://ddi-alliance.org/ns/#Result",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/basedonpriorresult"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The Precondition may be based on the Results of earlier Processes, indicated with this relationship.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/precondition"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Methodologies"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA precondition is a state. The state includes one or more goals that were previously achieved. This state is the necessary condition before a process can begin.\n\nExamples\n==========\nUsing goals and preconditions processes can be chained to form work flows. Note that these work flows do not include data flows. Instead data flows consisting ouf outputs, inputs and bindings are a separate swim lane. \n\nExplanatory notes\n===================\nA precondition related to a design defines the state that must exist in order for a design being applied. For example in applying a Sampling Design there may be a precondition for the existance of a sampling frame meeting certain specifications.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/assumesprecondition"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The description of a Precondition that must exist prior to the use of this design",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#specifiesGoal",
              "valueExpr": "http://ddi-alliance.org/ns/#Goal",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/specifiesgoal"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A description of the goal of the design. The goal may be used to evaluate the design, or implementations of the design, in terms of its ability to meet the goal.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#expressesAlgorithm",
              "valueExpr": "http://ddi-alliance.org/ns/#AlgorithmOverview",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/expressesalgorithm"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The algorithm that is expressed by the design. Constraint of the pattern relationship expressesAlgorithm by limiting the target to a DescribedAlgorithm.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#implementedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#WorkflowProcess",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/implementedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The process used to implement the Design. WorkflowProcess is a generic realization of the ProcessPattern.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/designoverview"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#SimpleMethodologyOverview"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nHigh level, descriptive, human informative, design statement The design may be used to specify how a process will be performed in general. This would most commonly be used in a Codebook along with an AlgorithmOverview and a MethodologyOverview. The design informs a specific or implemented process as to its general parameters. Supports specification of any realization of Goal. \n\n\nExplanatory notes\n===================\nAllows for the use of any realized Process. The methodology, design, and algorithm of a specific realized process should be used if available. The use of a generic Process such as a WorkflowProcess containing an Act would be appropriate here. Restriction would be done by inclusion of the appropriate realized process class(es) in a Functional View.\n\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#MethodologyOverview",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#subjectOfMethodology",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/subjectofmethodology"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A term describing the subject of the Methodology. Supports the use of a controlled vocabulary",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided, provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usage",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#rationale",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/rationale"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the reasons some decision was made or some object exists. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Short natural language account of the information obtained from the combination of properties and relationships associated with an object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isDescribedIn",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isdescribedin"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An external document or other source that provides descriptive information on the object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasDesign",
              "valueExpr": "http://ddi-alliance.org/ns/#DesignOverview",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasdesign"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The design used by the methodology. A restriction of the Methdology class to constrain the target to DescribedDesign.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isExpressedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#AlgorithmOverview",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isexpressedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The algorithm which expresses the methodology. A restriction of the Methdology class to constrain the target to DescribedAlgorithm.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#componentMethodology",
              "valueExpr": "http://ddi-alliance.org/ns/#MethodologyOverview",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/componentmethodology"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A methodology which is a component part of this methodology. The target may be any realized Methodology. This allows the DescribedMethodology to incorporate more explicit or detailed methodologies for different forms of use without replicating the descriptive content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/methodologyoverview"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#SimpleMethodologyOverview"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nHigh level, descriptive, human informative methodology statement used to describe the overall methodology, identify related design, algorithm, and process information. A methodology is normally informed by earlier research and clarifies how earlier research methods were incorporated into the current work. \n\n\n\nExamples\n==========\nThe target of the relationship from Study: \"hasMethodology\"\n\n\nExplanatory notes\n===================\nThis would most commonly be used in a Codebook along with an AlgorithmOverview and a DesignOverview. Note that Process may be described in more detail than a high level overview.\nNote that the algorithm may be implemented by multiple processes which are not limited to any specific type of Process. This can be constrained by the inclusion of only specific realizations of Process within a Functional View. Note that this MethodologyOverview can be used as a collective description of specific methodologies used by a Study or other broad set of metadata.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Char",
      "type": "NodeConstraint",
      "nodeKind": "Literal",
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/char"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#RegularExpressions"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#IsoDateType",
      "type": "NodeConstraint",
      "nodeKind": "Literal",
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/isodatetype"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#RegularExpressions"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#GeographicUnit",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Unit"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#geographicTime",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/geographictime"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The period for which the Geographic Unit is valid. Note that the geographic extent, name, or composition change within the valid period of this unit.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#supercedes",
              "valueExpr": "http://ddi-alliance.org/ns/#SpatialRelationship",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/supercedes"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The Geographic Unit supercedes (follows immediately in time) the described geographic unit. Repeat for multiple geographic units.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#precedes",
              "valueExpr": "http://ddi-alliance.org/ns/#SpatialRelationship",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/precedes"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The Geographic Unit is superceded by (precedes immediately in time) the described geographic unit. Repeat for multiple geographic units.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasGeographicExtent",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#boundingPolygon",
                      "valueExpr": "http://ddi-alliance.org/ns/#Polygon",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/boundingpolygon"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A description of the boundaries of the polygon either in-line or by a reference to an external file containing the boundaries. Repeatable to describe non-contiguous areas such as islands or Native American Reservations in some parts of the United States.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#excludingPolygon",
                      "valueExpr": "http://ddi-alliance.org/ns/#Polygon",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/excludingpolygon"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A description of a the boundaries of a polygon internal to the bounding polygon which should be excluded. For example, for the bounding polygon describing the State of Brandenburg in Germany, the Excluding Polygon would describe the boundary of Berlin, creating hole within Brandenburg which is occupied by Berlin.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#geographicTime",
                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/geographictime"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A time for which the polygon is an accurate description of the area. This may be a range (without an end date if currently still valid) or a single date when the shape was know to be valid if a range is not available.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasAreaCoverage",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#typeOfArea",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/typeofarea"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Specify the type of area covered i.e. Total, Land, Water, etc. Supports the use of an external controlled vocabulary.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#measurementUnit",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/measurementunit"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Records the measurement unit, for example, Square Kilometer, Square Mile. Supports the use of an external controlled vocabulary.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#areaMeasure",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#double"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/areameasure"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The area measure expressed as a decimal for the measurement unit designated.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/areacoverage"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nUse to specify the area of land, water, total or other area coverage in terms of square miles/kilometers or other measure as part of a Geographic Extent.\n\nDDI 3.2 mapping\n=================\nr:AreaCoverageType\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasareacoverage"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Means of describing the area covered by the geographic extent either in its entirety (total area) or specific subsets (land, water, urban, rural, etc.) providing a definition and measurement.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasCentroid",
                      "valueExpr": "http://ddi-alliance.org/ns/#SpatialPoint",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hascentroid"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Identifies the centroid of a polygon as a specific point",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#locationPoint",
                      "valueExpr": "http://ddi-alliance.org/ns/#SpatialPoint",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/locationpoint"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The geographic extent is a single point.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isSpatialLine",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#uri",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "nodeKind": "iri"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/uri"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A URI for the spatial file containing the line",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#lineLinkCode",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#string"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/linelinkcode"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The lineLinkCode is the identifier of the specific line within the file. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#shapeFileFormat",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/shapefileformat"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The format of the shape file existing at the location indicated by the sibling ExternalURI element.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#point",
                              "valueExpr": "http://ddi-alliance.org/ns/#SpatialPoint",
                              "min": 2,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/point"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A geographic point defined by a latitude and longitude. A minimum of 2 points is required in order to define the line. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/spatialline"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDefines a geographic line (minimum of 2 points)\n\nExamples\n==========\nStreet, River\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isspatialline"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The geographic extent is a single line",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasBoundingBox",
                      "valueExpr": "http://ddi-alliance.org/ns/#BoundingBox",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasboundingbox"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A Bounding Box (North, South Latitude and East, West Longitude) for the geographic extent.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/geographicextent"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#GeographicClassification"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nDefines the extent of a geographic unit for a specified period of time using Bounding Box, Inclusive and Exclusive Polygons, and an area coverage that notes a type of coverage (land, water, etc.) and measurement for the coverage. The same geographic extent may be used by multiple versions of a single geographic version or by different geographic units occupying the same spatial area.\n\nExamples\n==========\nBounding box for Burkino Faso: (N) 15.082773; (S) 9.395691; (E) 2.397927; (W) -5.520837.  Minnesota Land area: 206207.099 sq K, Water area: 18974.589 sq K \n\nExplanatory notes\n===================\nClarifies the source of a change in terms of footprint of an area as opposed to a name or coding change. \n\nDDI 3.2 mapping\n=================\nr:GeographicBoundaryType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasgeographicextent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the geographic extent or coverage of the geographic unit during the specified period of time. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/geographicunit"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#GeographicClassification"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA specific geographic unit of a defined Unit Type. A geographic unit may change its name, composition, or geographic extent over time. This may be tracked by versioning the content of the geographic unit. Normally a new version of a geographic unit would have a geographic (spatial) overlap with its previous version (a city annexing new area). A geographic unit ends when it is no longer a unit of the same unit type.\n\nExamples\n==========\nThe State of Minnesota from 1858 to date where the Unit Type is a State as defined by the United States Census Bureau. It has a geographic extent and supersedes a portion of the Territory of Minnesota and a portion of the Territory of Wisconsin. Minnesota territory had both a broader geographic extent, different Unit Type, and earlier time period (1849-1858) as did the Territory of Wisconsin. \n\nDDI 3.2 mapping\n=================\nr:GeographicLocationType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#GeographicUnitClassification",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#EnumerationDomain"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index number expressed as an integer. The position of the member in an ordered array. Optional for unordered Collections.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isInLevel",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isinlevel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Indicates the level within which the CodeItem resides",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnit",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Member of the collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/geographicunitindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nProvides ability to declare an optional sequence or index order to a Geographic Unit\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Define the code and Unit Type that is a member of the Geographic Unit Classification. They may be unordered or ordered and assigned to a specific level.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#releaseDate",
              "valueExpr": "http://ddi-alliance.org/ns/#Date",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/releasedate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Date the Classification was released",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#validDates",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/validdates"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The date the classification enters production use and the date on which the Classification was superseded by a successor version or otherwise ceased to be valid. (Source: GSIM Statistical Classification)",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isCurrent",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/iscurrent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates if the Classification is currently valid.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isFloating",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isfloating"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates if the Classification is a floating classification. In a floating classification, a validity period should be defined for all Classification Items which will allow the display of the item structure and content at different points of time. (Source: GSIM StatisticalClassification/Floating)",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usage",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#references",
              "valueExpr": "http://ddi-alliance.org/ns/#ConceptSystem",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/references"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "May reference an existing concept system generally of Geographic Unit",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship context for the relationship using an External Controlled Vocabulary. Examples might include \"parent-child\", or \"immediate supervisee\"",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Controlled Vocabulary to specify whether the relation is total, partial or unknown.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasSpatialRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#SpatialRelationSpecification",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasspatialrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on the spatial relationship between the parent and child.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provide a semantic that provides a context for the relationship using and External Controlled Vocabulary",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of its totality using an enumeration list.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnit",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The first member of the relationship.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnit",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Second member in the relationship. Notes this could be realized as a collection supporting tuple relationship.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/geographicunitrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDescribes structured relationship between Geographic Units.\n\nExplanatory notes\n===================\nA member might have a ParentChild relation to several other members which is Anti-Reflexive, Anti-Symmetric, and Anti-Transitive. For a process this might have a semantic of \"immediately follows\". \n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "MemberRelation used to define the relationship of members within the collection",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/geographicunitrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#GeographicClassification"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nDefines the relationships between Geographic Unit Types in a collection. \n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A relation structure used to describe complex relationships between the members",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isMaintainedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#Organization",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/ismaintainedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Organization, agency, or group within an agency responsible for the maintenance and upkeep of the classification.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#variantOf",
              "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnitClassification",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/variantof"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Geographic Unit Classification on which the current variant is based, and any subsequent versions of that Classification to which it is also applicable.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#replaces",
              "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnitClassification",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/replaces"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Geographic Unit Classification superseded by the actual Classification (for those Classifications that are versions or updates).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isReplacedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnitClassification",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isreplacedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Geographic Unit Type Structure that supersedes the actual Statistical Classification (for those Statistical Classifications that are versions or updates).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/geographicunitclassification"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#GeographicClassification"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDescribes the classification of specific geographic units into a classification system. As a subtype of Code List it can be used directly for the description of a value domain.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#GeographicUnitTypeClassification",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#EnumerationDomain"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index number expressed as an integer. The position of the member in an ordered array. Optional for unordered Collections.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isInLevel",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isinlevel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Indicates the level within which the CodeItem resides",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Member of the collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/geographicunittypeindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nProvides ability to declare an optional sequence or index order to a Unit Type describing a Geographic Unit Type. Extended to support membership in a specific level.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Define the code and Unit Type that is a member of the Geographic Unit Type Classification. They may be unordered or ordered and assigned to a specific level.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#releaseDate",
              "valueExpr": "http://ddi-alliance.org/ns/#Date",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/releasedate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Date the Classification was released",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#validDates",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/validdates"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The date the statistical classification enters production use and the date on which the Classification was superseded by a successor version or otherwise ceased to be valid. (Source: GSIM Statistical Classification)",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isCurrent",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/iscurrent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates if the Statistical Classification is currently valid.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isFloating",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isfloating"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates if the Classification is a floating classification. In a floating statistical classification, a validity period should be defined for all Classification Items which will allow the display of the item structure and content at different points of time. (Source: GSIM StatisticalClassification/Floating)",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usage",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#references",
              "valueExpr": "http://ddi-alliance.org/ns/#ConceptSystem",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/references"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "May reference an existing concept system generally of Geographic Unit Types",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship context for the relationship using an External Controlled Vocabulary. Examples might include \"parent-child\", or \"immediate supervisee\"",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Controlled Vocabulary to specify whether the relation is total, partial or unknown.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasSpatialRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#SpatialRelationSpecification",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasspatialrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on the spatial relationship between the parent and child. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#isExhaustiveCoverage",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/isexhaustivecoverage"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "An aggregation of the units of the child Unit Type will result in exhaustive coverage of the parent Unit Type",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provide a semantic that provides a context for the relationship using and External Controlled Vocabulary",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of its totality using an enumeration list.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The first member of the relationship. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Second member in the relationship. Notes this could be realized as a collection supporting tuple relationship.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/geographicunittyperelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDescribes structured relationship between Unit Types used to define Geographic Unit Types. Extended to include the ability to define a Spatial Relationship using a controlled vocabulary.\n\nExplanatory notes\n===================\nA member might have a ParentChild relation to several other members which is Anti-Reflexive, Anti-Symmetric, and Anti-Transitive. For a process this might have a semantic of \"immediately follows\". \n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "MemberRelation used to define the relationship of members within the collection",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/geographicunittyperelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#GeographicClassification"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nDefines the relationships between Geographic Unit Types in a collection.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A relation structure used to describe complex relationships between the members",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isMaintainedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#Organization",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/ismaintainedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Organization, agency, or group within an agency responsible for the maintenance and upkeep of the classification.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#variantOf",
              "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnitTypeClassification",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/variantof"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Geographic Unit Type Structure on which the current variant is based, and any subsequent versions of that Classification to which it is also applicable. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#replaces",
              "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnitTypeClassification",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/replaces"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Geographic Unit Type Structure superseded by the actual Classification (for those Classifications that are versions or updates).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isReplacedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnitTypeClassification",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isreplacedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Geographic Unit Type Structure that supersedes the actual Classification (for those Classifications that are versions or updates),",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/geographicunittypeclassification"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#GeographicClassification"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA structured collection of Unit Types defining a geographic structure. As a subtype of CodeList it may be used directly to describe a value domain.\n\nExamples\n==========\nCountry--State--County\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#PhysicalDataSet",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Short natural language account of the information obtained from the combination of properties and relationships associated with an object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#physicalFileName",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/physicalfilename"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Use when multiple physical segments are stored in a single file",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#numberOfSegments",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/numberofsegments"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The number of segments in a Physical Data Product",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#PhysicalRecordSegment",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to PhysicalRecordSegment",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/physicalrecordsegmentindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type PhysicalRecordSegment\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A physical description of the data store encompasses a description of its gross record structure. This structure consists of one or more PhysicalRecordSegments and their relationships. Allows for the identification of the member and optionally provides an index for the member within an ordered array ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the dataset is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An explanation of the purpose of the physical dataset",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#formatsDataStore",
              "valueExpr": "http://ddi-alliance.org/ns/#DataStore",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/formatsdatastore"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Data Store physically represented by the Structure Description. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#PhysicalRecordSegment",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "first member in the relationship. Constrained to a single source",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#PhysicalRecordSegment",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "second member in the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/physicalrecordsegmentrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDefines structured relationship between PhysicalRecordSegments.\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Member relations that comprise the relation structure",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/physicalorderrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#FormatDescription"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nPhysicalStructureOrder orders thePhysicalRecordSegments  which map to a LogicalRecord.\n\nExplanatory notes\n===================\nThe same LogicalRecordLayout may be the sourceMember in several adjacency lists. This can happen when PhysicalRecordSegments are also population specific. In this instance each adjacency list associated with a LogicalRecordLayout is associated with a different population.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description of a complex structure for the Collection. A collection may be structured in more than one way for different uses.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasVariableStatistics",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totalResponses",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totalresponses"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The total number of responses to this variable. This element is especially useful if the number of responses does not match added case counts. It may also be used to sum the frequencies for variable categories.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasSummaryStatistic",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#typeOfSummaryStatistic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/typeofsummarystatistic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of summary statistic, such as count, mean, mode, median, etc. Supports the use of an external controlled vocabulary. DDI strongly recommends the use of a controlled vocabulary.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasStatistic",
                              "valueExpr": "http://ddi-alliance.org/ns/#Statistic",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasstatistic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The value of the statistics and whether it is weighted and/or includes missing values. May expressed as xs:decimal and/or xs:double",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/summarystatistic"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDescribes summary statistics for a variable.\n\nExamples\n==========\nMean, standard deviation\n\nDDI 3.2 mapping\n=================\npi:SummaryStatisticType\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hassummarystatistic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Statistic that provides a summary value, filtered or unfiltered, weighted or unweighted, expressed as an xs:decimal or xs:double",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasCategoryStatistic",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#typeOfCategoryStatistic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/typeofcategorystatistic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of category statistic. Supports the use of an external controlled vocabulary. DDI strongly recommends the use of a controlled vocabulary.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasStatistic",
                              "valueExpr": "http://ddi-alliance.org/ns/#Statistic",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasstatistic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The value of the identified type of statistic for the category. May be repeated to provide unweighted or weighted values and different computation bases.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#categoryValue",
                              "valueExpr": "http://ddi-alliance.org/ns/#ValueString",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/categoryvalue"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Value of the category to which the statistics apply",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#filterValue",
                              "valueExpr": "http://ddi-alliance.org/ns/#ValueString",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/filtervalue"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The value of the filter variable to which the category statistic is restricted",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#forCodeItem",
                              "valueExpr": "http://ddi-alliance.org/ns/#Designation",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/forcodeitem"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "For categorical representations the CodeItem describing the value (signifier) and category (signified) may be identified.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/categorystatistic"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nStatistics related to a specific category of an InstanceVariable within a data set.\n\nDDI 3.2 mapping\n=================\npi:CategoryStatisticType\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hascategorystatistic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Statistics that provides a category specific values, filtered or unfiltered, weighted or unweighted, expressed as an xs:decimal or xs:double",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#forInstanceVariable",
                      "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/forinstancevariable"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Reference to the variable to which the statistics apply.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usesStandardWeight",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "TripleConstraint",
                          "predicate": "http://ddi-alliance.org/ns/#standardWeightValue",
                          "valueExpr": {
                            "type": "NodeConstraint",
                            "datatype": "http://www.w3.org/2001/XMLSchema#double"
                          },
                          "min": 0,
                          "max": 1,
                          "annotations": [
                            {
                              "type": "Annotation",
                              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                              "object": "http://lion.ddialliance.org/ddiobjects/standardweightvalue"
                            },
                            {
                              "type": "Annotation",
                              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                              "object": {
                                "value": "Provides the standard weight used for weighted analysis of data expressed as an xs:float. This element is referenced by the variable and/or statistics calculated using the standard weight.",
                                "type": "https://github.com/commonmark/commonmark.js"
                              }
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/standardweight"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#SimpleCodebook"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nProvides an identified value for a standard weight expressed as an xs:float. This object may be referenced by a variable or statistic and used as a weight for analysis.\n\nExamples\n==========\nA simple sample survey without an individual weight variable will have a StandardWeight to be used on all cases: 1% sample has a sample weight of 100\n\nExplanatory notes\n===================\nA simple random sample survey without an individual weight variable will have a StandardWeight to be used on all cases. This is common when the sample is a simple random sample of a population with no oversampling to provide larger case counts for small populations.\n\nDDI 3.2 mapping\n=================\nd:StandardWeightType\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usesstandardweight"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Reference to the StandardWeight value provided in Weighting.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#applicableWeightVariable",
                      "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/applicableweightvariable"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Reference to a variable to use for weight in calculating the statistic.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasFilterVariable",
                      "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasfiltervariable"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A variable that may be used to filter the summary and/or category statistics (for example by country or by gender)",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/variablestatistics"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#SimpleCodebook"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nContains summary and category level statistics for the referenced variable.\n\nExamples\n==========\nA mean of values for a variable \"Height\". Counts for each level of variable \"Gender\" (male and female)\n\nExplanatory notes\n===================\n Includes information on the total number of responses, the weights in calculating the statistics, variable level summary statistics, and category statistics. The category statistics may be provided as unfiltered values or filtered through a single variable. For example the category statistics for Sex filtered by the variable Country for a multi-national data file. Note that if no weighting factor is identified, all of the statistics provided are unweighted.\n\nDDI 3.2 mapping\n=================\npi:VariableStatisticsType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasvariablestatistics"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Variable Statistics related to the Physical Data Set. May be summary or category level statistics.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/physicaldataset"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#FormatDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe information needed for understanding the physical structure of data coming from a file or other source. A StructureDescription also points to the Data Store it physically represents.\n\nExamples\n==========\nThe PhysicalDataProduct is the entry point for information about a file or other source. It includes information about the name of a file, the structure of segments in a file and the layout of segments.\n\nExplanatory notes\n===================\nMultiple styles of structural description are supported: including describing files as unit-record (UnitSegmentLayout) files; describing cubes; and describing event-history (spell) data.\n\nDDI 3.2 mapping\n=================\np:PhysicalDataProductType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#PhysicalRecordSegment",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#physicalFileName",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/physicalfilename"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Use when each physical segment is stored in its own file.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#DataPoint",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to DataPoint",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/datapointindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type DataPoint\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A PhysicalRecordSegment has a sequence of DataPoints. Think of these as the cells in the row of a (spreadsheet) table.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The DataPointIndicators for this PhysicalRecordSegment have index values that indicate the order of the DataPoints.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasPhysicalLayout",
              "valueExpr": "http://ddi-alliance.org/ns/#PhysicalSegmentLayout",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasphysicallayout"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A PhysicalRecordSegment is associated with a one or more reusable PhysicalLayouts ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#representsPopulation",
              "valueExpr": "http://ddi-alliance.org/ns/#Population",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/representspopulation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A record segment may represent a specific population or sub-population within a larger set of segments. Allows for the identification of this filter for membership in the segment.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#mapTo",
              "valueExpr": "http://ddi-alliance.org/ns/#LogicalRecord",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/mapto"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Every DataRecord has at o..n PhysicalRecordSegments, It is possible to describe a PhysicalDataProduct and its RecordRecordSegment(s) without reference to a DataRecord",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#DataPoint",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "First member in a relationship.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#DataPoint",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Second member in a relationship. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/datapointrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nData Point relations used by the Data Point Relation Structure of a Logical Record to describe specific source target Data Points and their relationship\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Member relations that comprise the relation structure",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/datapointrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#FormatDescription"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA means for describing the complex relational structure of Data Points in a Logical Record \n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "There may be cases where there is a more complex structure to a sequence of DataPoints. A cell containing a list, for example, might be considered to have nested DataPoints that are the elements of the list.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/physicalrecordsegment"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#FormatDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA description of each physical storage segment required to completely cover the logical record. A logical record may be stored in one or more segments housed hierarchically in a single file or in separate data files. All logical records have at least one segment.\n\nExamples\n==========\nThe file below has four InstanceVariables: PersonId, SegmentId, AgeYr, HeightCm. The data for each person (identified by PersonId) is recorded in two segments (identified by SegmentId), \"a\" and \"b\". AgeYr is on physical segment a, and HeightCm is on segment b. These are the same data as described in the UnitSegmentLayout documentation.\n1 a  22\n1 b 183\n2 a 45\n2 b 175\n\n\nDDI 3.2 mapping\n=================\np:PhysicalRecordSegmentType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#PhysicalSegmentLayout",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isDelimited",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isdelimited"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates that the data are in a delimited format. If not set to true, is FixedWitdh must be set to true. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#delimiter",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/delimiter"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The Delimiting character in the data. Must be used if isDelimited is true. \"The separator between cells, set by the delimiter property of a dialect description. The default is ,.\" see https://www.w3.org/TR/tabular-data-model/#encoding  From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  delimiter: “An atomic property that sets the delimiter flag to the single provided value, which MUST be a string. The default is \",\".” From https://www.w3.org/TR/tabular-data-model/ 8 “The separator between cells, set by the delimiter property of a dialect description. The default is ,.” From http://specs.frictionlessdata.io/csv-dialect/ delimiter:  “specifies a one-character string to use as the field separator. Default = ,” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isFixedWidth",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isfixedwidth"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Set to true if the file is fixed-width. If true, isDelimited must be set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#escapeCharacter",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/escapecharacter"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "\"The string that is used to escape the quote character within escaped cells, or null\"  see https://www.w3.org/TR/tabular-data-model/#encoding From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect   “ doupleQuote: A boolean atomic property that, if true, sets the escape character flag to \". If false, to \\. The default is true.” From http://specs.frictionlessdata.io/csv-dialect/ doubleQuote: “controls the handling of quotes inside fields. If true, two consecutive quotes should be interpreted as one. Default = true” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#lineTerminator",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/lineterminator"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "\"The strings that can be used at the end of a row, set by the lineTerminators property of a dialect description. The default is [CRLF, LF].\"  see https://www.w3.org/TR/tabular-data-model/#encoding From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  lineTerminators: “An atomic property that sets the line terminators flag to either an array containing the single provided string value, or the provided array. The default is [\"\\r\\n\", \"\\n\"].” From http://specs.frictionlessdata.io/csv-dialect/ lineTerminator: “specifies the character sequence which should terminate rows. Default = \\r\\n” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#quoteCharacter",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/quotecharacter"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The string that is used around escaped cells, or null, set by the quoteChar property of a dialect description. The default is \". see https://www.w3.org/TR/tabular-data-model/#encoding From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  quoteChar: “An atomic property that sets the quote character flag to the single provided value, which MUST be a string or null. If the value is null, the escape character flag is also set to null. The default is '\"'.” From http://specs.frictionlessdata.io/csv-dialect/ quoteChar: “specifies a one-character string to use as the quoting character. Default = \"” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#commentPrefix",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/commentprefix"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A string used to indicate that an input line is a comment, a string which precedes a comment in the data file.  From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  commentPrefix: “An atomic property that sets the comment prefix flag to the single provided value, which MUST be a string. The default is \"#\".”",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#encoding",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/encoding"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The character encoding of the represented data. From https://www.w3.org/TR/tabular-metadata/ 5.9 Dialect: encoding: “An atomic property that sets the encoding flag to the single provided string value, which MUST be a defined in [encoding]. The default is \"utf-8\".”     From https://www.w3.org/TR/tabular-metadata/ 7.2 Encoding:  “CSV files should be encoded using UTF-8, and should be in Unicode Normal Form C as defined in [UAX15]. If a CSV file is not encoded using UTF-8, the encoding should be specified through the charset parameter in the Content-Type header:” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasHeader",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasheader"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "True if the file contains a header containing column names. From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  header: “A boolean atomic property that, if true, sets the header row count flag to 1, and if false to 0, unless headerRowCount is provided, in which case the value provided for the header property is ignored. The default is true.” From http://specs.frictionlessdata.io/csv-dialect/ header: “indicates whether the file includes a header row. If true the first row in the file is a header row, not data. Default = true”  ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#headerRowCount",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/headerrowcount"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The number of lines in the header From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  headerRowCount: “A numeric atomic property that sets the header row count flag to the single provided value, which MUST be a non-negative integer. The default is 1.”  ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#skipBlankRows",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/skipblankrows"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If True, blank rows are ignored. From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  skipBlankRows: “A boolean atomic property that sets the skip blank rows flag to the single provided boolean value. The default is false.”",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#skipDataColumns",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/skipdatacolumns"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The number of columns to skip at the beginning of the row. From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  skipColumns: “A numeric atomic property that sets the skip columns flag to the single provided numeric value, which MUST be a non-negative integer. The default is 0.” See also https://www.w3.org/TR/tabular-metadata/ 8 skip columns: “The number of columns to skip at the beginning of each row, set by the skipColumns property of a dialect description. The default is 0. A value other than 0 will mean that the source numbers of columns will be different from their numbers.” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#skipInitialSpace",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/skipinitialspace"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If true skip spaces at the beginning of a line or following a delimiter. From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  skipInitialSpace: “A boolean atomic property that, if true, sets the trim flag to \"start\" and if false, to false. If the trim property is provided, the skipInitialSpace property is ignored. The default is false.” From http://specs.frictionlessdata.io/csv-dialect/ skipInitialSpace: “specifies how to interpret whitespace which immediately follows a delimiter; if false, it means that whitespace immediately after a delimiter should be treated as part of the following field. Default = true” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#skipRows",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/skiprows"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Number of input rows to skip preceding the header or data From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  skipRows: “A numeric atomic property that sets the skip rows flag to the single provided numeric value, which MUST be a non-negative integer. The default is 0.” From https://www.w3.org/TR/tabular-metadata/ 8  skip rows: “The number of rows to skip at the beginning of the file, before a header row or tabular data, set by the skipRows property of a dialect description. The default is 0. A value greater than 0 will mean that the source numbers of rows will be different from their numbers.” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#trim",
              "valueExpr": "http://ddi-alliance.org/ns/#TrimValues",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/trim"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Specifies which spaces to remove from a data value (start, end, both, neither) From https://www.w3.org/TR/tabular-metadata/  5.9 Dialect  trim: “An atomic property that, if the boolean true, sets the trim flag to true and if the boolean false to false. If the value provided is a string, sets the trim flag to the provided value, which MUST be one of \"true\", \"false\", \"start\", or \"end\". The default is true.” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#nullSequence",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/nullsequence"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A string indicating a null value. From https://www.w3.org/TR/tabular-metadata/ 4.3 “null — the string or strings which cause the value of cells having string value matching any of these values to be null.” From Inherited 5.7 null: “An atomic property giving the string or strings used for null values within the data. If the string value of the cell is equal to any one of these values, the cell value is null. See Parsing Cells in [tabular-data-model] for more details. If not specified, the default for the null property is the empty string \"\". The value of this property becomes the null annotation for the described column.” From http://specs.frictionlessdata.io/csv-dialect/ nullSequence: “specifies the null sequence (for example \\N). Not set by default” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#headerIsCaseSensitive",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/headeriscasesensitive"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If True, the case of the labels in the header is significant. From http://specs.frictionlessdata.io/csv-dialect/ caseSensitiveHeader: “indicates that case in the header is meaningful. For example, columns CAT and Cat should not be equated. Default = false”",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#arrayBase",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/arraybase"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Number cells, rows, columns starting from this value. This is a DDI notion allowing numbering of columns, rows, etc. from either 0 or 1. W3C appears to just use 1. From https://www.w3.org/TR/tabular-data-model/ 4.3 “number — the position of the column amongst the columns for the associated table, starting from 1.” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#treatConsecutiveDelimitersAsOne",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/treatconsecutivedelimitersasone"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If True, consecutive delimiters are treated the same way as a single delimiter, if false consiecutive delimiters indicate a missing value. From PHDD consecutiveDelimitersAsOne: “Indicates how consecutive delimiters should be handed by the software. Equivalent element in DDI 3.2: p:Delimiter/@treatConsecutiveDelimiterAsOne DDI 3.2 Documentation: http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/complexTypes/DelimiterType.html#a6” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Short natural language account of the physical layout obtained from the combination of associated  properties and relationships. Supports the use of multiple languages and structured text.  ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#tableDirection",
              "valueExpr": "http://ddi-alliance.org/ns/#TableDirectionValues",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/tabledirection"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates the direction in which columns are arranged in each row. From https://www.w3.org/TR/tabular-metadata/  5.3.2 tableDirection: “An atomic property that MUST have a single string value that is one of \"rtl\", \"ltr\", or \"auto\". Indicates whether the tables in the group should be displayed with the first column on the right, on the left, or based on the first character in the table that has a specific direction. The value of this property becomes the value of the table direction annotation for all the tables in the table group. See Bidirectional Tables in [tabular-data-model] for details. The default value for this property is \"auto\".”  ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#textDirection",
              "valueExpr": "http://ddi-alliance.org/ns/#TextDirectionValues",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/textdirection"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates the reading order of text within cells. From https://www.w3.org/TR/tabular-metadata/ Inherited 5.7 textDirection: “An atomic property that MUST have a single string value that is one of \"ltr\", \"rtl\", \"auto\" or \"inherit\" (the default). Indicates whether the text within cells should be displayed as left-to-right text (ltr), as right-to-left text (rtl), according to the content of the cell (auto) or in the direction inherited from the table direction annotation of the table. The value of this property determines the text direction annotation for the column, and the text direction annotation for the cells within that column: if the value is inherit then the value of the text direction annotation is the value of the table direction annotation on the table, otherwise it is the value of this property. See Bidirectional Tables in [tabular-data-model] for details.”",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "  Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "  Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#ValueMapping",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to ValueMapping",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/valuemappingindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type ValueMapping\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The PhysicalLayout contains a description of the physical representation of each InstanceVariable in a ValueMapping. This relationship fills the role of \"Contains\" from the Collection pattern. Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#formatsLogicalRecord",
              "valueExpr": "http://ddi-alliance.org/ns/#LogicalRecord",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/formatslogicalrecord"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Logical Record physically represented by the Physical Layout.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#criteria",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/criteria"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Intensional definition of the order criteria (e.g. alphabetical, numerical, increasing, decreasing, etc.)",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list.  Use if all relations within this relation structure are of the same specification. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#ValueMapping",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Specialization of source to VariableMapping. The First Variableapping in the pair.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#ValueMapping",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Specialization of target to VariableMapping. Restricts cardinality. The following VariableMapping in the pair.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/valuemappingrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nVariable relationships in PhysicalLayout as defined using ValueMappingRelation\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specifics of relations between InstanceVariables in the PhysicalLayout",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/physicallayoutrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#FormatDescription"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA realization of RelationStructure that is used to describe the sequence of Value Mappings in a Physical Layout. This can be more complex than a simple sequence. \n\nExamples\n==========\nThe W3C Tabular Data on the Web specification allows for a list datatype. In the example below there are three top level InstanceVariables\nPersonID – the person identifier\nAgeYr – age in year\nBpSys_Dia – blood pressure (a list containing Systolic and Diastolic values)\n\nThere are two variables at a secondary level of the hierarchy\nSystolic – the systolic pressure\nDiastolic – the diastolic pressure\n\nThe delimited file below uses the comma to separate \"columns\" and forward slash to separate elements of a blood pressure list.\n\nPersonID, AgeYr, BpSys_Dia\n1,22,119/67\n2,68,122/70\n\nThe PhysicalRelationStructure in this case would describe a BpSys_Dia  list variable as containing an ordered sequence of the Systolic and Diastolic InstanceVariables.\n\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description of a complex structure for the Collection. A collection may be structured in more than one way for different uses.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/physicalsegmentlayout"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#FormatDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe PhysicalSegmentLayout is an abstract class used as an extension point in the description of the different layout styles of data structure description.\n\nExamples\n==========\nExamples include UnitSegmentLayouts, event data layouts, and cube layouts (e.g. summary data).\n\nExplanatory notes\n===================\nA PhysicalLayout is a physical description (e.g. UnitSegmentLayout) of the associated Logical Record Layout consisting of a Collection of Value Mappings describing the physical interrelationship of each related ValueMapping and associated Instance Variable.\n\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#PhysicalSegmentLocation",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/physicalsegmentlocation"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#FormatDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAmong other things defines the location of a DataPoint in a PhysicalSegment (e.g. the location of the representation of a variable in a text file). This is abstract since there are many different ways to describe the location of a segment - character counts, start and end times, etc.\n\nExamples\n==========\nA segment of text in a plain text file beginning at character 3 and ending at character 123.\n\nExplanatory notes\n===================\nWhile this has no properties or relationships of its own, it is useful as a target of relationships where its extensions may serve.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SegmentByText",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#PhysicalSegmentLocation"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#startLine",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/startline"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The line number, where 1 is the first line, on which to begin counting characters. If missing this defaults to 1 (the first line).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#endLine",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/endline"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The last line on which to count characters. If missing this defaults to startLine. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#startCharacterPosition",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/startcharacterposition"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The character position of the first character of the segment, with the count beginning at character 1 of startLine. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#endCharacterPosition",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/endcharacterposition"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The character position of the last character of the segment.  If endLine is specified, the count begins at character 1 of endLine. If startLine and endLine are not specified, the count begins at character 1 of the first line of the resource and the count includes any line termination characters. The resulting segment may include text from multiple lines of the resource.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#characterLength",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/characterlength"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The number of characters in the segment. The segment may include text from multiple lines of the resource. If it does, the length includes any line termination characters.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/segmentbytext"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#FormatDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDefines the location of a segment of text through character, and optionally line, counts. An adequate description will always include a startCharacterPosition and then may include an endCharacterPosition or a characterLength.\nIf StartLine is specified, the character counts begin within that line.\nAn endCharacterPosition of 0 indicates that whole lines are specified\n\n\nExamples\n==========\nThe segment beginning at line 3, character 4 and ending at line 27 character 13.\nAlternatively the segment beginning at character 257 and ending at character 1350 of the whole body of text.\nStartLine of 10, endLine of 12, startCharacterPosition of 1, endCharacterPosition of 0 means all of lines 10,11, and 12. \n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#UnitSegmentLayout",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#PhysicalSegmentLayout"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/unitsegmentlayout"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#FormatDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nUnitSegmentLayout supports the description of unit-record (\"wide\") data sets, where each row in the data set provides the same group of values for variables all relating to a single unit. Each logical column will contain data relating to the values for a single variable. \n\nExamples\n==========\nA simple spreadsheet. Commonly the first row of the table will contain variable names or descriptions.\n\nThe following csv file has a rectangular layout and would import into a simple table in a spreadsheet:\nPersonId,AgeYr,HeightCm\n1,22,183\n2,45,175\n\n\nExplanatory notes\n===================\nThis is the classic rectangular data table used by most statistical packages, with rows/cases/observations and columns/variables/measurements. Each cell (DataPoint) in the table is the intersection of a Unit (row) and an InstanceVariable. \n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ValueMapping",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Identifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#physicalDataType",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/physicaldatatype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The base datatype of the physical representation. An integer InstanceVariable might, for example, be stored as a floating point number. From https://www.w3.org/TR/tabular-metadata/ Inherited 5.7 datatype: “An atomic property that contains either a single string that is the main datatype of the values of the cell or a datatype description object. If the value of this property is a string, it MUST be the name of one of the built-in datatypes defined in section 5.11.1 Built-in Datatypes and this value is normalized to an object whose base property is the original string value. If it is an object then it describes a more specialized datatype. If a cell contains a sequence (i.e. the separator property is specified and not null) then this property specifies the datatype of each value within that sequence. See 5.11 Datatypes and Parsing Cells in [tabular-data-model] for more details.  The normalized value of this property becomes the datatype annotation for the described column. ” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#defaultDecimalSeparator",
              "valueExpr": "http://ddi-alliance.org/ns/#Char",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/defaultdecimalseparator"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Default value is . (period). The string separating the integer part from the fractional part of a decimal or real number. In W3C part of the datatype format From https://www.w3.org/TR/tabular-metadata/ tabular 6.4.2 decimalChar: “A string whose value is used to represent a decimal point within the number. If the supplied value is not a string, implementations MUST issue a warning and proceed as if the property had not been specified.” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#defaultDigitGroupSeparator",
              "valueExpr": "http://ddi-alliance.org/ns/#Char",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/defaultdigitgroupseparator"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Default value is null. A string separating groups of digits (for readability). In W3C part of the datatype format From https://www.w3.org/TR/tabular-metadata/ tabular 6.4.2 groupChar: “A string whose value is used to group digits within the number. If the supplied value is not a string, implementations MUST issue a warning and proceed as if the property had not been specified.” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#numberPattern",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/numberpattern"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A pattern description of the format of a numeric value. In W3C part of the datatype format From https://www.w3.org/TR/tabular-metadata/ tabular 6.4.2 pattern: “A number format pattern as defined in [UAX35] http://www.unicode.org/reports/tr35/tr35-31/tr35-numbers.html#Number_Format_Patterns . Implementations MUST recognise number format patterns containing the symbols 0, #, the specified decimalChar (or \".\" if unspecified), the specified groupChar (or \",\" if unspecified), E, +, % and ‰. Implementations MAY additionally recognise number format patterns containing other special pattern characters defined in [UAX35]. If the supplied value is not a string, or if it contains an invalid number format pattern or uses special pattern characters that the implementation does not recognise, implementations MUST issue a warning and proceed as if the property had not been specified.   f the datatype format annotation is a single string, this is interpreted in the same way as if it were an object with a pattern property whose value is that string. If the groupChar is specified, but no pattern is supplied, when parsing the string value of a cell against this format specification, implementations MUST recognise and parse numbers that consist of:  an optional + or - sign, …  Implementations MAY also recognise numeric values that are in any of the standard-decimal, standard-percent or standard-scientific formats listed in the Unicode Common Locale Data Repository. …” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#defaultValue",
              "valueExpr": "http://ddi-alliance.org/ns/#ValueString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/defaultvalue"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A default string indicating the value to substitute for an empty string. From https://www.w3.org/TR/tabular-metadata/ Inherited 5.7  default “An atomic property holding a single string that is used to create a default value for the cell in cases where the original string value is an empty string. See Parsing Cells in [tabular-data-model] for more details. If not specified, the default for the default property is the empty string, \"\". The value of this property becomes the default annotation for the described column.”",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#nullSequence",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/nullsequence"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A string indicating a null value. From https://www.w3.org/TR/tabular-metadata/ 4.3 null — “the string or strings which cause the value of cells having string value matching any of these values to be null.” From Inherited 5.7 null: “An atomic property giving the string or strings used for null values within the data. If the string value of the cell is equal to any one of these values, the cell value is null. See Parsing Cells in [tabular-data-model] for more details. If not specified, the default for the null property is the empty string \"\". The value of this property becomes the null annotation for the described column.” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#format",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/format"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "This defines the format of the physical representation of the value. From https://www.w3.org/TR/tabular-metadata/  5.11.2 format: “An atomic property that contains either a single string or an object that defines the format of a value of this type, used when parsing a string value as described in Parsing Cells in [tabular-data-model]. The value of this property becomes the format annotation for the described datatype.” See https://www.w3.org/TR/tabular-metadata/ Tabular 6.4.2 ‘Formats for numeric datatypes’  this may include decimalChar, groupChar, pattern  “By default, numeric values must be in the formats defined in [xmlschema11-2]. It is not uncommon for numbers within tabular data to be formatted for human consumption, which may involve using commas for decimal points, grouping digits in the number using commas, or adding percent signs to the number.” See https://www.w3.org/TR/tabular-metadata/ Tabular 6.4. Formats for Booleans   ” Boolean values may be represented in many ways aside from the standard 1 and 0 or true and false.” See https://www.w3.org/TR/tabular-metadata/ 6.4.4. Formats for dates and times “By default, dates and times are assumed to be in the format defined in [xmlschema11-2]. However dates and times are commonly represented in tabular data in other formats.” See https://www.w3.org/TR/tabular-metadata/ 6.4.5 Formats for durations “Durations MUST be formatted and interpreted as defined in [xmlschema11-2], using the [ISO8601] format -?PnYnMnDTnHnMnS. For example, the duration P1Y1D is used for a year and a day; the duration PT2H30M for 2 hours and 30 minutes.” See  https://www.w3.org/TR/tabular-metadata/ 6.4.6 Formats for other types “If the datatype base is not numeric, boolean, a date/time type, or a duration type, the datatype format annotation provides a regular expression for the string values, with syntax and processing defined by [ECMASCRIPT]. If the supplied value is not a valid regular expression, implementations MUST issue a warning and proceed as if no format had been provided.” From DDI3.2 ManagedNumericRepresentation@format “A format for number expressed as a string.” From DDI3.2 ManagedDateTimeRepresentation_DateFieldFormat “Describes the format of the date field, in formats such as YYYY/MM or MM-DD-YY, etc. If this element is omitted, then the format is assumed to be the XML Schema format corresponding to the type attribute value.” ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#length",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/length"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The length of the physical representation of the value. From https://www.w3.org/TR/tabular-metadata/  5.11.2 length: “A numeric atomic property that contains a single integer that is the exact length of the value. The value of this property becomes the length annotation for the described datatype. See Length Constraints in [tabular-data-model] for details.” Corresponds to DDI2.5 var/location/width and DDI 3.2 PhysicalLocation/Width",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#minimumLength",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/minimumlength"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The smallest possible value for the length of the physical representation of the value. From https://www.w3.org/TR/tabular-metadata/  5.11.2 minLength: “An atomic property that contains a single integer that is the minimum length of the value. The value of this property becomes the minimum length annotation for the described datatype. See Length Constraints in [tabular-data-model] for details.”",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#maximumLength",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/maximumlength"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The largest possible value of the length of the physical representation of the value. From https://www.w3.org/TR/tabular-metadata/  5.11.2 maxLength: “A numeric atomic property that contains a single integer that is the maximum length of the value. The value of this property becomes the maximum length annotation for the described datatype. See Length Constraints in [tabular-data-model] for details.”",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#scale",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/scale"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The scale of the number expressed as an integer (for example a number expressed in 100's, 5 = 500 would have a scale of 100).   From DDI 3.2 ManagedNumericRepresentation@scale: ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#decimalPositions",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/decimalpositions"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The number of decimal positions expressed as an integer. Used when the decimal position is implied (no decimal separator is present) See DDI 3.2 ManagedNumericRepresentation@decimalPositions",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isRequired",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isrequired"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If True a value is required for this variable. NOTE: this might be better at the InstanceVariable or higher in the variable cascade. From https://www.w3.org/TR/tabular-metadata/ Inherited 5.7 required: “A boolean atomic property taking a single value which indicates whether the cell value can be null. See Parsing Cells in [tabular-data-model] for more details. The default is false, which means cells can have null values. The value of this property becomes the required annotation for the described column.”",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#formatsDataPoint",
              "valueExpr": "http://ddi-alliance.org/ns/#DataPoint",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/formatsdatapoint"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the physical representation of the InstanceVariable ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#describesSegmentLocation",
              "valueExpr": "http://ddi-alliance.org/ns/#PhysicalSegmentLocation",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/describessegmentlocation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Uses a PhysicalSegmentLocation to describe where in the physical record a segment representing the InstanceVarible is. This could be, for example, described as a start position and end position value for characters in a text record via the SegmentByText extension of PhysicalSegmentLocation.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/valuemapping"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#FormatDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nProvides physical characteristics for an InstanceVariable as part of a PhysicalSegmentLayout\n\nExamples\n==========\nA variable \"age\" might be represented in a file as a string with a maximum length of 5 characters and a number pattern of ##0.0\n\nExplanatory notes\n===================\nAn InstanceVariable has details of value domain and datatype, but will not have the final details of how a value is physically represented in a data file. A variable for height, for example, may be represented as a real number, but may be represented as a string in multiple ways. The decimal separator might be, for example a period or a comma. The string representing the value of a payment might be preceded by a currency symbol. The same numeric value might be written as “1,234,567” or “1.234567 E6”. A missing value might be written as “.”, “NA”, “.R” or as “R”. \nThe ValueMapping describes how the value of an InstanceVariable is physically expressed. The properties of the ValueMapping as intended to be compatible with the W3C Metadata Vocabulary for Tabular Data (https://www.w3.org/TR/tabular-metadata/ ) as well as common programming languages and statistical packages. The “format” property, for example can draw from an external controlled vocabulary such as the set of formats for Stata, SPSS, or SAS.\n\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ControlledVocabulary",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#VocabularyEntry",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to VocabularyEntry",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/vocabularyentryindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type VocabularyEntry\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#criteria",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/criteria"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Intentional definition of the order criteria (e.g. alphabetical, numerical, increasing, decreasing, etc.)",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                      "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A display label for the OrderRelation. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usage",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usage"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provide a semantic that provides a context for the relationship using and External Controlled Vocabulary",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of its totality using an enumeration list.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#VocabularyEntry",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricts source to VocabularyEntry",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#VocabularyEntry",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricts target to VocabularyEntry and cardinality.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/vocabularyentryrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nRelation of Vocabulary Entries as defined using RelationSpecification \n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Relation between VocabularyEntries",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/vocabularyrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#CustomMetadata"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nContains the Vocabulary Relations used to structure the ControlledVocabulary\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The RelationStructure defining hierarchy or specific realtionships between vocabulary entries in the vocabulary",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/controlledvocabulary"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#CustomMetadata"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe specification of a controlled vocabulary defines a set of values and their definitions together with the order relationships among those entries.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#CustomInstance",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Identifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "see Collection",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "see Collection",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "see Collection",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#Identifiable"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#value",
                              "valueExpr": "http://ddi-alliance.org/ns/#ValueString",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/value"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "the value associated with a particular key expressed as a string. The ultimate value representation is defined by the corresponding CustomValue.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#key",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#string"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/key"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The unique String identifying the value",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#correspondsTo",
                              "valueExpr": "http://ddi-alliance.org/ns/#CustomItem",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/correspondsto"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The CustomItem which defines the key for this key,value pair, It also defines a ValueRepresentation",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#comparesTo",
                              "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/comparesto"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "This optional relationship indicates an InstanceVariable compatible with the value associated with this key. Custom metadata might be reused as data and data might be used as metadata. This mechanism could enable these transformations. The related InstanceVariable could also carry information about units of measurement, missing values etc.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/customvalue"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#CustomMetadata"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nAn instance of a  key, value pair for a  particular  key.\n\nExamples\n==========\nOMBBurden,\"High\"\n\nopenEHRBPposition, \"upper arm\"\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to CustomValue",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/customvalueindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type CustomValue\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#correspondsTo",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#type",
                      "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/type"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#name",
                      "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/name"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#purpose",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#contains",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#index",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/index"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Index value of member in an ordered array",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#member",
                              "valueExpr": "http://ddi-alliance.org/ns/#CustomItem",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/member"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricts member target class to CustomItem",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/customitemindicator"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nMember Indicator for use with member type CustomItem\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/contains"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isOrdered",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "If members are ordered set to true, if unordered set to false.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#criteria",
                              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/criteria"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Intentional definition of the order criteria (e.g. alphabetical, numerical, increasing, decreasing, etc.)",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A display label for the RelationStructure. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#usage",
                              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list.  Use if all relations within this relation structure are of the same specification. .",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                              "valueExpr": {
                                "type": "Shape",
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "The type of relationship between the two CustomItems. The verb in the sentence describing the relationship between the source (subject) and the target (object).",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Provides semantic context for the relationship",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#totality",
                                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#source",
                                      "valueExpr": "http://ddi-alliance.org/ns/#CustomItem",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/source"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Restricts source object to a CustomItem",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#target",
                                      "valueExpr": "http://ddi-alliance.org/ns/#CustomItem",
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/target"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Restricts target object to a CustomItem",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/customitemrelation"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nDefines a relationship between CustomItems .\n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Member relationships that comprise the relationship structure",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/customitemrelationstructure"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#CustomMetadata"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nContains a set of CustomItemRelations which together define the relationships of Custom Structure.\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Description of a complex structure for the Collection. A collection may be structured in more than one way for different uses.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#definingConcept",
                      "valueExpr": "http://ddi-alliance.org/ns/#Concept",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The conceptual basis for the collection of members.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/customstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#CustomMetadata"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA Collection containing a set of item descriptions defining a structure for a set of key,value pairs\n\nExamples\n==========\nThe set of CustomItems which are to be used to document the OMB required information for a question.\n\nThe set of CustomItems used to describe an openEHR blood pressure protocol.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/correspondsto"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Is realted to a CustomStructure",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/custominstance"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#CustomMetadata"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA set of CustomValues to be attached to some object.\n\nExamples\n==========\nA set of OMB required information about a question.\n\nThe set of openEHR protocol information to be attached to a blood pressure Capture\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#CustomItem",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#maxOccurs",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/maxoccurs"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The maximum number of occurrences of an associated CustomValue",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#minOccurs",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/minoccurs"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The minimum number of occurrences of an associated CustomValue",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#key",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/key"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The key to be used by a key,value pair",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#uses",
              "valueExpr": "http://ddi-alliance.org/ns/#ValueDomain",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/uses"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The type of value for the key.value pair",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A Concept associated with the key of a CustomValue",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#comparesTo",
              "valueExpr": "http://ddi-alliance.org/ns/#RepresentedVariable",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/comparesto"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "This optional relationship indicates a RepresentedVariable compatible with this key. Custom metadata might be reused as data and data might be used as metadata. This mechanism could enable these transformations.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/customitem"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#CustomMetadata"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA custom item description. This allows the definition of an item which is a member of a CustomStructure.\nIt defines the minimum and maximum number of occurrences and representation of a CustomValue.\n\nExamples\n==========\nDegreeOfBurden for a question as required by the U.S. OMB.\n\nBloodPressureCuffSize - the size of a blood pressure cuff specified for a particular protocol.\n\nExplanatory notes\n===================\nThis definition will be referenced by a CustomValue when recording a key,value instance\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#VocabularyEntry",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#entryTerm",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/entryterm"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "the term being defined",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definition",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definition"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An explanation (definition) of the value",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/vocabularyentry"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#CustomMetadata"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nOne entry term and its definition in an ordered list comprising a controlled vocabulary.\n\nExamples\n==========\naunt - The female sibling of a parent\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SamplingAlgorithm",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AlgorithmOverview"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#codifiedExpressionOfAlgorithm",
          "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/codifiedexpressionofalgorithm"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "The algorithm expressed as algebraic or computer code.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/samplingalgorithm"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#SamplingMethodology"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nGeneric description of a sampling algorithm expressed by a Sampling Design and implemented by a Sampling Process. May include common algebraic formula or statistical package instructions (use of specific selection models).\n\nExamples\n==========\nRandom Sample; Stratified Random Sample\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SamplingProcedure",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#MethodologyOverview"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasDesign",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#DesignOverview"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#expressesAlgorithm",
                      "valueExpr": "http://ddi-alliance.org/ns/#SamplingAlgorithm",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/expressesalgorithm"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Is an expression of this Sampling Algorithm",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#specifiesGoal",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#Goal"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#overallTargetSampleSize",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/overalltargetsamplesize"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The goal for the overall size of the sample expressed as an integer.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#overallTargetSamplePercent",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#double"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/overalltargetsamplepercent"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The goal for the overall size of the sample expressed as a decimal (i.e. 70% entered as .7). ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#targetSampleSize",
                              "valueExpr": {
                                "type": "Shape",
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#isPrimary",
                                      "valueExpr": {
                                        "type": "NodeConstraint",
                                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                                      },
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/isprimary"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Default value is True. The information is for the primary sample unit or universe. Change to False if the information relates to a secondary or sub- sample universe.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#targetSize",
                                      "valueExpr": {
                                        "type": "NodeConstraint",
                                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                                      },
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/targetsize"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "The target size of the sample expressed as an integer.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#targetPercent",
                                      "valueExpr": {
                                        "type": "NodeConstraint",
                                        "datatype": "http://www.w3.org/2001/XMLSchema#double"
                                      },
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/targetpercent"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "The target size of the sample expressed as an integer (70% expressed as .7)",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasUnitType",
                                      "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasunittype"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Unit type of the sample",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#fromUniverse",
                                      "valueExpr": "http://ddi-alliance.org/ns/#Universe",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/fromuniverse"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "The universe of the sample. Note that when the Design is implemented the Population should be a Population within this Universe.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/targetsample"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nSpecifies details of target sample size, percentage, type, and universe\n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/targetsamplesize"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Repeat for primary and secondary target samples. Supports identification of size, percent, unit type, and universe",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/samplinggoal"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#SamplingMethodology"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nProvides general description and specific targets for sample sizes including sub-populations.\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/specifiesgoal"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specification of the goal for the Sampling Design. Constrained to SamplingGoal.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#implementedBy",
                      "valueExpr": "http://ddi-alliance.org/ns/#SamplingProcess",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/implementedby"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The design of the expressed algorithm is implemented by the Sampling Process. Constrains impliementedBy of the Design Pattern by limiting the target to a Sampling Process.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/samplingdesign"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#SamplingMethodology"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nSampling plan defines the how the sample is to be obtained through the description of methodology or a model based approach, defining the intended target population, stratification or split procedures and recommended sample frames. The content of a sampling plan is intended to be reusable. The application of the sample plan is captured in Sampling Process.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasdesign"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Sampling Design used to perform the Sampling Procedure",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasProcess",
              "valueExpr": "http://ddi-alliance.org/ns/#SamplingProcess",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasprocess"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Sampling Process used to perform the Sampling Procedure",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isExpressedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#SamplingAlgorithm",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isexpressedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Sampling Algorithm that defines the methodology in a generic way",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#componentMethodology",
              "valueExpr": "http://ddi-alliance.org/ns/#SamplingProcedure",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/componentmethodology"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A Sampling Procedure that is a component part of this Sampling Procedure",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/samplingprocedure"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#SamplingMethodology"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe Sampling Procedure describes the population being sampled, the sampling frame and the sampling plan including steps and sub steps by referencing the universe, sample frames and sampling plans described in schemes. Target sample sizes for each stage can be noted as well as the process for determining sample size, the date of the sample and the person or organization responsible for drawing the sample.\n\nExamples\n==========\nCensus of Population and Housing, 1980 Summary Tape File 4, chapter on Technical Information. Overview is the Introduction generally describing the sample; there is a sample design section which provides a more detailed overview of the design. Additional external documentation provides detailed processes for sample adjustments needed for small area estimations, sample frames etc.\n\nExplanatory notes\n===================\nThis is a summary of the methodology of sampling providing both an overview of purpose and use of a particular sampling approach and optionally providing specific details regarding the algorithm, design, and process of selecting a sample.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SamplingProcess",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides a high level overview or summary of the class. Can be used to inform end-users or as part of an executive summary. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isDiscussedIn",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isdiscussedin"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description and link to external material discussing this Sampling Process",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isSpecifiedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#WorkflowStepSequence",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isspecifiedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The Process Sequence which initiate the process flow and describes the sequence of the process flow",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasResults",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Result"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#sizeOfSample",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/sizeofsample"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The overall size of the sample",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#strataName",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/strataname"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The name or number of the specific strata if the sample frame has been stratified prior to sampling within the specified stage",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#sampleDate",
                      "valueExpr": "http://ddi-alliance.org/ns/#Date",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/sampledate"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The date the sample was selected from the sample frame",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#sampleUnitType",
                      "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/sampleunittype"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The Unit Type of the units within the sample.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#populationSampled",
                      "valueExpr": "http://ddi-alliance.org/ns/#Population",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/populationsampled"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The population represented by the sample",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/samplepopulationresult"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#SamplingMethodology"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nThe Sample Population is the result of a sampling process. It is the subset of the population selected from the Sample Frame or Frames that will be used as respondents to represent the target population. Sample Populations may occur at a number of stages in the sampling process and serve as input to a subsequent sampling stage. The Sample Population should be validated against the intended sample population as described in the goal of the design and/or process.\n\nExamples\n==========\nA list of phone numbers representing a random sample from a telephone book. The Counties selected from within a State from which Households will be selected using another sampling method.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasresults"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Results of the Sampling Process. Restriction to SamplePopulation, a  type of Result ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#implementsAlgorithm",
              "valueExpr": "http://ddi-alliance.org/ns/#SamplingAlgorithm",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/implementsalgorithm"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The sampling algorithm implanted by this sampling process. Constraint of the relationship implementsAlgorithm in Process pattern class by limiting the target to a SamplingAlgorithm",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/samplingprocess"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#SamplingMethodology"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nProvides the details of the process used to apply the sampling design and obtain the sample. Sampling Process contains a Workflow Step which provides the constituents of a Workflow. It can be a composition (a set of Control Constructs) or atomic (an Act) and may be performed by a service. This allows the use of existing Workflow models to express various sampling process actions. Sampling Frames and Sample Population can be used as designated Inputs or Outputs using Parameters.\n\nExamples\n==========\nA Split which takes a sampling stage and divides the sample frame into different subsets. A different sampling technique is applied to each subset. Once a split occurs each subset can have stages underneath, and the number of states under each split subset may differ.\nA Stage is the application of a single sampling algorithm applied to a sampling frame. For instance, the US Current Population Survey samples geographic areas first before identifying household to contact within each of those areas.\nA Stratification of a stage into multiple subsets. Each stratified group will be sampled using the same sampling approach. For example stratifying a state by ZIP Code areas in each of 5 mean income quintiles and then doing a random sample of the households in a set of Zip Codes. Allows for oversampling of identified subpopulations.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Study",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#kindOfData",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/kindofdata"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes, with a string or a term from a controlled vocabulary, the kind of data documented in the logical product(s) of a study unit. Examples include survey data, census/enumeration data, administrative data, measurement data, assessment data, demographic data, voting data, etc.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A general descriptive overview of the Study",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#bibliographicCitation",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/bibliographiccitation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Complete bibliographic reference containing all of the standard elements of a citation that can be used to cite the work. The \"format\" attribute is provided to enable specification of the particular citation style used, e.g., APA, MLA, Chicago, etc.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#partOfSeries",
              "valueExpr": "http://ddi-alliance.org/ns/#StudySeries",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/partofseries"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A series in which this Study takes part.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasCoverage",
              "valueExpr": "http://ddi-alliance.org/ns/#Coverage",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hascoverage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Spatial, Temporal, and Topical coverage information for the Study",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasAnalysisUnit",
              "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasanalysisunit"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Unit(s) of analysis for the study, e.g. persons, households.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasPopulation",
              "valueExpr": "http://ddi-alliance.org/ns/#Population",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/haspopulation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The set of specific Units studied. Examples: 1. Canadian adult persons residing in Canada on 13 November 1956 2. US computer companies at the end of 2012 3. Universities in Denmark 1 January 2011.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasUniverse",
              "valueExpr": "http://ddi-alliance.org/ns/#Universe",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasuniverse"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The defined classes of Units related to the data,  Examples: 1. Canadian adults (not limited to those residing in Canada) 2. Computer companies 3. Universities",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasDesign",
              "valueExpr": "http://ddi-alliance.org/ns/#DesignOverview",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasdesign"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The design for the Study",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasProcess",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#overview",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/overview"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides a high level overview or summary of the class. Can be used to inform end-users or as part of an executive summary. Supports the use of multiple languages and structured text. Edit",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#name",
                      "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/name"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isSpecifiedBy",
                      "valueExpr": "http://ddi-alliance.org/ns/#WorkflowControlStep",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isspecifiedby"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The Process Control Step which describes the organization of the process flow. This could be realizes as a sequence, a temporal relationship, or conditional control step. It should provide a clear entry and exit point(s) for the process.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#implementsAlgorithm",
                      "valueExpr": "http://ddi-alliance.org/ns/#AlgorithmOverview",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/implementsalgorithm"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "An implementation and/or execution of an algorithm which is associated with the design of the process.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/processoverview"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#SimpleMethodologyOverview"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nProcess is an implementation of an algorithm. It is the series of steps taken as a whole. It is decomposable into ProcessSteps, but this decomposition is not necessary. \n\nExamples\n==========\nIn descriptive document regarding ingest of a study into a repository: \"Validation processes were run comparing all data against the provided documentation to check for out-of-range and invalid content.\"\n\nExplanatory notes\n===================\nIn a descriptive document, Process Overview provides a means of presenting the reader with a clear view of an overall process without going into the details of the process steps. Process Overview should be used when a description of the process in general is all that is desired.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasprocess"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Overview of the Process employed in the Study",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasInstrument",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                      "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfInstrument",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeofinstrument"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specification of the type of instrument according to the classification system of the documentor.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#uri",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "nodeKind": "iri"
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/uri"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A reference to an external representation of the the data collection instrument, such as an image of a questionnaire or programming script.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#name",
                      "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/name"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usage",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usage"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usesConceptualInstrument",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#WorkflowProcess"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#name",
                              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#description",
                              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/description"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A description of the purpose or use of the Member. May be expressed in multiple languages and supports the use of structured content. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#usage",
                              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#organizes",
                              "valueExpr": "http://ddi-alliance.org/ns/#Capture",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/organizes"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Refers to the RepresentedMeasures and RepresentedQuestions used by the ConceptualInstrument.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                                  "object": {
                                    "value": "shexmi:sharedAggregation"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/conceptualinstrument"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#DataCapture"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDesign plan for creating a data capture tool. \n\nExamples\n==========\nDesign of a questionnaire regardless of mode; Design of an experiment\n\nExplanatory notes\n===================\nA single ConceptualInstrument would contain workflow sequences of the intended flow logic of the instrument, which could be implemented as a web survey or paper survey, utilizing the same sequence and questions.\nSimilarly a single ConceptualInstrument would contain workflow sequences of the intended flow logic of the instrument, which could be implemented as a protocol delivered by a nurse or by self-administration.\n\nSynonyms\n==========\nIdea; Intention; Theory; Design; LogicalInstrument\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usesconceptualinstrument"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The ConceptualInstrument which informs the design of the ImplementedInstrument.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                          "object": {
                            "value": "shexmi:sharedAggregation"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/implementedinstrument"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#DataCapture"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA specific data capture tool.  ImplementedInstruments are mode and/or unit specific.\n\nExamples\n==========\nTwo versions of a conceptual instrument, computer assisted personal interviewing (CAPI) and mail, would be separate ImplementedInstruments. These might both reference the same ConceptualInstrument. \nA piece of equipment used to measure blood pressure.\n\n\nSynonyms\n==========\naka PhysicalInstrument\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasinstrument"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The implemented instruments used in capturing the data. The ImplentedInstrument designates the mode of delivery, a relation to an external representation of the instrument, and reference to the conceptual instrument that contains more detailed information on the content of the instrument.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasEmbargo",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                      "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#embargoDates",
                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/embargodates"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides the date range of the embargo",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#rationale",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/rationale"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the reasons some decision was made or some object exists. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#responsibleAgent",
                      "valueExpr": "http://ddi-alliance.org/ns/#Agent",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/responsibleagent"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Agent (Organiztion, Individual, etc.) that is responsible for the embargo",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#enforcementAgent",
                      "valueExpr": "http://ddi-alliance.org/ns/#Agent",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/enforcementagent"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Agent responsible for enforcing the embargo",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/embargo"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StudyRelated"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nProvides information about data that are not currently available because of policies established by the principal investigators and/or data producers. Embargo provides a name and label of the embargo, the dates covered by the embargo, the rationale or reason for the embargo, a reference to the agency establishing the embargo, and a reference to the agency enforcing the embargo.\n\nDDI 3.2 mapping\n=================\nr:EmbargoType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasembargo"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Information about data that are not currently available because of policies established by the principal investigators and/or data producers.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#accessInformation",
              "valueExpr": "http://ddi-alliance.org/ns/#Access",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/accessinformation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Information relating to the availability of data from the study.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasFundingInformation",
              "valueExpr": "http://ddi-alliance.org/ns/#FundingInformation",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasfundinginformation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Information about the individual, agency and/or grant(s) which funded the described entity. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasAuthorizationSource",
              "valueExpr": "http://ddi-alliance.org/ns/#AuthorizationSource",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasauthorizationsource"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The authorizing agency and allows for the full text of the authorization (law, regulation, or other form of authorization).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasQualityStatement",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#name",
                      "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/name"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                      "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#overview",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/overview"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Short natural language account of the information obtained from the combination of properties and relationships associated with an object. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#rationale",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/rationale"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the reasons some decision was made or some object exists. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usage",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usage"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usesStandard",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#compliance",
                              "valueExpr": {
                                "type": "Shape",
                                "extends": [
                                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                                ],
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#externalComplianceCode",
                                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/externalcompliancecode"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Specification of a code which relates to an area of coverage of the standard. Supports the use of an external controlled vocabulary.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#usage",
                                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/usage"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#definingConcept",
                                      "valueExpr": "http://ddi-alliance.org/ns/#Concept",
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "A reference to a concept which relates to an area of coverage of the standard.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/compliancestatement"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#StudyRelated"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nAllows for a quality statement based on frameworks to be described using itemized properties. A reference to a concept, a coded value, or both can be used to specify the property from the standard framework identified in StandardUsed. Usage can provide further details or a general description of compliance with a standard.\n\nDDI 3.2 mapping\n=================\nr:ComplianceType\n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/compliance"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Allows for a quality statement based on frameworks to be described using itemized properties. A reference to a concept, a coded value, or both can be used to specify the property from the standard framework identified in StandardUsed. Usage can provide further details or a general description of compliance with a standard.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                                  "object": {
                                    "value": "shexmi:sharedAggregation"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#standardUsed",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/standardused"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provide the citation and location of the published standard using the OtherMaterialType.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                                  "object": {
                                    "value": "shexmi:sharedAggregation"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/standard"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StudyRelated"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nIdentifies the external standard used and describes the level of compliance with the standard in terms specific aspects of the standard's content.\n\nDDI 3.2 mapping\n=================\nr:StandardType\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usesstandard"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Identifies the external standard used and describes the level of compliance with the standard in terms specific aspects of the standard's content.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/qualitystatement"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StudyRelated"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA statement of quality which may be related to an external standard or contain a simple overview, rationale, and usage statement. When relating to an external standard information on compliance may be added via the ComplianceStatement referenced by the Standard class.\n\nDDI 3.2 mapping\n=================\nr:QualityStatementType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasqualitystatement"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A statement of quality which may be related to an external standard or contain a simple statement of internal quality goals or expectations.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasBudget",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#overview",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/overview"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Short natural language account of the information obtained from the combination of properties and relationships associated with an object. Supports the use of multiple languages and structured text. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#name",
                      "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/name"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#budgetDocument",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/budgetdocument"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "References to one or more external budget documents.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/budget"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StudyRelated"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA description of the budget for any of the main publication types that can contain a reference to an external budget document.\n\nDDI 3.2 mapping\n=================\nr:BudgetType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasbudget"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A description of the budget for the Study",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasInstanceVariable",
              "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasinstancevariable"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A variable describing actual instances of data as recorded in the study. An example might be self reported gender, with categories of male encoded as \"0\"  and female encoded as \"1\", with missing values recorded as  \"-9\" for refused and \"-8\" as \"not asked\", recorded (physically) as an integer.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasExPostEvaluation",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfEvaluation",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeofevaluation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Brief identification of the type of evaluation. Supports the use of an external controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#evaluationProcess",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/evaluationprocess"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Describes the evaluation process. Supports multi-lingual content. Allows the optional use of structured content.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#outcomes",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/outcomes"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Describes the outcomes of the evaluation process. Supports multi-lingual content. Allows the optional use of structured content.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#completionDate",
                      "valueExpr": "http://ddi-alliance.org/ns/#Date",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/completiondate"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Identifies the date the evaluation was completed.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#evaluator",
                      "valueExpr": "http://ddi-alliance.org/ns/#Agent",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/evaluator"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Evaluator used in this process.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/expostevaluation"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StudyRelated"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nEvaluation for the purpose of reviewing the study, data collection, data processing, or management processes. Results may feed into a revision process for future data collection or management. Identifies the type of evaluation undertaken, who did the evaluation, the evaluation process, outcomes and completion date.\n\nDDI 3.2 mapping\n=================\nr:ExPostEvaluationType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasexpostevaluation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Evaluation for the purpose of reviewing the study, data collection, data processing, or management processes.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasSamplingProcedure",
              "valueExpr": "http://ddi-alliance.org/ns/#SamplingProcedure",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hassamplingprocedure"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The methodologies for sampling employed by the study.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasMethodology",
              "valueExpr": "http://ddi-alliance.org/ns/#MethodologyOverview",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasmethodology"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A relationship to a description of a simple overview, in which case the MethodologyOverView class should be the target. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasAlgorithm",
              "valueExpr": "http://ddi-alliance.org/ns/#AlgorithmOverview",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasalgorithm"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A relationship to a description of a simple overview, in which case the AlgorithmOverView class should be the target. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A Study may relate to multiple concepts. These may also be denoted by keywords in an Annotation.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasVariableCollection",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#type",
                      "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/type"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#name",
                      "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/name"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#purpose",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                      "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usage",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usage"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#groupingSemantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/groupingsemantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A semantic term defining the factor used for defining this group",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#contains",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#index",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/index"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Index value of member in an ordered array",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#member",
                              "valueExpr": "http://ddi-alliance.org/ns/#ConceptualVariable",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/member"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricts member target class to ConceptualVariable, RepresentedVariable, and InstanceVariable",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/variableindicator"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nMember Indicator for use with member type ConceptualVariable, RepresentedVariable, and InstanceVariable\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/contains"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isOrdered",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "If members are ordered set to true, if unordered set to false.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#Identifiable"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list.  Use if all relations within this relation structure are of the same specification.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                              "valueExpr": {
                                "type": "Shape",
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Provides semantic context for the relationship",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#totality",
                                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Type of relation in terms of totality with respect to an associated collection. ",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#source",
                                      "valueExpr": "http://ddi-alliance.org/ns/#ConceptualVariable",
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/source"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "First member in a relationship.\n",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#target",
                                      "valueExpr": "http://ddi-alliance.org/ns/#ConceptualVariable",
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/target"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Second member in a relationship. Note that this can be realized as a collection to support tuples. ",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/variablerelation"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nOrdered relations between any Variables in the Variable Cascade (Conceptual, Represented, Instance)\n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Member relations that comprise the relation structure",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/variablerelationstructure"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#Conceptual"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nRelationStructure for use with any mixture of Variables in the Variable Cascade (Conceptual, Represented, Instance).\n\nExplanatory notes\n===================\nA VariableCollection can be described as a simple list, or as having a more complex structure. All of the \"administrative\" variables for a study might be described as just a simple list without a VariableRelationStructure. If, however, the administrative variables needed to be described in subgroups, a VariableRelationStructure could be employed.\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "This supplies information for linking disparate records in a dataset. RecordRelations describe corresponding InstanceVariables between record types.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#definingConcept",
                      "valueExpr": "http://ddi-alliance.org/ns/#Concept",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The conceptual basis for the collection of members.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/variablecollection"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Conceptual"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA collection (group) of any type of Variable within the Variable Cascade (Conceptual, Represented, Instance) for purposes of management, conceptualization or anything other than organizing a logical record or physical layout.\n\nExamples\n==========\nVariables within a specific section of a study, Variables related to a specific subject or keyword. Variables at a specified level of development or review.\n\nExplanatory notes\n===================\nA simple ordered or unordered list of variables can be described via a set of VariableIndicator parameters. An optional VariableRelationStructure can describe a more complex structure for the collection. We might, for example, use the VariableRelationStructure to group variables by content within a Study or across a StudySeries.\n\nDDI 3.2 mapping\n=================\nl:VariableGroupType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasvariablecollection"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A Study may relate to a multiple collections of variables which may be defined by type, subject, use, source, etc.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasAgentListing",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#type",
                      "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/type"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#name",
                      "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/name"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#purpose",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the intent of the Agent Listing. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#contains",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#index",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/index"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Index value within an ordered array",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#member",
                              "valueExpr": "http://ddi-alliance.org/ns/#Agent",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/member"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricts member target to Agent",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/agentindicator"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nMember Indicator for use with member type Agent\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/contains"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isOrdered",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "If members are ordered set to true, if unordered set to false.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#Identifiable"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
                              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The effective start and end date of the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#privacy",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/privacy"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Define the level of privacy regarding this relationship. Supports the use of a controlled vocabulary.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#purpose",
                              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Explanation of the intent of creating the relation. Supports the use of multiple languages and structured text.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list. Use if all relations within this relation structure are of the same specification.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relation structure",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                              "valueExpr": {
                                "type": "Shape",
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
                                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "The effective dates of the relation. A structured DateRange with start and end Date (both with the structure of Date and supporting the use of ISO and non-ISO date structures); Use to relate a period with a start and end date.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Provides semantic context for the relationship",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#totality",
                                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#source",
                                      "valueExpr": "http://ddi-alliance.org/ns/#Agent",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/source"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "The Parent agent in the hierarchical relationship",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#target",
                                      "valueExpr": "http://ddi-alliance.org/ns/#Agent",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/target"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "The Child agent in the hierarchical relationship",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/agentrelation"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nUsed to define the relation agents in a hierarchical structure\n\nExamples\n==========\nAn Organization (source/parent) employing and Individual (target/child); An Individual (source/parent) supervisory to an Individual (target/child); An Organization (source/parent) overseeing a project (Organization) (target/child). Select appropriate relationship using the controlled vocabulary available through hasRelationshipSpecification. \n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Agent relations that comprise the relation structure",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/agentrelationstructure"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#Agents"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDefines the relationships between Agents in a collection. Clarifies valid period and the purpose the relationship serve\n\nExamples\n==========\nAn individual employed by an Organization. A unit or project (organization) within another Organization.\n\nExplanatory notes\n===================\nDescribes relations between agents not roles within a project or in relationship to a product. Roles are defined by the parent class and relationship name that uses an Agent as a target.\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Description of a complex structure for the Collection. A collection may be structured in more than one way for different uses.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#maintenanceUnit",
                      "valueExpr": "http://ddi-alliance.org/ns/#Agent",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/maintenanceunit"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Agent that maintains this Agency list",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#definingConcept",
                      "valueExpr": "http://ddi-alliance.org/ns/#Concept",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The conceptual basis for the collection of members.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/agentlisting"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Agents"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA listing of Agents of any type. The AgentList may be organized to describe relationships between members using AgentRelationStructure.\n\nExamples\n==========\nOrganizations contributing to a project. Individuals within an agency. All organizations, indivduals, and machines identified within the collections of an archive.\n\nExplanatory notes\n===================\nRelationships between agents are fluid and reflect effective dates of the relationship. An agent may have multiple relationships which may be sequencial or concurrent. Relationships may or may not be hierarchical in nature. All Agents are serialized individually and brought into relationships as appropriate.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasagentlisting"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Makes use of the Agent Listing to define relationships between agents.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/study"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StudyRelated"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nStudy is the conceptual anchor for an individual collection activity resulting in a data set or data file. It can be both a part of a StudySeries as a wave etc. or an unrelated activity like a single survey project.\n\nExamples\n==========\nICPSR study 35575 Americans and the Arts [1973 - 1992] (ICPSR 35575). https://www.icpsr.umich.edu/icpsrweb/ICPSR/studies/35575?dataFormat%5B0%5D=SAS&keyword%5B0%5D=public+opinion&geography%5B0%5D=United+States&searchSource=revise  \n\nExplanatory notes\n===================\nThe Study class brings together many properties and relationships describing a set of data – coverage, kind of data, methodology, citation information, access information and more.\n\nDDI 3.2 mapping\n=================\ns:StudyUnitType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#StudyControl",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Act"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#hasStudy",
          "valueExpr": "http://ddi-alliance.org/ns/#Study",
          "min": 0,
          "max": -1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/hasstudy"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "Study that is the target of the StudyControl",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/studycontrol"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StudyRelated"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nStudyControl references a Study. StudyControl enables the representation of a research protocol at the Study level. [If the only purpose of the object is to carry a Study, it should be seriously considered for melting with another object. Modeling rules state that any object needs to have a reality of its own. Carrying another object is not a reality. If I misunderstood, please clarify the description instead]\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#StudySeries",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The name of the series as a whole",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A general descriptive overview of the series.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#Study",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to Study",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/studyindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type Study\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#Study",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "First member in the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#Study",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Second member in a relationship. Note that this can be realized as a collection to support tuples.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/studyrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nRelation specification between source and target studies in a relation structure\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Member relations that comprise the relation structure",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/studyrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StudyRelated"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nAllows for a complex nested structure for a Study Series\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description of a complex structure for the Collection. A collection may be structured in more than one way for different uses",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/studyseries"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#StudyRelated"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA collection of studies which can be structured as a simple sequence, or with a more complex structure.\n\nExamples\n==========\nAn annual series of surveys.\n\nExplanatory notes\n===================\nA set of studies may be defined in many ways. A study may be repeated over time. One or more studies may attempt to replicate an earlier study. The StudySeries allows for the description of the relationships among a set of studies.\n\nA simple ordered or unordered sequence of studies can be described via the \"contains StudyIndicator\" property. More complex relationships among studies may also be described using the optional \"isStructuredBy StudyRelationsStructure\".\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#CategoryRelationCode",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Nominal",
        "http://ddi-alliance.org/ns/#Ordinal",
        "http://ddi-alliance.org/ns/#Interval",
        "http://ddi-alliance.org/ns/#Ratio",
        "http://ddi-alliance.org/ns/#Continuous"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/categoryrelationcode"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#CollectionType",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Bag",
        "http://ddi-alliance.org/ns/#Set"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/collectiontype"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#ComputationBaseList",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Total",
        "http://ddi-alliance.org/ns/#ValidOnly",
        "http://ddi-alliance.org/ns/#MissingOnly"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/computationbaselist"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#MappingRelation",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#ExactMatch",
        "http://ddi-alliance.org/ns/#CloseMatch",
        "http://ddi-alliance.org/ns/#Disjoint"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/mappingrelation"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#PointFormat",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#DecimalDegree",
        "http://ddi-alliance.org/ns/#DegreesMinutesSeconds",
        "http://ddi-alliance.org/ns/#DecimalMinutes",
        "http://ddi-alliance.org/ns/#Meters",
        "http://ddi-alliance.org/ns/#Feet"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/pointformat"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#RelationSpecification",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Unordered",
        "http://ddi-alliance.org/ns/#List",
        "http://ddi-alliance.org/ns/#ParentChild",
        "http://ddi-alliance.org/ns/#WholePart",
        "http://ddi-alliance.org/ns/#AcyclicPrecedence",
        "http://ddi-alliance.org/ns/#Equivalence",
        "http://ddi-alliance.org/ns/#GeneralSpecific"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/relationspecification"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#SexSpecificationType",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Masculine",
        "http://ddi-alliance.org/ns/#Feminine",
        "http://ddi-alliance.org/ns/#GenderNeutral"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/sexspecificationtype"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#ShapeCoded",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Rectangle",
        "http://ddi-alliance.org/ns/#Circle",
        "http://ddi-alliance.org/ns/#Polygon",
        "http://ddi-alliance.org/ns/#LinearRing"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/shapecoded"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#SpatialObjectPairs",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#PointToPoint",
        "http://ddi-alliance.org/ns/#PointToLine",
        "http://ddi-alliance.org/ns/#PointToArea",
        "http://ddi-alliance.org/ns/#LineToLine",
        "http://ddi-alliance.org/ns/#LineToArea",
        "http://ddi-alliance.org/ns/#AreaToArea"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/spatialobjectpairs"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#SpatialObjectType",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Point",
        "http://ddi-alliance.org/ns/#Polygon",
        "http://ddi-alliance.org/ns/#Line",
        "http://ddi-alliance.org/ns/#LinearRing",
        "http://ddi-alliance.org/ns/#Raster"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/spatialobjecttype"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#SpatialRelationSpecification",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Equals",
        "http://ddi-alliance.org/ns/#Disjoint",
        "http://ddi-alliance.org/ns/#Intersects",
        "http://ddi-alliance.org/ns/#Contains",
        "http://ddi-alliance.org/ns/#Touches"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/spatialrelationspecification"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#StringStructureType",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#XHTML",
        "http://ddi-alliance.org/ns/#RST",
        "http://ddi-alliance.org/ns/#Other"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/stringstructuretype"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#TableDirectionValues",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Ltr",
        "http://ddi-alliance.org/ns/#Rtl",
        "http://ddi-alliance.org/ns/#Auto"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/tabledirectionvalues"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#TemporalRelationSpecification",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#TemporalMeets",
        "http://ddi-alliance.org/ns/#TemporalContains",
        "http://ddi-alliance.org/ns/#TemporalFinishes",
        "http://ddi-alliance.org/ns/#TemporalPrecedes",
        "http://ddi-alliance.org/ns/#TemporalStarts",
        "http://ddi-alliance.org/ns/#TemporalOverlaps",
        "http://ddi-alliance.org/ns/#TemporalEquals"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/temporalrelationspecification"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#TextDirectionValues",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Ltr",
        "http://ddi-alliance.org/ns/#Rtl",
        "http://ddi-alliance.org/ns/#Auto",
        "http://ddi-alliance.org/ns/#Inherit"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/textdirectionvalues"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#TotalityType",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Total",
        "http://ddi-alliance.org/ns/#Partial",
        "http://ddi-alliance.org/ns/#Unknown"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/totalitytype"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#TrimValues",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Start",
        "http://ddi-alliance.org/ns/#End",
        "http://ddi-alliance.org/ns/#Both",
        "http://ddi-alliance.org/ns/#Neither"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/trimvalues"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#ValueRelationshipType",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Equal",
        "http://ddi-alliance.org/ns/#NotEqual",
        "http://ddi-alliance.org/ns/#GreaterThan",
        "http://ddi-alliance.org/ns/#GreaterThanOrEqualTo",
        "http://ddi-alliance.org/ns/#LessThan",
        "http://ddi-alliance.org/ns/#LessThanOrEqualTo"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/valuerelationshiptype"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#WhiteSpaceRule",
      "type": "NodeConstraint",
      "values": [
        "http://ddi-alliance.org/ns/#Preserve",
        "http://ddi-alliance.org/ns/#Replace",
        "http://ddi-alliance.org/ns/#Collapse"
      ],
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/whitespacerule"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Enumerations"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#BusinessAlgorithm",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AlgorithmOverview"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/businessalgorithm"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#BusinessWorkflow"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Business Algorithm is used to express the generalized function of the Business Process.\nThe underlying properties of the algorithm or method rather than the specifics of any particular implementation. In short a description of the method in its simplest and most general representation.\n\nExamples\n==========\nThere are several well-established algorithms for performing data anonymization including \"local suppression\", \"global attribute generalization\" and \"k-Anonymization with suppression\" which is a specific combination of the two. An anonymizing business process might implement one of these algorithms.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#DataPipeline",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides an index for the member within an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#WorkflowProcess"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#standardModelUsed",
                              "valueExpr": "http://ddi-alliance.org/ns/#PairedExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/standardmodelused"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "If a standard process model such as The Generic Statistical Business Process Model (GSBPN), the Generic Longitudinal Business Process Model (GLBPM), Open Archive Information System model (OAIS), etc. has been related to this business process, the model and step or sub-step is noted here using the Paired External Controlled Vocabulary Entry. Enter the name of the model in \"term\" and the step, sub-step, or specific portion of the model in \"extent\".",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#preCondition",
                              "valueExpr": "http://ddi-alliance.org/ns/#BusinessProcessCondition",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/precondition"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A condition for beginning the Business Process which may include the specification of the data set required for beginning the Business Process.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#postCondition",
                              "valueExpr": "http://ddi-alliance.org/ns/#BusinessProcessCondition",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/postcondition"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A condition for completing and exiting the Business Process which may include the specification of the data set resulting from the Business Process.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/businessprocess"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#BusinessWorkflow"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nBusinessProcesses could be Generic Longitudinal Business Process Model (GLBPM) and/or Generic Statistical Business Process Model (GSBPM) steps and/or sub-steps. BusinessProcesses participate in a DataPipeline by virtue of their preconditions and postconditions. \n\nA BusinessProcess differs from a WorkflowStep by virtue of its granularity. Higher level operations are the subject of BusinessProcesses. A BusinessProcess has a WorkflowStepSequence through which these higher levels operations may optionally be decomposed into WorkflowSteps.\n\nBusinessProcess preconditions and postconditions differ from input and output parameters because they don't take variables and values. Instead the subject of preconditions and postconditions are typically whole datasets.\n\nGiven this level of granularity it is possible to view a BusinessProcess through the Open Archival Information System (OAIS) Reference Model. So a BusinessProcess may optionally be described as a component of a Submission Information Package (SIP), an Archival Information Package (AIP) or a Dissemination Information Package (DIP).\n\nExamples\n==========\nIn a single BusinessProcess we might receive data from a data source or merge data from different data sources or create new variables and recodes or format data for data dissemination\n\nExplanatory notes\n===================\nOne or more PairedExternalControlledVocabularyEntry objects may be used to identify and characterize controlled vocabularies like the GLBPM, GSBPM and OAIS. The PairedExternalControlledVocabularyEntry both identifies both the model (term) and the step/sub-step of the model (extent). If a BusinessProcess combines two steps from the same model (GLBPM, GSBPM, OAIS, etc.) or from different models, multiple PairedExternalControlledVocabularyEntry objects can be specified.\n\nSynonyms\n==========\nTask\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Member of the collection",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/businessprocessindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nAllows for the identification of the BusinessProcess specifically as a member and optionally provides an index for the member within an ordered array. \n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Specifies BusinessProcess that participates in the DataPipeline",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isInStudy",
              "valueExpr": "http://ddi-alliance.org/ns/#Study",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isinstudy"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A study has at most one DataPipeline. The same DataPipeline can be used in many studies. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/datapipeline"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#BusinessWorkflow"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA DataPipeline is a single traversal of the Generic Longitudinal Business Model (GLBPM) and/or the Generic Statistical Business process Model (GSBPM) in the course of a study where a study is either one off or a wave in a StudySeries.\n\nExamples\n==========\nIn a study where the study is a wave in a StudySeries, we do a single traversal of the Generic Longitudinal Business Process Model. From one wave to the next the traversal may be different. Each traversal is described in a DataPipeline.\n\nExtract Transform and Load (ETL) platforms support data pipelines to move data between systems. Using an ETL platform, data engineers create data pipelines to orchestrate the movement, transformation, validation, and loading of data, from source to final destination. The DataPipeline describes this \"orchestration\".\n\nA prospective DataPipeline gives guidance to data engineers. It is a design pattern. A retrospective DataPipeline documents an ETL data pipeline after the fact.\n\n\nSynonyms\n==========\nTraversal, Data Lifecycle\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#DDI4Version",
      "type": "NodeConstraint",
      "nodeKind": "Literal",
      "annotations": [
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
          "object": "http://lion.ddialliance.org/ddiobjects/ddi4version"
        },
        {
          "type": "Annotation",
          "predicate": "http://www.w3.org/ns/shex-xmi#package",
          "object": {
            "value": "http://ddi-alliance.org/ns/#Utility"
          }
        }
      ]
    },
    {
      "id": "http://ddi-alliance.org/ns/#DocumentInformation",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contentCoverage",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfContent",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeofcontent"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Uses a controlled vocabulary entry to classify the description provided.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#descriptiveText",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/descriptivetext"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A short natural language account of the characteristics of the object.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/typeddescriptivetext"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nThis Complex Data Type bundles a descriptiveText with an External Controlled Vocabulary Entry allowing structured content and a means of typing that content. For example specifying that the description provides a Table of Contents for a document.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contentcoverage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the addition of a Purpose, Table of Contents, List of Variables, or other forms of information more specific than a general abstract. Provides both the content (using description) and a type identification using an External Controlled Vocabulary Entry.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isPublished",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/ispublished"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Default value is False. Indicates that the metadata instance will not be changed without versioning, and is a stable target for referencing.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasPrimaryContent",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasprimarycontent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A whitespace-delimited list of the DDI URN identifiers of the objects contained in an XML instance or RDF graph which could be considered the primary objects or entry points. In a Codebook View, for example, the top-level Codebook object, fo example. In some views, such as the Agents View, there my be more than one primary object (Individuals, Organizations, and Machines in this case).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#ofType",
              "valueExpr": "http://ddi-alliance.org/ns/#DDI4Version",
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/oftype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Automatically brings in the version number for of DDI 4",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasDocumentCoverage",
              "valueExpr": "http://ddi-alliance.org/ns/#Coverage",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasdocumentcoverage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the coverage of the document as a whole.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasPersistentAccessControl",
              "valueExpr": "http://ddi-alliance.org/ns/#Access",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/haspersistentaccesscontrol"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Access control that will persist over time, generally imposed by the producer (i.e. embargo limits, confidentiality constraints). Provides information on access restrictions as well as the process to gain access.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasLocalAccessControl",
              "valueExpr": "http://ddi-alliance.org/ns/#Access",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/haslocalaccesscontrol"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Access control imposed by the local distributor. For example, distribution only to registered users of a system or members of an association. Provides information on access restrictions as well as the process to gain access.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasFundingSource",
              "valueExpr": "http://ddi-alliance.org/ns/#FundingInformation",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasfundingsource"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes funding source by description, grant number, and link to funding agent",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasExternalMaterial",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasexternalmaterial"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for listing information on any material external to the DDI metadata instance that is related to it.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/documentinformation"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Utility"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nProvides a consistent path to identifying information regarding the DDI Document and is automatically available for all Functional Views (/DocumentInformation/Annotation etc.). It covers annotation information, coverage (general, plus specific spatial, temporal, and topical coverage), access information from the producer (persistent access control), access information from the local distributor (Local Access Control), information on related series (i.e. a study done as a series of data capture events over time, qualitative material that is part of a larger set, one of a series of funded data capture activities, etc.), funding information, and other document level information used to identify and discover information about a DDI document regardless of its Functional View type. Use the Annotation at this level to provide the full annotation of the DDI Document. Note that related materials can be entered within the Annotation fields.\n\nExplanatory notes\n===================\nAnnotation associated with a specific class is the annotation of the metadata class itself, such as the Study, InstanceVariable, Concept, etc. The annotation associated with Document Information is to refer to the Document itself. Note that not all DDI instances are intended to be persistent documents. For those that are DocumentInformation provides a consistent set of discovery level information on the content of the whole rather than specific parts of the instance. \n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ExternalMaterial",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Identifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#typeOfMaterial",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/typeofmaterial"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Designation of the type of material being described. Supports the use of a controlled vocabulary.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#descriptiveText",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/descriptivetext"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A description of the referenced material. This field can map to a Dublin Core abstract. Note that Dublin Core does not support structure within the abstract element. Supports multiple languages and optional structured content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#uri",
              "valueExpr": {
                "type": "NodeConstraint",
                "nodeKind": "iri"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/uri"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "URI for the location of the material",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#relationshipDescription",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/relationshipdescription"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the reason the external material is being related to the DDI metadata instance.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#mimeType",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/mimetype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides a standard Internet MIME type for use by processing applications.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesSegment",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usesAudioSegment",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#typeOfAudioClip",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/typeofaudioclip"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The type of audio clip provided. Supports the use of a controlled vocabulary.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#audioClipBegin",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#string"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/audioclipbegin"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The point to begin the audio clip. If no point is provided the assumption is that the start point is the beginning of the clip provided.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#audioClipEnd",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#string"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/audioclipend"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The point to end the audio clip. If no point is provided the assumption is that the end point is the end of the clip provided.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/audiosegment"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDescribes the type and length of the audio segment.\n\nDDI 3.2 mapping\n=================\nr:AudioType\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usesaudiosegment"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Describes the type and length of the audio segment.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usesVideoSegment",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#typeOfVideoClip",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/typeofvideoclip"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The type of video clip provided. Supports the use of a controlled vocabulary.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#videoClipBegin",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#string"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/videoclipbegin"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The point to begin the video clip. If no point is provided the assumption is that the start point is the beginning of the clip provided.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#videoClipEnd",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#string"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/videoclipend"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The point to end the video clip. If no point is provided the assumption is that the end point is the end of the clip provided.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/videosegment"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDescribes the type and length of the video segment.\n\nDDI 3.2 mapping\n=================\nr:VideoType\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usesvideosegment"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Describes the type and length of the video segment.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#xml",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/xml"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "An X-Pointer expression identifying a node in the XML document.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#useseTextualSegment",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#lineParamenter",
                              "valueExpr": {
                                "type": "Shape",
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#startLine",
                                      "valueExpr": {
                                        "type": "NodeConstraint",
                                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                                      },
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/startline"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Number of lines from beginning of the document.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#startOffset",
                                      "valueExpr": {
                                        "type": "NodeConstraint",
                                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                                      },
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/startoffset"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Number of characters from start of the line specified in StartLine.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#endLine",
                                      "valueExpr": {
                                        "type": "NodeConstraint",
                                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                                      },
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/endline"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Number of lines from beginning of the document.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#endOffset",
                                      "valueExpr": {
                                        "type": "NodeConstraint",
                                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                                      },
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/endoffset"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Number of characters from the start of the line specified in EndLine.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/lineparameter"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nSpecification of the line and offset for the beginning and end of the segment.\n\nDDI 3.2 mapping\n=================\nr:LineParameterType\n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/lineparamenter"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Specification of the line and offset for the beginning and end of the segment.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#characterParameter",
                              "valueExpr": {
                                "type": "Shape",
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#startCharOffset",
                                      "valueExpr": {
                                        "type": "NodeConstraint",
                                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                                      },
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/startcharoffset"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Number of characters from beginning of the document, indicating the inclusive start of the text range.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#endCharOffset",
                                      "valueExpr": {
                                        "type": "NodeConstraint",
                                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                                      },
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/endcharoffset"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Number of characters from the beginning of the document, indicating the inclusive end of the text segment.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#characterLength",
                                      "valueExpr": {
                                        "type": "NodeConstraint",
                                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                                      },
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/characterlength"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "can be used to describe a text segment as start and length",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/characteroffset"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nSpecification of the character offset for the beginning and end of the segment, or beginning and length.\n\nDDI 3.2 mapping\n=================\nr:CharacterParameterType\n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/characterparameter"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Specification of the character offset for the beginning and end of the segment.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/textualsegment"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDefines the segment of textual content used by the parent object. Can identify a set of lines and or characters used to define the segment.\n\nDDI 3.2 mapping\n=================\nr:TextualType\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usesetextualsegment"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Defines the segment of textual content used by the parent object. Can identify a set of lines and or characters used to define the segment",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usesImageArea",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#content",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#string"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/content"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A comma-delimited list of x,y coordinates, listed as a set of adjacent points for rectangles and polygons, and as a center-point and a radius for circles (x,y,r).",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#shape",
                              "valueExpr": "http://ddi-alliance.org/ns/#ShapeCoded",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/shape"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A fixed set of valid responses includes Rectangle, Circle, and Polygon.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/imagearea"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDefines the shape and area of an image used as part of a location representation. The shape is defined as a Rectangle, Circle, or Polygon and content provides the information required to define it in the form of a comma-delimited list of x,y coordinates, listed as a set of adjacent points for rectangles and polygons, and as a center-point and a radius for circles (x,y,r).\n\nDDI 3.2 mapping\n=================\nr:ImageAreaType\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usesimagearea"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Defines the shape and area of an image used as part of a location representation. The shape is defined as a Rectangle, Circle, or Polygon and Coordinates provides the information required to define it.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/segment"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA structure used to express explicit segments or regions within different types of external materials (Textual, Audio, Video, XML, and Image). Provides the appropriate start, stop, or region definitions for each type.\n\nDDI 3.2 mapping\n=================\nr:SegmentType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usessegment"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Can describe a segment within a larger object such as a text or video segment.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#citationOfExternalMaterial",
              "valueExpr": "http://ddi-alliance.org/ns/#Annotation",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/citationofexternalmaterial"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Bibliographic citation for the external resource.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/externalmaterial"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Utility"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nExternalMaterial describes the location, structure, and relationship to the DDI metadata instance for any material held external to that instance. This includes citations to such material, an external reference to a URL (or other URI), and a statement about the relationship between the cited ExternalMaterial the contents of the DDI instance. It should be used as follows:as a target object from a relationship which clarifies its role within a class; or as the target of a relatedResource within an annotation.\n\n\nExamples\n==========\nExternalMaterial is used to identify material and optionally specific sections of the material that have a relationship to a class. There is a generic relatedMaterial on AnnotatedIdentifiable. This should be used to attach any additional material that the user identifies as important to the class. The properties typeOfMaterial, descriptiveText, and relationshipDescription should be used to clarify the purpose and coverage of the related material.\n\nExplanatory notes\n===================\nWithin the DDI model, ExternalMaterial is used as an extension base for specific external materials found such as an External Aid. It is used as a base for specifically related material (e.g. ExternalAid) by creating a relationship whose name clarifies the purpose of the related material.\n\nDDI 3.2 mapping\n=================\nr:OtherMaterialType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#FundingInformation",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Identifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#funderRole",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/funderrole"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Role of the funding organization or individual. Supports the use of a controlled vocabulary.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#grantNumber",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/grantnumber"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The identification code of the grant or other monetary award which provided funding for the described object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured tex",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasFunder",
              "valueExpr": "http://ddi-alliance.org/ns/#Agent",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasfunder"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The source of the funding expressed as an Organization or Individual.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/fundinginformation"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Utility"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nProvides information about the individual, agency and/or grant(s) which funded the described entity. Lists a reference to the agency or individual as described by a DDI Agent, the role of the funder, the grant number(s) and a description of the funding activity.\n\nExamples\n==========\nA \"millionaire grant\" (funding description) from John Beresford Tipton, Jr. (individual). Exploration of the effect of sudden wealth and basis for a television episode (funder role).\n\nDDI 3.2 mapping\n=================\nr:FundingInformationType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Act",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#WorkflowStep"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/act"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAn Act is an indivisible, atomic step, i.e. not composed of other steps. An Act can also be viewed as a terminal node in a hierarchy of Workflow Steps. \n\nExamples\n==========\nQuestionConstructType from DDI 3.x is an example of an Act.\nGenerationInstructionType from DDI 3..x is an example of an Act extended to include a CommandCode used to create a derivation or recode for an InstanceVariable or other similar use \n\nExplanatory notes\n===================\nAct is named after the act in the HL7 RIM. This act can take many forms including an observation, a procedure, a referral, a prescription, a consent and so forth.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ComputationAction",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Act"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#activityDescription",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/activitydescription"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the transformation activity",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesCommandCode",
              "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usescommandcode"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The command code performed as a part of the transformation or computation",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#typeOfComputation",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/typeofcomputation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the specification of a computation or transformation type supporting the use of an external controlled vocabulary",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/computationaction"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nProvides an extensible framework for specific computation or transformation objects.\n\nExamples\n==========\nIn data processing, a ComputationAction might be a code statement in a code sequence.\n\nIn data capture, a ComputationAction might takes the form of a question, a measurement or instrument code.\n\nDDI 3.2 mapping\n=================\nd:ComputationItemType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ConditionalControlStep",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#WorkflowControlStep"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#condition",
              "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/condition"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Condition to be evaluated to determine whether or not to execute the Workflow Sequence in contains. It can be an expression and/or programmatic code. The specialized sub-classes determine whether the Sequence is executed when the condition is true or false",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#executes",
              "valueExpr": "http://ddi-alliance.org/ns/#WorkflowStepSequence",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/executes"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The Workflow Sequence is executed depending on the result of the condition evaluation. The specialized sub-classes determine whether the Sequence is executed when the condition is true or false. Specialization of contains in Control Construct.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/conditionalcontrolstep"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nType of WorkflowControlStep in which the execution flow is determined by one or more conditions.\n\n\nExamples\n==========\nIf-then-else and iterative structures.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#IfThenElse",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ConditionalControlStep"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#elseIf",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#condition",
                      "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/condition"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The condition to verify if the parent IfThenElse condition is false.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#executes",
                      "valueExpr": "http://ddi-alliance.org/ns/#WorkflowStepSequence",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/executes"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The WorkflowStepSequence to execute if the condition is true",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/elseifaction"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nAn additional condition and resulting step to take if the condition in the parent IfThenElse is false. It cannot exist without a parent IfThenElse.\n\n\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/elseif"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The condition to check if the IfThenElse condition is false. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#elseExecutes",
              "valueExpr": "http://ddi-alliance.org/ns/#WorkflowStepSequence",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/elseexecutes"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Optional sequence of Process Steps that are triggered for execution when the condition is false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/ifthenelse"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nIfThenElse describes an if-then-else decision type of control construct. If the stated condition is met, then the associated Workflow Sequence in containsSubSeqence is triggered, otherwise the Workflow Sequence that is triggered is the one associated via elseContains.\n\n\nExamples\n==========\nAn IfThenElse object describes the conditional logic in the flow of a questionnaire or other data collection instrument, where if a stated condition is met, one path is followed through the flow, and if the stated condition is met, another path is taken.\n\nExplanatory notes\n===================\nContains a condition and two associations:\n- one to the Workflow Sequence that is triggered when the condition is true (containsSubSequence), and \n- another to the Workflow Sequence that is triggered when the condition is false (elseContains). \n\n\nDDI 3.2 mapping\n=================\nd:IfThenElseType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Loop",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ConditionalControlStep"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#initialValue",
              "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/initialvalue"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The command used to set the initial value for the process. Could be a simple value.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#stepValue",
              "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/stepvalue"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The command used to set the incremental or step value for the process. Could be a simple value.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/loop"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nIterative control structure to be repeated a specified number of times based on one or more conditions. Inside the loop, one or more Workflow Steps are evaluated and processed in the order they appear.\n\nExamples\n==========\nA loop is set to repeat a fixed number of times (initialValue). A stepValue is initially specified. At the end of the loop the current value is decremented by the stepValue. The current value might be the initialValue or it might be the current value after the initialValue has been decremented one or more times.\n\nExplanatory notes\n===================\nThe Workflow Sequence contained in the Loop is executed until the condition is met, and then control is handed back to the containing control construct.\n\nSynonyms\n==========\nForLoop\n\nDDI 3.2 mapping\n=================\nd:LoopType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#MetadataDrivenAction",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Act"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#activityDescription",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/activitydescription"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the transformation activity",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#typeOfMetadataDrivenAction",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/typeofmetadatadrivenaction"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the specification of a transformation type supporting the use of an external controlled vocabulary",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#quasiVTL",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/quasivtl"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A definition of the action in XHTML that conforms to the quasi-VTL schema. Each action has its own definition that a user optionally completes.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/metadatadrivenaction"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nMetadataDrivenActions are Acts in which their logic is defined by validation and transformation rules expressed in some standard rule language.\n\nExamples\n==========\nSome data management systems present users with a menu of actions they can use in a sequence to perform a specific task. The system engages the user in a dialog driven by an action template. The dialog completes the template which the system then uses to perform the action. The user doesn't write any code.\n\nExplanatory notes\n===================\nWhereas ComputationActions are used in statistical packages like SPSS, Stata, SAS and R to perform data management and data transformations, MetadataDrivenActions are used by data pipelines, e.g. ETL (Extract Transform Load) platforms, along with ComputationActions.\n\nIn a data pipeline the user is presented with a menu of MetadataDrivenActions that are captured here in an external controlled vocabulary. Users enter into a dialog with the platform through which they customize the MetadataDrivenAction. The user writes no code. The dialog is saved.\n\nIn the course of this dialog the user might specify a data source, specify which variables to keep or drop, rename variables, specify join specifics, create a value map between two variables and so forth.\n\nMetadataDrivenActions represent this dialog in some standard rule language, e.g. Structured Data Transformation Language (SDTL) , Validation and Transformation Language (VTL), etc.. In fact,  MetaDataDrivenAction can use VTL with certain \"extensions\". Together they form quasi-VTL. quasi-VTL in turn conforms to a known schema. Using this schema users can render the quasi-VTL as XHTML and record it in the MetadataDrivenAction quasiVTL property. quasiVTL supports structured text.\n\nNote that we would like NOT to create specific subtypes of MetadataDrivenAction -- one for each transformation. In fact there are a dozen or more such actions that will be captured in the MetadataDrivenAction types external controlled vocabulary. As an alternative, users can optionally write structured text based on a known schema. In this approach we are able to \"evolve\" SDTL as needed without changing our model. Instead, as our language \"evolves\", we one have to update its schema.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Parameter",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#alias",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/alias"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If the content of the parameter is being used in a generic set of code as an alias for the value of an object in a formula (for example source code for a statistical program) enter that name here. This provides a link from the identified parameter to the alias in the code.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#defaultValue",
              "valueExpr": "http://ddi-alliance.org/ns/#ValueString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/defaultvalue"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides a default value for the parameter if there is no value provided by the object it is bound to or the process that was intended to produce a value.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isArray",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isarray"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If set to \"true\" indicates that the content of the parameter is a delimited array rather than a single object and should be processed as such.limitArrayIndex",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#limitArrayIndex",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/limitarrayindex"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "When the Parameter represents an array of items, this attribute specifies the index identification of the items within the zero-based array which should be treated as that associated with the parameter. If not specified, the full array is treated as the parameter.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#agency",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/agency"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "This is the registered agency code with optional sub-agencies separated by dots. For example, diw.soep, ucl.qss, abs.essg.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#id",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/id"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The ID of the object. This must conform to the allowed structure of the DDI Identifier and must be unique within the Agency.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#version",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/version"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The version number of the object. The version number is incremented whenever the non-administrative metadata contained by the object changes.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of the Agent Listing. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#valueRepresentation",
              "valueExpr": "http://ddi-alliance.org/ns/#ValueDomain",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/valuerepresentation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If the content of the parameter contains representational content, such as codes, provide the representation here. ValueDomain is the abstract with a number of subtype and may be replaced with any valid substitution for ValueDomain. Inclusion of the valueRepresentation is recommended if you will be sharing data with others as it provides information on the structure of what they can expect to receive when the parameter is processed.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/parameter"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAn Input or Output to a Process Step defined by as a unique identifier. It may be a single value or an array. \n\nExamples\n==========\nA question might have dynamic text or, again, \"fills\". Depending on the gender of the subject, a question might say \"he\" or \"she\" and/or \"him\" or \"her\". A gender variable is passed into the question, and question code resolves the dynamic text.\nA computation action may be expecting a numeric array of values [result of looping an \"Age in years\" question through every member of a household]. isArray = \"true\"; valueRepresentation would link to a SubstantiveValueDomain defining a numeric value with a possible valid range; and because the parameter occurs in the context of a computation action it is necessary to specify an alias (e.g. AGE). The alias links the parameter to the code in the computation.\n\nExplanatory notes\n===================\nWhen used as an hasInputParameter it defines a value being used by Process Step as a direct input or as an alias value within an equation. When used as an hasOutputParameter it defines itself as the value of the variable, capture, or explicit value of the parent class or as a specific value in a computation output by assigning the related Alias and/or defining the item within an array. Providing a defaultValue ensures that when bound to another Parameter that some value will be passed or received. A Value Domain expressed as a SubstantiveValueDomain or a SentinalValueDomain may be designated to define the datatype and range( of the expected value.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#RepeatUntil",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ConditionalControlStep"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/repeatuntil"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nIterative control structure to be repeated until a specified condition is met. After each iteration the condition is tested. If the condition is not met, the associated Workflow Sequence in contains (inherited from Conditional Control Construct) is triggered. When the condition is met, control passes back to the containing Workflow Step.\n\nExamples\n==========\nA RepeatUntil loop is similar to a RepeatWhile loop, except that it tests the Boolean expression after the loop rather than before. Thus, a RepeatUntil loop always executes the loop once, whereas if the Boolean expression is initially False, a RepeatWhile loop does not execute the loop at all. For example, in a household there is at last one person and a loop might contain a block of person questions. After the first person the last question in the block might be \"Anyone else in the household\"? The RepeatUntil would continue iterating until there was no-one else in the household.\n\nDDI 3.2 mapping\n=================\nd:RepeatUntilType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#RepeatWhile",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ConditionalControlStep"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/repeatwhile"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nIterative control structure to be repeated while a specified condition is met. Before each iteration the condition is tested. If the condition is met, the associated Workflow Sequence in contains (inherited from Conditional Control Construct) is triggered. When the condition is not met, control passes back to the containing Workflow Step.\n\nExamples\n==========\nA RepeatWhile loop is similar to a RepeatUntil loop, except that it tests the Boolean expression before the loop rather than after. Thus, a RepeatUntil loop always executes the loop once, whereas if the Boolean expression is initially False, a RepeatWhile loop does not execute the loop at all. For example, RepeatWhile may be used to pre-test a certain condition like if \"the number of new people in a household is greater than 0\" in which case a block of questions might be asked for each new person.\n\nDDI 3.2 mapping\n=================\nd:RepeatWhileType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Split",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#TemporalRelationControlStep"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/split"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe components of a Split consists of a number of process steps to be executed concurrently with partial synchronization. Split completes as soon as all of its component process steps have been scheduled for execution.\n\nExplanatory notes\n===================\nSupports parallel processing that does not require completion to exit. \n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SplitJoin",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#TemporalRelationControlStep"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/splitjoin"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nSplitJoin consists of process steps that are executed concurrently (execution with barrier synchronization). That is, SplitJoin completes when all of its components processes have completed. \n\nExamples\n==========\nA GANTT chart where a number of processes running parallel to each other are all prerequisites of a subsequent step.\n\nExplanatory notes\n===================\nSupports parallel processing that requires completion of all included process steps to exit.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#TemporalRelationControlStep",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#WorkflowControlStep"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#typeOfTemporalRelationship",
          "valueExpr": "http://ddi-alliance.org/ns/#TemporalRelationSpecification",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/typeoftemporalrelationship"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "Specify the type of temporal relationhship between identified WorkflowSteps using Allen's Interval definitions.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/temporalrelationcontrolstep"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDefines complex synchronous or asynchronous temporal ordering control. Defines temporal relationships using Allen's Intervals.\n\nExplanatory notes\n===================\nWhen creating a specific subtype identify the workflow steps included in a structure that is appropriate to the subtype. For example, Split contains a relationship \"executeConcurrently\".\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#WorkflowControlStep",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#WorkflowStep"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#executes",
          "valueExpr": "http://ddi-alliance.org/ns/#WorkflowStep",
          "min": 0,
          "max": -1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/executes"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "The WorkflowSteps executed by the control mechanism",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
              "object": {
                "value": "shexmi:sharedAggregation"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/workflowcontrolstep"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA subtype of WorkflowStep which controls the ordering of Workflow Steps within a Process. Abstract base for specialized ordering conditions that have specific requirements to relay ordering information.\n\nExamples\n==========\nA WorkflowStepSequence is a subtype of WorkflowControlStep which defines a sequential order for included steps.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#WorkflowProcess",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides a high level overview or summary of the class. Can be used to inform end-users or as part of an executive summary. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usage",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the ways in which the pattern is employed. Supports  the use of multiple languages and  structured text.  ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#implementsAlgorithm",
              "valueExpr": "http://ddi-alliance.org/ns/#AlgorithmOverview",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/implementsalgorithm"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The algorithms implemented by the process. May be expressed by AlgorithmOverview or any subclass",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isSpecifiedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#WorkflowControlStep",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isspecifiedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Points to the WorkflowControlStep subtype which defines the starting point for initiating the set of process steps contained in the process.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/workflowprocess"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Workflow Process is a realization of Process which identifies the Workflow Step Sequence which contains the WorkflowSteps and their order. It may identify the algorithm that it implements.\n\nExamples\n==========\nOverall description of steps taken when ingesting a dataset into an archive; A Sampling Process; A step or sub-step of the Generic Longitudinal Business Process Model (GLBPM).\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#WorkflowStep",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usage",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Short natural language account of the information obtained from the combination of properties and relationships associated with an object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasInformationFlow",
              "valueExpr": "http://ddi-alliance.org/ns/#Binding",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasinformationflow"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Mapping of specific information flow within the workflow",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isPerformedBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#serviceInterface",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/serviceinterface"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specifies how to communicate with the service.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#serviceLocation",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/servicelocation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specifies where the service can be accessed.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#estimatedDuration",
                      "valueExpr": "http://ddi-alliance.org/ns/#Date",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/estimatedduration"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The estimated time period associated with the operation of the Service. This may be expressed as a time, date-time, or duration.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasAgent",
                      "valueExpr": "http://ddi-alliance.org/ns/#Agent",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasagent"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Actor that performs a role in the service,",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/workflowservice"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Workflows"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA means of performing a Workflow Step as part of a concrete implementation of a Business Function  (an ability that an organization possesses, typically expressed in general and high level terms and requiring a combination of organization, people, processes and technology to achieve).\n\nExamples\n==========\nA specification for an air flow monitor used to capture a measure for an ImplementedMeasure (a subtype of Act).\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isperformedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Identifies the Service Implementation which performs the Workflow Step. Specialization of isPerformedBy in Process Step for Service Implementations.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasInputParameter",
              "valueExpr": "http://ddi-alliance.org/ns/#Parameter",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasinputparameter"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An identification for a Parameter related to the WorkflowStep and referred to by a Binding indicating the Input to the WorkflowStep ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:compositeAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasOutputParameter",
              "valueExpr": "http://ddi-alliance.org/ns/#Parameter",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasoutputparameter"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An identification for a Parameter related to the WorkflowStep and referred to by a Binding indicating the Output from the WorkflowStep",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:compositeAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/workflowstep"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nOne of the constituents of a Workflow. It can be a composition or atomic and might be performed by a Service.\n\nExamples\n==========\nA ControlConstruct that orchestrates steps and substeps in a Workflow is a WorkflowStep. An Act is a WorkflowStep.\n\nExplanatory notes\n===================\nAn atomic Workflow Step has no Control Constructs -- it's an Act. A composition consists of a tree of Control Constructs. In this tree Acts are associated with the leaf nodes.\n\nFurthermore, a composition might be a glass box or a black box from the perspective of a service. If a service performs a WorkflowStep, it might invoke just the topmost ControlConstruct -- for example a WorkflowSequence. It may know nothing about the internal workings of the sequence. In this case the WorkflowStep is a black box.\n\nGSIM mapping\n==============\nProcess Step\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#WorkflowStepSequence",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#WorkflowControlStep"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#typeOfWorkflowStepSequence",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/typeofworkflowstepsequence"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides the ability to \"type\" a sequence for classification or processing purposes. Supports the use of an external controlled vocabulary.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#orderedStep",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of WorkflowStep in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#indexedWorkflowStep",
                      "valueExpr": "http://ddi-alliance.org/ns/#WorkflowStep",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/indexedworkflowstep"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The subtype of a WorkflowStep occuring at the indexed position within the array. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/workflowsteporder"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nAssociates an sequence ordering number with any WorflowStep or sub-type,\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/orderedstep"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The Workflow Steps included in the Collection with an index for position within ordered array. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/workflowstepsequence"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Workflows"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA WorkflowStepSequence controls the order of WorkflowSteps by defining a simple sequence.\n\nWorkflowSteps that may be used in a WorkflowStepSequence may be of many subtypes, covering simple or computational acts, conditional steps such as an IfThenElse, temporally defined ordering controls such as Split and SplitJoin, or others designed for various specializations of the WorkflowProcess. .\n\nWorkflowSteps in a WorkflowStepSequence exchange variables and values by way of output parameters, input parameters and their bindings.\n\n\nExamples\n==========\nA WorkflowStepSequence can be used to describe the flow of questions in a questionnaire. \n\nA WorkflowStepSequence can be used to decompose a BusinessProcess like data integration or anonymization into a series of steps.\n\n\n\nExplanatory notes\n===================\nIf more complex temporal or graph ordering is required use the subtype StructuredWorkflowSteps.\nThe relationship \"executes\" in this instance of a WorkflowControlStep is an optional means of noting the set of WorkflowSteps managed by the sequence. Sequencing is done using orderedStep. This is currently an anomoly that should be resolved in future discussion application of transformation rules from UML model. \n\n\nDDI 3.2 mapping\n=================\nd:SequenceType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#BusinessFunction",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#overview",
          "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/overview"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "Provides a high level overview or summary of the class. Can be used to inform end-users or as part of an executive summary. Supports the use of multiple languages and structured text.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/businessfunction"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Methodologies"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nSomething an enterprise does, or needs to do, in order to achieve its objectives.\n\nA Business Function delivers added value from a business point of view. It is delivered by bringing together people, processes and technology (resources), for a specific business purpose. \n\nBusiness Functions answer in a generic sense \"What business purpose does this Business Service or Process Step serve?\" Through identifying the Business Function associated with each Business Service or Process Step it increases the documentation of the use of the associated Business Services and Process Steps, to enable future reuse.\n\nExamples\n==========\nA Business Function may be defined directly with descriptive text and/or through reference to an existing catalogue of Business Functions. \n\nGSIM mapping\n==============\nBusiness Function\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Goal",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#BusinessFunction"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#isDiscussedIn",
          "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
          "min": 0,
          "max": -1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/isdiscussedin"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "Identifies material discussing the goal. The material may be in DDI or other format.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/goal"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Methodologies"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nGoals are the \"things\" a method aims to achieve. A goal may be a business function (GSIM) corresponding to a function in a catalog of functions such as GSBPM or GLBMN. However, goals may be specified more broadly. For example, conducting a clinical trial might be the goal of a method. Machine learning might be the goal of a method. \n\n\n\nExamples\n==========\nTo further distinguish a \"goal\" from an \"output\", consider the construction of a statistic. A goal may be the construction of the statistic. The output is the statistic. The output is data. The statistic by itself -- the output -- is arguably meaningless even if we capture the process of its construction. \n\nGSIM mapping\n==============\nBusiness Function\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Result",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides a high level overview or summary of the class. Can be used to inform end-users or as part of an executive summary. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasBinding",
              "valueExpr": "http://ddi-alliance.org/ns/#Binding",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasbinding"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Can bind data attached to parameters into, out of, and between processes.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasAppliedUse",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#overview",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/overview"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides a high level overview or summary of the class. Can be used to inform end-users or as part of an executive summary. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasGuide",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#overview",
                              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides a high level overview or summary of the class. Can be used to inform end-users or as part of an executive summary. Supports the use of multiple languages and structured text.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#isDiscussedIn",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/isdiscussedin"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Identifies material discussing the precondition. The material may be in DDI or other format.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/guide"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#Methodologies"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nProvides a guide for the usage of a result within a specified application\n\nExamples\n==========\nThe applied use of a weight determined by a weighting process in analyzing a data set\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasguide"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The guide describing the appropriate usage of the result in the context of specified unit types and/or objects.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                          "object": {
                            "value": "shexmi:sharedAggregation"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#appliesToUnitType",
                      "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/appliestounittype"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The unit type or types for which the guide is appropriate",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isUsedBy",
                      "valueExpr": "http://ddi-alliance.org/ns/#AnnotatedIdentifiable",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isusedby"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specifies the object for which the guide is appropriate",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/applieduse"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Methodologies"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nLinks the guidance instructions to specific unit types.\n\nExamples\n==========\nLinks one or more guides for the use of a sample (result) obtained in the first stage of complex sample with the unit type. A sample of Counties from which households will be selected in the next sample stage.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasapplieduse"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The result may have one or more specific usages which provides guidance for the use of the result with a specific unit type.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#evaluateAgainstGoal",
              "valueExpr": "http://ddi-alliance.org/ns/#Goal",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/evaluateagainstgoal"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Comparison of Result of the Process against the Goal to inform further activities.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasInputParameter",
              "valueExpr": "http://ddi-alliance.org/ns/#Parameter",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasinputparameter"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Used by Binding to link the output of another class to the input of this class ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:compositeAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasOutputParameter",
              "valueExpr": "http://ddi-alliance.org/ns/#Parameter",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasoutputparameter"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Used by Binding to link the output of this class to the input of another class ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:compositeAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/result"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Methodologies"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDescribes the results of a process for the purpose of linking these results to guidance for future usage in specified situations. Result is abstract and serves as a substitution base for the specified result of a specific instantiation of a methodology process.\n\nExamples\n==========\nThe use of a weight resulting from a sampling process by an analyst within the context of a specific set of variables. The class containing the weight would use the extension base Result, adding any additional required properties and relationships to describe it.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Access",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#confidentialityStatement",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/confidentialitystatement"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A statement regarding the confidentiality of the related data or metadata.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#accessPermission",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#formNumber",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/formnumber"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The number or other means of identifying the form.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#uri",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "nodeKind": "iri"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/uri"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The URN or URL of the form.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#statement",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/statement"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A statement regarding the use, coverage, and purpose of the form.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isRequired",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isrequired"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Set to \"true\" if the form is required. Set to \"false\" if the form is optional.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/form"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA link to a form used by the metadata containing the form number, a statement regarding the contents of the form, a statement as to the mandatory nature of the form and a privacy level designation.\n\nDDI 3.2 mapping\n=================\na:FormType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/accesspermission"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A link to a form used to provide access to the data or metadata including a statement of the purpose of the form.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#restrictions",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/restrictions"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A statement regarding restrictions to access. May be expressed in multiple languages and supports the use of structured content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#citationRequirement",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/citationrequirement"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A statement regarding the citation requirement. May be expressed in multiple languages and supports the use of structured content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#depositRequirement",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/depositrequirement"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A statement regarding depositor requirements. May be expressed in multiple languages and supports the use of structured content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#accessConditions",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/accessconditions"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A statement regarding conditions for access. May be expressed in multiple languages and supports the use of structured content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#disclaimer",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/disclaimer"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A disclaimer regarding the liability of the data producers or providers. May be expressed in multiple languages and supports the use of structured content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contactAgent",
              "valueExpr": "http://ddi-alliance.org/ns/#AgentAssociation",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contactagent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The agent to contact regarding access including the role of the agent.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#validDates",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/validdates"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The date range or start date of the access description.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/access"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Discovery"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nDescribes access to the annotated object. This item includes a confidentiality statement, descriptions of the access permissions required, restrictions to access, citation requirements, depositor requirements, conditions for access, a disclaimer, any time limits for access restrictions, and contact information regarding access.\n\nExamples\n==========\nA proprietary InstanceQuestion might have specific access restrictions.\n\nDDI 3.2 mapping\n=================\na:AccessType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#BoundingBox",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#eastLongitude",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/eastlongitude"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The easternmost coordinate expressed as a decimal between the values of -180 and 180 degrees ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#westLongitude",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/westlongitude"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The westernmost coordinate expressed as a decimal between the values of -180 and 180 degrees ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#northLatitude",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/northlatitude"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The northernmost coordinate expressed as a decimal between the values of -90 and 90 degrees.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#southLatitude",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#double"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/southlatitude"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The southermost latitude expressed as a decimal between the values of -90 and 90 degrees",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/boundingbox"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Discovery"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA type of Spatial coverage describing a rectangular area within which the actual range of location fits. A BoundingBox is described by 4 numbers - the maxima of the north, south, east, and west coordinates found in the area.\n\nExamples\n==========\nBurkino Faso: (N) 15.082773; (S) 9.395691; (E) 2.397927; (W) -5.520837\n\nExplanatory notes\n===================\nA BoundingBox is often described by two x,y coordinates where the x coordinates are used for the North and South Latitudes and y coordinates for the West and East Longitudes\n\nSynonyms\n==========\nr:BoundingBox\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Coverage",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#overview",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/overview"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A generic description including temporal, topical, and spatial coverage that is the equivalent of dc:coverage (the refinement base of dcterms:spatial and dcterms:temporal. Use specific coverage content for detailed information. Short natural language account of the information obtained from the combination of properties and relationships associated with an object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasTemporalCoverage",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "TripleConstraint",
                  "predicate": "http://ddi-alliance.org/ns/#coverageDate",
                  "valueExpr": {
                    "type": "Shape",
                    "extends": [
                      "http://ddi-alliance.org/ns/#AnnotationDate"
                    ],
                    "closed": true,
                    "expression": {
                      "type": "EachOf",
                      "expressions": [
                        {
                          "type": "TripleConstraint",
                          "predicate": "http://ddi-alliance.org/ns/#subject",
                          "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                          "min": 0,
                          "max": -1,
                          "annotations": [
                            {
                              "type": "Annotation",
                              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                              "object": "http://lion.ddialliance.org/ddiobjects/subject"
                            },
                            {
                              "type": "Annotation",
                              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                              "object": {
                                "value": "If the date is for a subset of data only such as a referent date for residence 5 years ago, use Subject to specify the coverage of the data this date applies to. May be repeated to reflect multiple subjects.",
                                "type": "https://github.com/commonmark/commonmark.js"
                              }
                            }
                          ]
                        },
                        {
                          "type": "TripleConstraint",
                          "predicate": "http://ddi-alliance.org/ns/#keyword",
                          "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                          "min": 0,
                          "max": -1,
                          "annotations": [
                            {
                              "type": "Annotation",
                              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                              "object": "http://lion.ddialliance.org/ddiobjects/keyword"
                            },
                            {
                              "type": "Annotation",
                              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                              "object": {
                                "value": "If the date is for a subset of data only such as a referent date for residence 5 years ago, use keyword to specify the coverage of the data this date applies to. May be repeated to reflect multiple keywords.",
                                "type": "https://github.com/commonmark/commonmark.js"
                              }
                            }
                          ]
                        }
                      ]
                    },
                    "annotations": [
                      {
                        "type": "Annotation",
                        "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                        "object": "http://lion.ddialliance.org/ddiobjects/referencedate"
                      },
                      {
                        "type": "Annotation",
                        "predicate": "http://www.w3.org/ns/shex-xmi#package",
                        "object": {
                          "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                        }
                      },
                      {
                        "type": "Annotation",
                        "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                        "object": {
                          "value": "\nDefinition\n============\nThe date covered by the annotated object. In addition to specifying a type of date (e.g. collection period, census year, etc.) the date or time span may be associated with a particular subject or keyword. This allows for the expression of a referent date associated with specific subjects or keywords. \n\nExamples\n==========\nA set of date items on income and labor force status may have a referent date for the year prior to the collection date. To express a duration the preference is for Start and End dates expressing two time points separated by a \"/\". \n\nExplanatory notes\n===================\nNote that if needed you may use Start and Duration or Duration and End. These options may not be recognizable by all systems.\n\nDDI 3.2 mapping\n=================\nr:ReferenceDateType\n\n",
                          "type": "https://github.com/commonmark/commonmark.js"
                        }
                      }
                    ]
                  },
                  "min": 0,
                  "max": -1,
                  "annotations": [
                    {
                      "type": "Annotation",
                      "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                      "object": "http://lion.ddialliance.org/ddiobjects/coveragedate"
                    },
                    {
                      "type": "Annotation",
                      "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                      "object": {
                        "value": "A date referencing a specific aspect of temporal coverage. The date may be typed to reflect coverage date, collection date, referent date, etc. Subject and Keywords may be associated with the date to specify a specific set of topical information (i.e. Residence associated with a date 5 years prior to the collection date).",
                        "type": "https://github.com/commonmark/commonmark.js"
                      }
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/temporalcoverage"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Discovery"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nDescribes the temporal coverage of the annotated object by specifying dates and optionally associating them with Subject and Keyword. The date itself may be expressed as either and ISO and/or NonISO date. Dates may be catagorized by use of optional typeOfDate using and external controlled vocabulary entry.\n\nExplanatory notes\n===================\nThe association of subjects or keywords with the date periods allows for describing the meaning of the temporal period. A survey, for example might be administered in one time period, but ask questions about the preceding decade. Temporal coverage might then include the data collection coverage as well as the referenced time period.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hastemporalcoverage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The dates and time periods described by the contents of the annotated object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasTopicalCoverage",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#subject",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/subject"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A subject that describes the topical coverage of the content of the annotated object. Subjects are members of structured classification systems such as formal subject headings in libraries. Uses and InternationalCodeValue and may indicate the language of the code used. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#keyword",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/keyword"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A keyword that describes the topical coverage of the content of the annotated object.  Keywords may be structured (e.g. TheSoz thesauri) or unstructured and reflect the terminology found in the document and other related (broader or similar) terms.  Uses and InternationalCodeValue and may indicate the language of the code used.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/topicalcoverage"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Discovery"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nDescribes the topical coverage of the module using Subject and Keyword. Subjects are members of structured classification systems such as formal subject headings in libraries. Keywords may be structured (e.g. TheSoz thesauri) or unstructured and reflect the terminology found in the document and other related (broader or similar) terms.\n\nDDI 3.2 mapping\n=================\nr:TopicalCoverageType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hastopicalcoverage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The topics covered by the contents of the annotated object. These may be expressed by subject classification systems and structured or unstructured keywords.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasSpatialCoverage",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#description",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/description"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A textual description of the spatial coverage to support general searches.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#spatialAreaCode",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/spatialareacode"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Supports the use of a standardized code such as ISO 3166-1,  the Getty Thesaurus of Geographic Names, FIPS-5, etc. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#spatialObject",
                      "valueExpr": "http://ddi-alliance.org/ns/#SpatialObjectType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/spatialobject"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Indicates the most discrete spatial object type identified for a single case. Note that data can be collected at a geographic point (address) and reported as such in a protected file, and then aggregated to a polygon for a public file.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasBoundingBox",
                      "valueExpr": "http://ddi-alliance.org/ns/#BoundingBox",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasboundingbox"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The north and south latitudes and east and west longitudes that define the spatial coverage area.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usesGeographicUnitTypeClassification",
                      "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnitTypeClassification",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usesgeographicunittypeclassification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A classification which describes the geographic unit types and relationships used within this coverage.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usesGeographicUnitClassification",
                      "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnitClassification",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usesgeographicunitclassification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A classification which describes the geographic units (specific locations) and relationships used within this coverage.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#includesGeographicUnitType",
                      "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/includesgeographicunittype"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The geographic unit types used within this coverage.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#includesGeographicUnit",
                      "valueExpr": "http://ddi-alliance.org/ns/#GeographicUnit",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/includesgeographicunit"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The geographic units used within this coverage.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#highestGeographicUnitTypeCovered",
                      "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/highestgeographicunittypecovered"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The unit type describing the highest or broadest geographic unit type that can be assembled within this coverage. In some cases with multiple hierarchies there may be multiple geographic unit types assembled.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#lowestGeographicUnitTypeCovered",
                      "valueExpr": "http://ddi-alliance.org/ns/#UnitType",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/lowestgeographicunittypecovered"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The lowest geographic unit type identified within this coverage. Repeat if multiple geographic hierarchies are used and there is no single lowest level that can be used to compile geographic areas into higher levels. For example a file that has one hierarchy using State-County-CensusTract/BNA and also data identified for Place which cannot be constructed directly from Census Tracts as they may cross Place boundaries.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/spatialcoverage"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Discovery"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA description of spatial coverage (geographic coverage) of the annotated object. Spatial coverage is described using a number of objects that support searching by a wide range of systems (geospatial coordinates, geographic classification systems, and general systems using dcterms:spatial).\n\nExamples\n==========\nA country, a neighborhood, the inside of a polygon on the surface of the earth, along a street, at a particular intersection, or perhaps even in a certain orbit around the planet Mars. For a data set within a study this may be used to define the geographic restriction of the data set within the geographic coverage of the study (eg. The study may cover all of Sweden but the spatial coverage of the data set is Stockholm). \n\nExplanatory notes\n===================\nDifferent systems support different approaches to descriptions of geographic or spatial coverage. Dublin Core has a descriptive text field that is the equivalent of SpatialCoverage/description. Geographers need to understand the spatial objects available (spatialObject, highest and lowest level geography, geographic units and unit types) so they know the building blocks they have to create a map. Spatial search engines do a first pass search by a simple bounding box (the north and south latitudes and east and west longitudes that define the spatial coverage area). Spatial Coverage provides basic support for all of these uses.\n\nSynonyms\n==========\nr:SpatialCoverage, place\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasspatialcoverage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description of the spatial (geographic) coverage of the contents of the annotated object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/coverage"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Discovery"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nCoverage information for an annotated object. Includes coverage information for temporal, topical, and spatial coverage. \n\nExamples\n==========\nA survey might have ask people about motels they stayed in (topical coverage) in the year 2015 (temporal coverage), while they were travelling in Kansas (spatial coverage). This is different than the temporal, and spatial attributes of the population studied – (international travelers to the US surveyed in 2017).\n\nExplanatory notes\n===================\nCoverage is a container for the more specific temporal, spatial, and topical coverages to which it refers.\n\nDDI 3.2 mapping\n=================\nr:CoverageType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#BooleanResponseDomain",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ResponseDomain"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#forCategory",
          "valueExpr": "http://ddi-alliance.org/ns/#Category",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/forcategory"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "The category to which a boolean response is requested.",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/booleanresponsedomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA response domain capturing a binary response, such as selected/unselected or checked/unchecked or true/false.\n\nExplanatory notes\n===================\nExactly what is captured may be dependent upon the Implemented Instrument, however the response being captured is either there or not there (ON/OFF, True/False)\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Capture",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A name for the measurement. A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usage",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A description of the purpose or use of the Measurement. May be expressed in multiple languages and supports the use of structured content. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#captureSource",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/capturesource"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The source of a capture structure defined briefly; typically using an external controlled vocabulary",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#analysisUnit",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/analysisunit"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Identifies the unit being analyzed such as a Person, Housing Unit, Enterprise, etc. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasResponseDomain",
              "valueExpr": "http://ddi-alliance.org/ns/#ResponseDomain",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasresponsedomain"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Capture has a Concept",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasInstruction",
              "valueExpr": "http://ddi-alliance.org/ns/#Instruction",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasinstruction"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Capture has an Instruction",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasExternalAid",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalAid",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasexternalaid"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Capture has an External Aid",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/capture"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA measurement that describes a means of capturing data. This class can be extended to account for different specific means. Use a specific instantiation of a Capture to describe a means of capturing a measurement.\n\n\n\n\nExamples\n==========\nA survey question, blood pressure reading; MRI images; thermometer; web service; experimental observation. Classes could include InstanceQuestion, InstanceMeasurement or other class extending Capture.\n\nExplanatory notes\n===================\nProvides an abstract base so that current and future forms of data capture can use this as an extension base and be freely mixed and matched within conceptual instruments as needed such as capturing a GPS point (using a RepresentedMeasurement) when administering a questionnaire (using RepresentedQuestions).\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#CodeListResponseDomain",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ResponseDomain"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesCodeList",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#EnumerationDomain"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#contains",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#index",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/index"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides an index for the member within an ordered array",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#isInLevel",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/isinlevel"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Indicates the level within which the CodeItem resides",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#member",
                              "valueExpr": "http://ddi-alliance.org/ns/#Code",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/member"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The member containing the designation of the CodeItem",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/codeindicator"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nA CodeIndicator realizes and extends a MemberIndicator which provides a Code with an index indicating order and a level reference providing the level location of the Code within a hierarchical structure.\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/contains"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#Identifiable"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list. Use if all relations within this relation structure are of the same specification.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                              "valueExpr": {
                                "type": "Shape",
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#totality",
                                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Type of relation in terms of totality with respect to an associated collection",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Provides semantic context for the relationship",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#source",
                                      "valueExpr": "http://ddi-alliance.org/ns/#Code",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/source"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "First member in a relationship. ",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#target",
                                      "valueExpr": "http://ddi-alliance.org/ns/#Code",
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/target"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Second member in a relationship. Note that this can be realized as a collection to support tuples. ",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/coderelation"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nSource target relationship between codes in a code relation structure\n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "CodeRelations making up the relation structure.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/coderelationstructure"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#Representations"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nRelation structure of codes within a codelist. Allows for the specification of complex relationships among codes.\n\nExplanatory notes\n===================\nThe CodeRelationStructure employs a set of CodeRelations to describe the relationship among concepts. Each CodeRelation is a one to many description of connections between codes. Together they might commonly describe relationships as complex as a hierarchy.\n\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A complex structure, hierarchical, for a CodeList. Restricted to single structure.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/codelist"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Representations"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA list of Codes and associated Categories. May be flat or hierarchical. A hierarchical structure may have an indexed order for intended presentation even though the content within levels of the hierarchy are conceptually unordered. For hierarchical structures ClassificationRelationStructure is used to provide additional information on the structure and organization of the categories. Note that a CategorySet can be structured by a ClassificationRelationStructure without the need for associating any Codes with the Categories. This allows for the creation of a CategorySet, for example for a response domain, without an associated CodeList.\n\nExamples\n==========\nThe codes \"M\" and \"F\" could point to \"Male\" and \"Female\" categories respectively.\n\nA CodeList for an occupational classification system like ISCO-08 could use a ClassificationRelationStructure to describe a hierarchy (Chief Executives and Administrative and Commercial Managers as subtypes of Managers)\n\n\nDDI 3.2 mapping\n=================\nl:CodeListType\n\nGSIM mapping\n==============\nCode List\n\t\t\t\t\t\t\t\t\t",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usescodelist"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The CodeList which includes the response options to list.\n",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#specifyOtherResponseDomain",
              "valueExpr": "http://ddi-alliance.org/ns/#ResponseDomain",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/specifyotherresponsedomain"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Optionally allows specifying the attached secondary response domain used by a specific item within this CodeListResponseDomain. For example, attach a TextResponseDomain to the code for \"Other\" using the TextDomain label (Please specify) as a label for the TextDomain. The attached secondary response domain must also be added to the Represented Question or Measure.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#specifyOtherCorrespondingCode",
              "valueExpr": "http://ddi-alliance.org/ns/#Code",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/specifyothercorrespondingcode"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Optionally allows specifying the Code to which a secondary response domain is attached. For example, link to code which signifies \"Other\" within this CodeList.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/codelistresponsedomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA response domain capturing a coded response (where both codes and their related category value are displayed) for a question. This response domain allows the single selection of one coded response.\n\nDDI 3.2 mapping\n=================\nd:CodeDomainType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ExternalAid",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ExternalMaterial"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#stimulusType",
          "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/stimulustype"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/externalaid"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAny external material used in an instrument that aids or facilitates data capture, or that is presented to a respondent and about which measurements are made. \n\nExamples\n==========\nImage, link, external aid, stimulus, physical object.\n\nDDI 3.2 mapping\n=================\nr:OtherMaterialType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#InstanceMeasurement",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#InstrumentComponent"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#instantiates",
          "valueExpr": {
            "type": "Shape",
            "extends": [
              "http://ddi-alliance.org/ns/#Capture"
            ],
            "closed": true,
            "expression": {
              "type": "EachOf",
              "expressions": [
                {
                  "type": "TripleConstraint",
                  "predicate": "http://ddi-alliance.org/ns/#measurementType",
                  "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                  "min": 0,
                  "max": 1,
                  "annotations": [
                    {
                      "type": "Annotation",
                      "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                      "object": "http://lion.ddialliance.org/ddiobjects/measurementtype"
                    },
                    {
                      "type": "Annotation",
                      "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                      "object": {
                        "value": "The type of measurement performed",
                        "type": "https://github.com/commonmark/commonmark.js"
                      }
                    }
                  ]
                },
                {
                  "type": "TripleConstraint",
                  "predicate": "http://ddi-alliance.org/ns/#hasRepresentedVariable",
                  "valueExpr": "http://ddi-alliance.org/ns/#RepresentedVariable",
                  "min": 0,
                  "max": 1,
                  "annotations": [
                    {
                      "type": "Annotation",
                      "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                      "object": "http://lion.ddialliance.org/ddiobjects/hasrepresentedvariable"
                    },
                    {
                      "type": "Annotation",
                      "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                      "object": {
                        "value": "An optional link to a represented variable which can be used by each instance variable created by a use of this measure.",
                        "type": "https://github.com/commonmark/commonmark.js"
                      }
                    }
                  ]
                }
              ]
            },
            "annotations": [
              {
                "type": "Annotation",
                "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                "object": "http://lion.ddialliance.org/ddiobjects/representedmeasurement"
              },
              {
                "type": "Annotation",
                "predicate": "http://www.w3.org/ns/shex-xmi#package",
                "object": {
                  "value": "http://ddi-alliance.org/ns/#DataCapture"
                }
              },
              {
                "type": "Annotation",
                "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                "object": {
                  "value": "\nDefinition\n============\nThe description of a reusable non-question measurement that can be used as a template that describes the components of a measurement. A type code can be used to describe the type of measure that was used.\n\nExamples\n==========\nA measure providing a geographic point; A blood pressure protocol; A protocol for measuring an ocean current\n\nExplanatory notes\n===================\nNon-question measurements often involve the use of specific machines or protocols to ensure consistency and comparability of the measure. The RepresentedMeasurement allows the reusable format and protocol to be housed in a repository for use by multiple studies or repeated studies.\n\n",
                  "type": "https://github.com/commonmark/commonmark.js"
                }
              }
            ]
          },
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/instantiates"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "The measurement being instantiated in the data collection process",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/instancemeasurement"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAn instance measurement instantiates a represented measurement, so that it can be used as an Act in the Process Steps that define a data capture process.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#InstanceQuestion",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#InstrumentComponent"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The name of a question as used in an Instrument. Redefined to provide a more useful description. A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#instantiates",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Capture"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#questionText",
                      "valueExpr": "http://ddi-alliance.org/ns/#DynamicText",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/questiontext"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The text of the question which may be literal or dynamic (altered to personalize the question text) in terms of content.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#questionIntent",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/questionintent"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The purpose or intent of the question.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#estimatedResponseTimeInSeconds",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#double"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/estimatedresponsetimeinseconds"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "An estimation of the number of seconds required to respond to the question. Used for estimating overall questionnaire completion time.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRepresentedVariable",
                      "valueExpr": "http://ddi-alliance.org/ns/#RepresentedVariable",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrepresentedvariable"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "An optional link to a represented variable which can be used by each instance variable created by a use of this question.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/representedquestion"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#DataCapture"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nThe description of a reusable question, that can be used as a template that describes the components of a question\n\nExamples\n==========\nA question in a question bank such as the content and format for a question on Race for all survey/censuses fielded by U.S. agencies as prescribed by the U.S. Office of Management and Budget (OMB)\n\nExplanatory notes\n===================\nA question that is repeated across waves of a panel study can be reused and also allow reference to a RepresentedVariable. A question that has been tested for consistency of response and is used by multiple studies.\n\nDDI 3.2 mapping\n=================\nd:QuestionItemType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/instantiates"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The question being used.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/instancequestion"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAn instance question is an instantiation of a represented question,to be used as an Act in the process steps that define a survey questionnaire.\n\nExamples\n==========\n“How old are you?”\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Instruction",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#instructionText",
              "valueExpr": "http://ddi-alliance.org/ns/#DynamicText",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/instructiontext"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The content of the Instruction text provided using DynamicText. Note that when using Dynamic Text, the full InstructionText must be repeated for multi-language versions of the content. The InstructionText may also be repeated to provide a dynamic and plain text version of the instruction. This allows for accurate rendering of the instruction in a non-dynamic environment like print.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#associatedMaterial",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/associatedmaterial"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An image or other external material associated with the Instruction, located at the provided URN or URL.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/instruction"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nProvides the content and description of data capture instructions. Contains the \"how to\" information for administering an instrument.\n\nExamples\n==========\nCompletion instructions in self-administered mail questionnaire, information for administering a blood pressure measurement, interviewer instructions for a CATI questionnaire, guidance for communicating between an interviewer and a respondent (note MIDUS cognitive assessment example).\n\nDDI 3.2 mapping\n=================\nd:InstructionType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#InstrumentCode",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#InstrumentComponent"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purposeOfCode",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purposeofcode"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The purpose of the code (e.g., quality control, edit check, checksums, compute filler text, compute values for use in administering the instrument)",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesCommandCode",
              "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usescommandcode"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the code used to execute the command using the options of inline textual description, inline code, and/or an external file.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/instrumentcode"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAn InstrumentComponent that specifies the performance of a specific computation within the context of an instrument flow.\n\nExamples\n==========\nquality control, edit check, checksums, compute filler text, compute values for use in administering the instrument\n\nDDI 3.2 mapping\n=================\nd:ComputationItemType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#InstrumentComponent",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Act"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasInstruction",
              "valueExpr": "http://ddi-alliance.org/ns/#Instruction",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasinstruction"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An instrument compoment can have zero to many instructions",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasExternalAid",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalAid",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasexternalaid"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Any external object used to clarify, inform, or support the role of the instrument component",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/instrumentcomponent"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nInstrumentComponent is an abstract object which extends an Act (a type of Process Step). The purpose of InstrumentComponent is to provide a common parent for Capture (e.g., Question, Measure), Statement, and Instructions.\n\n\n\nExplanatory notes\n===================\nInstrumentComponent acts as a substitution head (abstract) for semantically meaningful for objects that extend it and exist in an instrument.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#NumericResponseDomain",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ResponseDomain"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#numericTypeCode",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/numerictypecode"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Identification of the numeric type such as integer, decimal, etc. supports the use of an external controlled vocabulary.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#unit",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/unit"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An optional unit of measurement.  Examples include units from the International System of Units (SI) such as meter, seconds, mole, kilograms. Other examples include miles, tons, pints.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesNumberRange",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                      "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A display label for the number range. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#highCode",
                      "valueExpr": "http://ddi-alliance.org/ns/#NumberRangeValue",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/highcode"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "High or top value on the range expressed as an xs:decimal within an isInclusive Boolean flag.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#highCodeDouble",
                      "valueExpr": "http://ddi-alliance.org/ns/#DoubleNumberRangeValue",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/highcodedouble"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "High or top value on the range expressed as an xs:double within an isInclusive Boolean flag.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#lowCode",
                      "valueExpr": "http://ddi-alliance.org/ns/#NumberRangeValue",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/lowcode"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "High or top value on the range expressed as an xs:decimal within an isInclusive Boolean flag.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#lowCodeDouble",
                      "valueExpr": "http://ddi-alliance.org/ns/#DoubleNumberRangeValue",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/lowcodedouble"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Low or bottom value on the range expressed as an xs:double within an isInclusive Boolean flag.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#regExp",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/regexp"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Regular expression defining the allowed syntax of the number.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isTopCoded",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/istopcoded"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Default value is False. The High or top code represents the value expressed and anything higher.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isBottomCoded",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isbottomcoded"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Default value is False. The Low or bottom code represents the value expressed and anything lower.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/numberrange"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nStructures a numeric range. Low and High values are designated. The structure identifies Low values that should be treated as bottom coded (Stated value and bellow, High values that should be treated as top coded (stated value and higher), and provides a regular expression to further define the valid content of the range.\n\nDDI 3.2 mapping\n=================\nr:NumberRangeType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usesnumberrange"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Defines the valid number range or number values for the representation.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/numericresponsedomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA response domain capturing a numeric response (the intent is to analyze the response as a number) for a question.\n\nExamples\n==========\nSystolic blood pressure level, as an integer from 0 to 200\n\nDDI 3.2 mapping\n=================\nd:NumericDomainType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#RankingResponseDomain",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ResponseDomain"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/rankingresponsedomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA response domain capturing a ranking response which supports a \"ranking\" or \"Ordering\" of provided categories. \nNote: This item still must be modeled and is incomplete at this time.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ResponseDomain",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A display label for the domain. May be expressed in multiple languages.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#intendedRepresentation",
              "valueExpr": "http://ddi-alliance.org/ns/#RepresentedVariable",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/intendedrepresentation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Associates the ResponseDomain with the RepresentedVariable that the question will populate into an InstanceVariable when fielded.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasOutputParameter",
              "valueExpr": "http://ddi-alliance.org/ns/#Parameter",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasoutputparameter"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A parameter which can be used to bind the output of this response domain to another parameter to direct the flow of the captured datum.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:compositeAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/responsedomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe possible list of values that are allowed by a Capture.\n\nExamples\n==========\nYes/No, Male/Female, Age in years, Open-ended text, Temperature, BP reading\n\nExplanatory notes\n===================\nIdentifies both the sentinel and substantive value domains used for capturing the response to a question\n\nSynonyms\n==========\nGSIM & DDI: ResponseDomain\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ScaleResponseDomain",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ResponseDomain"
        ],
        "closed": true,
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/scaleresponsedomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA response domain capturing a scaled response, such as a Likert scale. \nNote: This item still must be modeled and is incomplete at this time.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Statement",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#InstrumentComponent"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#statementText",
              "valueExpr": "http://ddi-alliance.org/ns/#DynamicText",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/statementtext"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Structured human-readable text that allows for dynamic content. For example, the insertion of a name or gender specific pronoun. Repeat ONLY for capturing the same content in multiple languages.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purposeOfStatement",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purposeofstatement"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the use of the statement within the instrument. For example, a section divider, welcome statement, or other text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/statement"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Statement is a type of Instrument Component containing  human readable text or referred material. \n\nExamples\n==========\nIntroductory text; Explanations; Labels, Headers, Help screens, etc.  \"Thank you for agreeing to take this survey. We will start with a brief set of demographic questions.\" \"The following set of questions are related to your household income. Please consider all members of the household and all sources of income when answering these questions.\"\n\nExplanatory notes\n===================\nIt is not directly related to another specific Instrument Component such as an InstanceQueston or InstanceMeasurement. It may be placed anywhere in a WorkflowStepSequence. \n\nSynonyms\n==========\nDDI:StatementItem\n\nDDI 3.2 mapping\n=================\nd:StatementItemType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#TextResponseDomain",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ResponseDomain"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#maximumLength",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/maximumlength"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The maximum number of characters allowed.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#minimumLength",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/minimumlength"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The minimum number of characters allowed.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#regularExpression",
              "valueExpr": "http://ddi-alliance.org/ns/#TypedString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/regularexpression"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A regular expression limiting the allowed characters or character order of the content. Use typeOfContent to specify the syntax of the regularExpression found in content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/textresponsedomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#DataCapture"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA response domain capturing a textual response including the length of the text and restriction of content using a regular expression.\n\nExamples\n==========\nCollecting the first name on an individual in an open ended text field\n\nDDI 3.2 mapping\n=================\nr:TextDomainType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#AnnotatedIdentifiable",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Identifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasAnnotation",
              "valueExpr": "http://ddi-alliance.org/ns/#Annotation",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasannotation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provides annotation information on the object to support citation and crediting of the creator(s) of the object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#relatedMaterial",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/relatedmaterial"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Used to reference external resources. Should include the citation to such material, an external reference to a URI, and a statement of the relationship of the material to the object it has been associated with.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/annotatedidentifiable"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Identification"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nUsed to identify objects for purposes of internal and/or external referencing. Elements of this type are versioned. Provides identification and administrative metadata about the object. Adds optional annotation. Use this as the extension base for First Order Classes that contain intellectual content that needs to be discoverable in its own right.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Identifiable",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#agency",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/agency"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "This is the registered agency code with optional sub-agencies separated by dots. For example, diw.soep, ucl.qss, abs.essg.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#id",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/id"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The ID of the object. This must conform to the allowed structure of the DDI Identifier and must be unique within the Agency.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#version",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/version"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The version number of the object. The version number is incremented whenever the non-administrative metadata contained by the object changes.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#versionResponsibility",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/versionresponsibility"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Contributor who has the ownership and responsibility for the current version. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#versionRationale",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#rationaleDescription",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/rationaledescription"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Textual description of the rationale/purpose for the version change to inform users as to the extent and implication of the version change. May be expressed in multiple languages.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#rationaleCode",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/rationalecode"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "RationaleCode is primarily for internal processing flags within an organization or system. Supports the use of an external controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/rationaledefinition"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nTextual description of the rationale/purpose for the version change and a coded value to provide an internal processing flag within and organization or system. Note that versioning can only take place on objects owned by the specified DDI Agency. If you are creating a local instance of an object from another agency for current or future modification use BasedOnObject. If the changes being made result in what you determine to be new object rather than a version of a previous object, i.e. the change is too extensive to consider it a version of the existing object, create a new object and use BasedOnObject to provide a link to the object or objects that were a basis for the new object.\n\nDDI 3.2 mapping\n=================\nr:VersionRationaleType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/versionrationale"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The reason for making this version of the object.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#versionDate",
              "valueExpr": "http://ddi-alliance.org/ns/#IsoDateType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/versiondate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The date and time the object was changed. Supports standard ISO date and datetime formats.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isUniversallyUnique",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isuniversallyunique"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Default value is false. Usually the combination of agency and id (ignoring different versions) is unique. If isUniversallyUnique is set to true, it indicates that the id itself is universally unique (unique across systems and/or agencies) and therefore the agency part is not required to ensure uniqueness. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isPersistent",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/ispersistent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Default value is false. Usually the content of the current version is allowed to change, for example as the contributor is working on the object contents. However, when isPersistent is true, it indicates the there will be no more changes to the current version.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#localId",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#localIdValue",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/localidvalue"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Value of the local ID.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#localIdType",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/localidtype"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of identifier, specifying the context of the identifier.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#localIdVersion",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/localidversion"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Version of the Local ID.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/localidformat"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nThis is an identifier in a given local context that uniquely references an object, as opposed to the full ddi identifier which has an agency plus the id.\n\nExamples\n==========\nThe name of a variable within a dataset is a localId. Software systems might use their own identifier systems for performance reasons (e.g. incrementing integers).\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/localid"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "This is an identifier in a given local context that uniquely references an object, as opposed to the full ddi identifier which has an agency plus the id. For example, localId could be a variable name in a dataset. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#basedOnObject",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#basedOnRationaleDescription",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/basedonrationaledescription"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Textual description of the rationale/purpose for the based on reference to inform users as to the extent and implication of the version change. May be expressed in multiple languages.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#basedOnRationaleCode",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/basedonrationalecode"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "RationaleCode is primarily for internal processing flags within an organization or system. Supports the use of an external controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#basedOn",
                      "valueExpr": "http://ddi-alliance.org/ns/#Identifiable",
                      "min": 1,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/basedon"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The identification for the object upon which the current object is based.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/basedonobjectinformation"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nUse when creating an object that is based on an existing object or objects that are managed by a different agency or when the new object is NOT simply a version change but you wish to maintain a reference to the object that served as a basis for the new object. BasedOnObject may contain references to any number of objects which serve as a basis for this object, a BasedOnRationaleDescription of how the content of the referenced object was incorporated or altered, and a BasedOnRationaleCode to allow for specific typing of the BasedOnReference according to an external controlled vocabulary.\n\nDDI 3.2 mapping\n=================\nr:BasedOnObjectType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/basedonobject"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The object/version that this object version is based on.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/identifiable"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Identification"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nUsed to identify objects for purposes of internal and/or external referencing. Elements of this type are versioned and provide administrative metadata properties. Use for First Order Classes whose content does not need to be discoverable in its own right but needs to be related to multiple classes. \n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#DataPoint",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isDescribedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isdescribedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The InstanceVariable delimits the values which can populate a DataPoint.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasDatum",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Designation"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#representation",
                      "valueExpr": "http://ddi-alliance.org/ns/#ValueString",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/representation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specification of the type of Signification",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isBoundedBy",
                      "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isboundedby"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A Datum is bounded by an InstanceVariable. The Datum is drawn from a set of values, either substantive or sentinel described by the value domain of the InstanceVariable ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/datum"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA Datum is a designation (a representation of a concept by a sign) with a notion of equality defined. The sign itself is a perceivable object.\n\nExamples\n==========\nA systolic blood pressure of 122 is measured. The Signifier for that measurement in this paragraph is the character string \"122\". The Datum in this case is a kind of Designation (Sign), which is the association of the underlying measured concept (a blood pressure at that level) with that Signifier.  The Datum has an association with an InstanceVariable which allows the attachment of a unit of measurement (mm Hg), a datatype, a Population, and the Act which produced the measurement.  These InstanceVariable attributes are critical for interpreting the Signifier.\n\nExplanatory notes\n===================\nFrom GSIM 1.1 \"A Datum is the actual instance of data that was collected or derived. It is the value which populates one or more Data Points. A Datum is the value found in a cell of a table.\" (https://statswiki.unece.org/display/GSIMclick/Datum )  A Datum could be copied to one or more datasets.\nDDI4 takes a little more formal (semiotic) description of a Datum using the Signification Pattern. See the attached example.\n\n\nNOTE: This is NOT datum from DDI3.2 (which is quite specific).\n\nGSIM mapping\n==============\nDatum\n\t\t\t\t\t\t\t\t\t",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasdatum"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The Datum populating the DataPoint.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/datapoint"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA DataPoint is a container for a Datum.\n\nExamples\n==========\nA cell in a spreadsheet table. Note that this could be empty. It exists independently of the value to be stored in it.\n\nExplanatory notes\n===================\nThe DataPoint is structural and distinct from the value (the Datum) that it holds. [GSIM 1.1]\n\nGSIM mapping\n==============\nData Point\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#DataStore",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#characterSet",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/characterset"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Default character set used in the Data Store.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#dataStoreType",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/datastoretype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The type of DataStore. Could be delimited file, fixed record length file, relational database, etc. Points to an external definition which can be part of a controlled vocabulary maintained by the DDI Alliance.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#recordCount",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/recordcount"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The number of records in the Data Store.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#aboutMissing",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/aboutmissing"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "General information about missing data, e.g., that missing data have been standardized across the collection, missing data are present because of merging, etc.-  corresponds to DDI2.5 dataMsng.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#LogicalRecord",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to LogicalRecord",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/logicalrecordindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type LogicalRecord\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Data in the form of Data Records contained in the Data Store. Allows for the identification of the member and optionally provides an index for the member within an ordered array ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#LogicalRecord",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "First member in the relationship. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#LogicalRecord",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Second member in a relationship. Note that this can be realized as a collection to support tuples.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/logicalrecordrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDefines complex relationship between LogicalRecords. \n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Logical Record relations that comprise the relation structure",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/logicalrecordrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nAllows for the complex structuring of relationships between LogicalRecords in a DataStore\n\nExamples\n==========\nA DataStore with a Household, Family, and Person LogicalRecord type. Allows for describing parent/child, whole/part, or other relationships as appropriate\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description of a complex structure for the Collection. A collection may be structured in more than one way for different uses.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isInStudy",
              "valueExpr": "http://ddi-alliance.org/ns/#Study",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isinstudy"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A Study has at most one DataStore. Many studies can have the same set of record types.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesRecordRelation",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                      "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A display label for the CollectionCorrespondence. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#purpose",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#usage",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/usage"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#correspondence",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#valueRelationship",
                              "valueExpr": "http://ddi-alliance.org/ns/#ValueRelationshipType",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/valuerelationship"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Relationship between the source and target InstanceVariables or to the setValue if provided",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#setValue",
                              "valueExpr": "http://ddi-alliance.org/ns/#ValueString",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/setvalue"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A set value for the key source Instance Variables",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasCorrespondenceType",
                              "valueExpr": "http://ddi-alliance.org/ns/#CorrespondenceType",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hascorrespondencetype"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Describes the relationship between the source and target members using both controlled vocabularies and descriptive text. In this context the correspondence refers to the two instance variables, not their value. The relationship would normally be exactMatch.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
                              "min": 1,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The source Intance Variable for the relationship.  ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Target Instance Variables if a directional relation is used",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/instancevariablevaluemap"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nA key value relationship for two or more logical records where the key is one or more equivalent instance variables and the value is a defined relationship or a relationship to a set value. Correspondence type refers to the variables themselves rather than the value of the variables concerned. In this context Correspondence type will normally be set to ExactMatch.\n\nExplanatory notes\n===================\nLogical Records: Household and Person, Key: Household ID (HHID in Household Record, HHIDP in Person Record), ValueRelaitonship: Equal, Set Value: n.a.\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/correspondence"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Correspondences between Instance Variables of different Logical Record Layout. ",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#maps",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#LogicalRecord"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
                              "valueExpr": {
                                "type": "Shape",
                                "extends": [
                                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                                ],
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#criteria",
                                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/criteria"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Intensional definition of the order criteria (e.g. alphabetical, numerical, increasing, decreasing, etc.)",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                                      "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "A display label for the OrderRelation. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#usage",
                                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/usage"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "A display label for the OrderRelation. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Controlled vocabulary for the order relation semantics. It should contain, at least, the following: Self_Or_Descendant_Of, Part_Of, Less_Than_Or_Equal_To, Subtype_Of, Subclass_Of.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#totality",
                                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Controlled Vocabulary to specify whether the relation is total, partial or unknown.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                                      "valueExpr": {
                                        "type": "Shape",
                                        "closed": true,
                                        "expression": {
                                          "type": "EachOf",
                                          "expressions": [
                                            {
                                              "type": "TripleConstraint",
                                              "predicate": "http://ddi-alliance.org/ns/#totality",
                                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                                              "min": 0,
                                              "max": 1,
                                              "annotations": [
                                                {
                                                  "type": "Annotation",
                                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                                },
                                                {
                                                  "type": "Annotation",
                                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                                  "object": {
                                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                                    "type": "https://github.com/commonmark/commonmark.js"
                                                  }
                                                }
                                              ]
                                            },
                                            {
                                              "type": "TripleConstraint",
                                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                                              "min": 1,
                                              "max": 1,
                                              "annotations": [
                                                {
                                                  "type": "Annotation",
                                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                                },
                                                {
                                                  "type": "Annotation",
                                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                                  "object": {
                                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                                                    "type": "https://github.com/commonmark/commonmark.js"
                                                  }
                                                }
                                              ]
                                            },
                                            {
                                              "type": "TripleConstraint",
                                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                                              "min": 0,
                                              "max": 1,
                                              "annotations": [
                                                {
                                                  "type": "Annotation",
                                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                                },
                                                {
                                                  "type": "Annotation",
                                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                                  "object": {
                                                    "value": "Provides semantic context for the relationship",
                                                    "type": "https://github.com/commonmark/commonmark.js"
                                                  }
                                                }
                                              ]
                                            },
                                            {
                                              "type": "TripleConstraint",
                                              "predicate": "http://ddi-alliance.org/ns/#source",
                                              "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
                                              "min": 1,
                                              "max": 1,
                                              "annotations": [
                                                {
                                                  "type": "Annotation",
                                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                                },
                                                {
                                                  "type": "Annotation",
                                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                                  "object": {
                                                    "value": "First member in a relationship. ",
                                                    "type": "https://github.com/commonmark/commonmark.js"
                                                  }
                                                }
                                              ]
                                            },
                                            {
                                              "type": "TripleConstraint",
                                              "predicate": "http://ddi-alliance.org/ns/#target",
                                              "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariable",
                                              "min": 0,
                                              "max": -1,
                                              "annotations": [
                                                {
                                                  "type": "Annotation",
                                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                                },
                                                {
                                                  "type": "Annotation",
                                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                                  "object": {
                                                    "value": "Second member in a relationship. Note that this can be realized as a collection to support tuple",
                                                    "type": "https://github.com/commonmark/commonmark.js"
                                                  }
                                                }
                                              ]
                                            }
                                          ]
                                        },
                                        "annotations": [
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                            "object": "http://lion.ddialliance.org/ddiobjects/instancevariablerelation"
                                          },
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                            "object": {
                                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                                            }
                                          },
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                            "object": {
                                              "value": "\nDefinition\n============\nDefines the relationship between 2 or more InstanceVariables.\n\nExplanatory notes\n===================\nUse when relationships are limited to InstanceVariables only. Use VariableRelation when mixing relationships between various levels in the Variable Cascade. Use ConceptRelation when any subtype of Concept may be part of the relationship.\n\n",
                                              "type": "https://github.com/commonmark/commonmark.js"
                                            }
                                          }
                                        ]
                                      },
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Member relations of InstanceVariables that comprise the relation structure",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/instancevariablerelationstructure"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nA realization of RelationStructure that is used to describe the order of InstanceVariables in a record for those cases where the variables have a more complicated logical order than a simple sequence.\n\n\nExplanatory notes\n===================\nFor a simple sequence the order can be defined by the index values of the LogicalRecord's InstanceVariableIndicators that a UnitDataRecord inherits. Alternatively, the InstanceVariableRelationStructure can be used by a UnitDataRecord to describe a StructuredCollection as needed. \n\n\nSynonyms\n==========\nAn information model, a struct in C, a nested object in JSON\n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Describe the order of InstanceVariables in a record for those cases where the variables have a more complicated logical order than a simple sequence.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#isViewedFrom",
                              "valueExpr": {
                                "type": "Shape",
                                "extends": [
                                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                                ],
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasIdentifierRole",
                                      "valueExpr": {
                                        "type": "Shape",
                                        "extends": [
                                          "http://ddi-alliance.org/ns/#ViewpointRole"
                                        ],
                                        "closed": true,
                                        "annotations": [
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                            "object": "http://lion.ddialliance.org/ddiobjects/identifierrole"
                                          },
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                            "object": {
                                              "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
                                            }
                                          },
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                            "object": {
                                              "value": "\nDefinition\n============\nAn IdentifierRole identifies one or more InstanceVariables as being identifiers within a ViewPoint. An IdentifierRole is a SimpleCollection of InstanceVariables acting in the IdentifierRole.\n\n\nExamples\n==========\nA data record with four variables: \"PersonId\", \"Systolic\", \"Diastolic\", \"Seated\" might have a Viewpoint with \nPersonId defined as having the IdentifierRole\nSystolic defined as having the MeasureRole\nDiastolic defined as having the MeasureRole\nSeated defined as having the AttributeRole\n\nPersonId, Systolic, Diastolic, Seated\n123,122,20,yes\n145,130,90,no\n\n\nExplanatory notes\n===================\nSee the Viewpoint documentation for an in depth discussion of the uses of ViewpointRoles: http://lion.ddialliance.org/ddiobjects/viewpoint\n\n",
                                              "type": "https://github.com/commonmark/commonmark.js"
                                            }
                                          }
                                        ]
                                      },
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasidentifierrole"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "The InstanceVaribles functioning as identifiers",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                                          "object": {
                                            "value": "shexmi:compositeAggregation"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasMeasureRole",
                                      "valueExpr": {
                                        "type": "Shape",
                                        "extends": [
                                          "http://ddi-alliance.org/ns/#ViewpointRole"
                                        ],
                                        "closed": true,
                                        "annotations": [
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                            "object": "http://lion.ddialliance.org/ddiobjects/measurerole"
                                          },
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                            "object": {
                                              "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
                                            }
                                          },
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                            "object": {
                                              "value": "\nDefinition\n============\nA MeasureRole identifies one or more InstanceVariables as being measures within a ViewPoint. A MeasureRole is a SimpleCollection of InstanceVariables acting in the MeasureRole.\n\n\n\nExamples\n==========\nA data record with four variables: \"PersonId\", \"Systolic\", \"Diastolic\", \"Seated\" might have a Viewpoint with \nPersonId defined as having the IdentifierRole\nSystolic defined as having the MeasureRole\nDiastolic defined as having the MeasureRole\nSeated defined as having the AttributeRole\n\nPersonId, Systolic, Diastolic, Seated\n123,122,20,yes\n145,130,90,no\n\n\nExplanatory notes\n===================\nSee the Viewpoint documentation for an in depth discussion of the uses of ViewpointRoles: http://lion.ddialliance.org/ddiobjects/viewpoint\n\n",
                                              "type": "https://github.com/commonmark/commonmark.js"
                                            }
                                          }
                                        ]
                                      },
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasmeasurerole"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "The InstanceVaribles functioning as measures",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                                          "object": {
                                            "value": "shexmi:compositeAggregation"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasAttributeRole",
                                      "valueExpr": {
                                        "type": "Shape",
                                        "extends": [
                                          "http://ddi-alliance.org/ns/#ViewpointRole"
                                        ],
                                        "closed": true,
                                        "annotations": [
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                            "object": "http://lion.ddialliance.org/ddiobjects/attributerole"
                                          },
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                            "object": {
                                              "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
                                            }
                                          },
                                          {
                                            "type": "Annotation",
                                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                            "object": {
                                              "value": "\nDefinition\n============\nAn AttributeRole identifies one or more InstanceVariables as being attributes within a ViewPoint. An AttributeRole is a SimpleCollection of InstanceVariables acting in the AttributeRole.\n\n\nExamples\n==========\nA data record with four variables: \"PersonId\", \"Systolic\", \"Diastolic\", \"Seated\" might have a Viewpoint with \nPersonId defined as having the IdentifierRole\nSystolic defined as having the MeasureRole\nDiastolic defined as having the MeasureRole\nSeated defined as having the AttributeRole\n\nPersonId, Systolic, Diastolic, Seated\n123,122,20,yes\n145,130,90,no\n\n\n\nExplanatory notes\n===================\nSee the Viewpoint documentation for an in depth discussion of the uses of ViewpointRoles: http://lion.ddialliance.org/ddiobjects/viewpoint.\nAn InstanceVariable with an AttributeRole assigned might contain data about the conditions under which the MeausreRole InstanceVariables were collected or other paradata.\n\n\n",
                                              "type": "https://github.com/commonmark/commonmark.js"
                                            }
                                          }
                                        ]
                                      },
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasattributerole"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "The InstanceVaribles functioning as attributes",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                                          "object": {
                                            "value": "shexmi:compositeAggregation"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/unitdataviewpoint"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nThe assignment of measure, identifier and attribute roles to InstanceVariables\n\nEach of three roles within a UnitDataViewpoint is a SimpleCollection of instance variables. \n\nExamples\n==========\nAssigning \nPatientID the role of identifier\nsystolic the role of measure\ndiastolic the role of measure\ndevice the role of attribute\ntime the role of attribute\nposition (sitting, standing) the role of attribute\n\nExplanatory notes\n===================\nViewpoint is a UnitDataViewpoint to underline that the composition of a UnitDataRecord viewpoint is different from the composition of DataCube viewpoint. The DataCube viewpoint is out of scope currently. \nIt is sometimes useful to describe a set of variables and their roles within the set. In the blood pressure example above, values for a set of variables are captured in one setting - the taking of a blood pressure. Some of the variables may be the measures of interest, for example the systolic and diastolic pressure. Other variables may take on the role of identifiers, such as the hospital’s patient ID and a government ID such as the U.S. Social Security Number. A third subgroup of variables may serve as attributes. The age of the patient, whether she is sitting or standing, the time of day. The assignment of these three roles, identifier, measure, and attribute, is the function of the Viewpoint.\nViewpoints are not fixed attributes of variables. This is why there is a separate Viewpoint class which maps to InstanceVariables.   In the example above, the Viewpoint is within the context of the original measurement. In a reanalysis of the data the roles might change. Time of day might be the measure of interest in a study of hospital practices.\n\n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/isviewedfrom"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "A UnitDataRecord may have multiple ViewPoints, each of which assigns among roles identifier, measure, and attribute to the InstanceVariables associated with each Datapoint",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/unitdatarecord"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nGives a UnitDataRecord structure to a Logical Record. UnitDataRecord structures a LogicalRecord as either a SimpleCollection or a StructuredCollection (InstanceVariableRelationStructure) of instance variables.\n\nThe UnitDataRecord also organizes instance variables in a UnitDataViewpoint. The UnitDataViewpoint assigns roles to Instance Variables. In any one UnitDataViewpoint UnitDataRecord instance variables play one of three roles: identifier, measure or attribute. The same UnitDataRecord may have many UnitDataViewpoints.\n\nThe UnitDataViewPoint can work in conjunction with the InstanceVariableRelationStructure. Together they can break out instance variables into complex (hierarchical) identifier, measure and attribute groups. \n\nExamples\n==========\nThe UnitDataRecord can be used to specify the structure of a table in a relational database. It can be used to specify the structure of both the fact and dimension tables in a data warehouse. It can be used to specify the structure of a big data table. Likewise it can be used to specify the structures of \"column-based\" and \"row-based\" tables.\n\nThe UnitDataRecord may also form an information model if it is a StructuredCollection. Blood Pressure as described by an openEHR archetype is an information model. So is a collection of FHIR (HL7) resources that form an Electronic Health Record (EHR). \n\nExplanatory notes\n===================\nThe <a href=\"http://www.openehr.org/ckm/\">openEHR archetype</a> is a use case that motivates the use of the InstanceVariableRelationStructure together with a UnitDataViewPoint. In the Blood Pressure archetype as well as most other archetypes attributes are not a SimpleCollection. Instead they are part of a StructuredCollection that breaks out attributes into \"Protocol\", \"State\" and \"Events\". In other archetypes the measure may be structured. For example body composition data includes a \"base model\" (fat mass, fat percentage, fat free mass), an \"atomic level\" (chemical elements, hydrogen, carbon, oxygen), a \"molecular level\" (minerals, protein, fat, water) and so forth.\n\nIt is, however, possible to break out attributes into not one but many SimpleCollections in the event attributes and/or data do not form StructuredCollections. That is because the UnitDataViewpoint supports not just one but many attribute roles within the same viewpoint.\n\nSynonyms\n==========\nTable Definition if the UnitDataRecord is a SimpleCollection, Information Model if the UnitDataRecord is a StructuredCollection\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 2,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/maps"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Map related record types, which are Collections of Instance Variables. Realization of structures in Symmetric Relation.\n",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/recordrelation"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nThe RecordRelation object is used to indicate relationships among record types within and between LogicalRecords. For InstanceVariables existing in a LogicalRecord with multiple record layouts, pairs of InstanceVariables may function as paired keys to permit the expression of hierarchical links between records of different types. These links between keys in different record types could also be used to link records in a relational structure.\n\nExamples\n==========\nOne LogicalRecord containing a PersonIdentifier and a PersonName and another LogicalRecord containing a MeasurementID, a PersonID, a SystolicPressure, and a DiastolicPressure could be linked by a RecordRelation. The RecordRelation could employ an InstanceVariableValueMap to describe the linkage between  PersonIdentifier and PersonID.\n\nExplanatory notes\n===================\nA household-level LogicalRecord might contain an InstanceVariable called HouseholdID and a person-level LogicalRecord might contain an InstanceVariable called HID. Describing a link between HouseholdID and HID would allow the linking of a person-level LogicalRecord to their corresponding household-level LogicalRecord.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usesrecordrelation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The Record Relation that defines the relationship and linking requirements between LogicalRecords in the DataStore ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/datastore"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA DataStore is either a SimpleCollection or a StructuredCollection of LogicalRecords, keeping in mind that a LogicalRecords is a definition, not a \"datasets\".\n\nLogicalRecords organized in a StructuredCollection is called a LogicalRecordRelationStructure.\n\nInstances of LogicalRecords instantiated as organizations of DataPoints hosting data are described in FormatDescription.\n\nA DataStore is reusable across studies. Each Study has at most one DataStore.\n\n\nExamples\n==========\nThe data lineage of an individual BusinessProcess or an entire DataPipeline are both examples of  a LogicalRecordRelationStructures. In a data lineage we can observe how LogicalRecords are connected within a BusinessProcess or across BusinessProcesses.\n\nSynonyms\n==========\nSchema repository, data network\n\nGSIM mapping\n==============\nData Set\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#DataStoreLibrary",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#DataStore",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to DataStore",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/datastoreindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type DataStore\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The DataStores in the Catalog. Allows for the identification of the member and optionally provides an index for the member within an ordered array ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#DataStore",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "First DataStore in the relation",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#DataStore",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Second DataStore in a relationship. Note that this can be realized as a collection to support tuples.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/datastorerelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDefines the complex relationship between 2 or more DataStores in a DataLibrary\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Member relations that comprise the relation structure",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/datastorerelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA structure for describing a complex relation of DataStores within a DataStoreLibrary\n\nExamples\n==========\nIf the succession of DataStores are created by a StudySeries that is a time series, from one DataStore to the next part/whole relations can obtain as supplements are added and subtracted.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description of a complex structure for the Collection. A collection may be structured in more than one way for different uses.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isInStudySeries",
              "valueExpr": "http://ddi-alliance.org/ns/#StudySeries",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isinstudyseries"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whereas a DataStore is associated with a Study, a DataSoreLibrary is associated with a StudySeries. Each StudySeries has at most one DataStoreLibrary",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/datastorelibrary"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA DataStoreLibrary is a collection or, again, a \"library\" of DataStores.\n\nAn individual DataStore is associated with a Study. A collection of DataStores is associated with a StudySeries.\n\nThe relationships among the DataStores in the DataStoreLibrary is described by the DataStoreRelationStructure. Relations may be more or less complicated depending on the StudySeries type. A StudySeries may be ad hoc. A StudySeries may form a time series. The variety of these collections has been described using the <a href=https://www.ddialliance.org/Specification/DDI-Lifecycle/3.1/XMLSchema/FieldLevelDocumentation/\">\"Group\"</a> in DDI 3.1.\n\nLike any RelationStructure, the DataStoreRelationStructure is able to describe both part/whole relations and generalization/specialization relations. See the controlled vocabulary at <a href=\"http://lion.ddialliance.org/datatypes/relationspecification\">RelationSpecification</a> to review all the types of relations a RelationStructure is able to describe. \n\nExamples\n==========\nA StudySeries is a time series and a DataStoreRelationStructure is dedicated to tracking \"supplements\".\n\nThere is a study at T0. Perhaps it is never executed. It is the \"core\" study. At T1 there is a study that includes the core and Supplement A. At T2 there is a study that includes the core, Supplement A and Supplement B. At T3 there is a study that includes the core and a one off supplement that is never asked again. T4 though T6 repeats T1 through T3.\n\n\n\nExplanatory notes\n===================\nIf we broke a study down into sub-studies where the core is a sub-study and each supplement is a sub-study, we could also use the DataStoreRelationStructure to track the generalization/specialization relationship or, again, \"going deep\" over time.\n\nSometimes across a StudySeries we add panels. If panels were also sub-studies, we could use the DataStoreRelationStructure to track both the core and supplements by panel over time.\n\nSynonyms\n==========\nStructured metadata archive\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#LogicalRecord",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariableIndicator",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Specifies contents of Unit Record as Instance Variable values.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/logicalrecord"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe LogicalRecord is a record definition. It is abstract.\n\nThe actual realization of record definitions are provided by the UnitDataRecord and the DataCube. UnitDataRecords support two types of record definitions. The first is based on the SimpleCollection it inherits from LogicalRecord. The second type is a StructuredCollection that specializes the LogicalRecord. As a SimpleCollection a UnitDataRecord can, for example, provide table definitions. As a StructuredCollection, UnitDataRecord can define structures comparable to a \"struct\" in C or a JSON nested object. A UnitDataRecord, then, inherits SimpleCollection from LogicalRecord but adds its own StructuredCollection into the mix. The DataCube brings into play its own StructuredCollection which is distinct from the UnitDataRecord StructuredCollection.The DataCube StructuredCollection is not currently in scope.\n\nThe various record definitions -- simple and structured -- when they are actually instantiated with data is described by the PhysicalLayout of a LogicalRecord in the FormatDescription package. The PhysicalLayout places data into DataPoints formed at the direction of a LogicalRecord and its instance variables. At this point a LogicalRecord turn into a \"dataset\" that hosts unit records, A record definition is not a record. So we conflate metadata and data when we refer to a LogicalRecord as an empty table.\n\nExamples\n==========\nSQL Data Definition Language (DDL) traffics in record definitions. SQL queries on \"system tables\" discover record definitions.\n\nExplanatory notes\n===================\nIn GSIM a DataPoint is a member of a \"DataSet\" and a UnitDataRecord. Since a DataPoint contains \"Datum\", this can lead to the conflation of a DataSet and a record definition. In the presence of a DataPoint it is difficult to be clear that a record definition does not have any rows. \n\nIn DDI4 we defer the introduction of DataPoints until PhysicalLayouts are described. In this approach the instance variables that make up a LogicalRecord work downstream where they help to give each DataPoint in a PhysicalRecord its format.\n\nSynonyms\n==========\nRecord Type, Data Structure\n\nDDI 3.2 mapping\n=================\nl:LogicalRecordType\n\nGSIM mapping\n==============\nData Structure\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ViewpointRole",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": "http://ddi-alliance.org/ns/#InstanceVariableIndicator",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/viewpointrole"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#LogicalDataDescription"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA ViewpointRole designates the function an InstanceVariable performs in the context of the Viewpoint. (IdentifierRole, AttributeRole, or MeasureRole of interest).\n\nEach of three roles within a Viewpoint may be a collection. This happens when a role is mapped to multiple instance variables. In this event a role forms a SimpleCollection. There are SimpleCollections of instance variables in each role.\n\nExplanatory notes\n===================\nSee the Viewpoint documentation for an in depth discussion of the uses of ViewpointRoles: http://lion.ddialliance.org/ddiobjects/viewpoint\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Agent",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasAgentId",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#agentIdValue",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/agentidvalue"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The identifier for the agent.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#agentIdType",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/agentidtype"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The identifier system in use.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/agentid"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nPersistent identifier for a researcher using a system like ORCID\n\nExamples\n==========\nORCID\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasagentid"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "An identifier within a specified system for specifying an agent",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#image",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Image"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The period for which this image is effective/valid.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#privacy",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/privacy"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Specify the level privacy for the image as public, restricted, or private. Supports the use of an external controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/privateimage"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nReferences an image using the standard Image description. In addition to the standard attributes provides an effective date (period), the type of image, and a privacy ranking.\n\nDDI 3.2 mapping\n=================\na:PrivateImageType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/image"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "References an image using the standard Image description. In addition to the standard attributes provides an effective date (period), the type of image, and a privacy ranking.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/agent"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Agents"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAn actor that performs a role in relation to a process or product.\n\nExamples\n==========\nAnalyst performing edits on data, interviewer conducting an interview, a relational database management system managing data, organization publishing data on a regular basis, creator or contributor of a publication.\n\nExplanatory notes\n===================\nfoaf:Agent is: An agent (eg. person, group, software or physical artifact)\nprov:Agent is An agent is something that bears some form of responsibility for an activity taking place, for the existence of an entity, or for another agent's activity.\n\nSynonyms\n==========\nAgent\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Individual",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Agent"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasIndividualName",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#prefix",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/prefix"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Title that precedes the name of the individual, such as Ms., or Dr.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#firstGiven",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/firstgiven"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "First (given) name of the individual",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#middle",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/middle"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Middle name or initial of the individual",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#lastFamily",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/lastfamily"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Last (family) name /surname of the individual",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#suffix",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#string"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/suffix"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Title that follows the name of the individual, such as Esq.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#fullName",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/fullname"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "This provides a means of providing a full name as a single object for display or print such as identification badges etc. For example a person with the name of William Grace for official use may prefer a display name of Bill Grace on a name tag or other informal publication.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Clarifies when the name information is accurate.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#abbreviation",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/abbreviation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "An abbreviation or acronym for the name. This may be expressed in multiple languages. It is assumed that if only a single language is provided that it may be used in any of the other languages within which the name itself is expressed.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfIndividualName",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeofindividualname"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The type of individual name provided. the use of a controlled vocabulary is strongly recommended. At minimum his should include, e.g. PreviousFormalName, Nickname (or CommonName), Other.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#sex",
                      "valueExpr": "http://ddi-alliance.org/ns/#SexSpecificationType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/sex"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Sex allows for the specification of male, female or neutral. The purpose of providing this information is to assist others in the appropriate use of pronouns when addressing the individual. Note that many countries/languages may offer a neutral pronoun form.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isPreferred",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/ispreferred"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "If more than one name for the object is provided, use the isPreferred attribute to indicate which is the preferred name content. All other names should be set to isPreferred=\"false\".",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#context",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/context"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A name may be specific to a particular context, i.e. common usage, business, social, etc.. Identify the context related to the specified name. Supports the use of an external controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isFormal",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isformal"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The legal or formal name of the individual should have the isFormal attribute set to true. To avoid confusion only one individual name should have the isFormal attribute set to true. Use the TypeOfIndividualName to further differentiate the type and applied usage when multiple names are provided.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/individualname"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nThe name of an individual broken out into its component parts of prefix, first/given name, middle name, last/family/surname, and suffix. The preferred compilation of the name parts may also be provided. The legal or formal name of the individual should have the isFormal attribute set to true. The preferred name should be noted with the isPreferred attribute. The attribute sex provides information to assist in the appropriate use of pronouns.\n\nDDI 3.2 mapping\n=================\na:IndividualNameType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasindividualname"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The name of an individual broken out into its component parts of prefix, first/given name, middle name, last/family/surname, and suffix.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#ddiId",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/ddiid"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The agency identifier of the individual according to the DDI Alliance agent registry.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasContactInformation",
              "valueExpr": "http://ddi-alliance.org/ns/#ContactInformation",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hascontactinformation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Contact information for the individual including location specification, address, URL, phone numbers, and other means of communication access. Sets of information can be repeated and date-stamped.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/individual"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Agents"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA person who may have a relationship to another Agent and who may be specified as being associated with an act.\n\nExamples\n==========\nAnalyst performing edits on data, interviewer conducting an interview, a creator.\n\nExplanatory notes\n===================\nA set of information describing an individual and means of unique identification and/or contact. Information may be repeated and provided effective date ranges to retain a history of the individual within a metadata record. Actions and relationships are specified by the use of the Individual as the target of a relationship (Creator) or within a collection of Agents in an AgentListing (employee of an Organization).\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Machine",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Agent"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#typeOfMachine",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/typeofmachine"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The kind of machine used - software, web service, physical machine, from a controlled vocabulary",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The name of the machine. A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasAccessLocation",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#uri",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "nodeKind": "iri"
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/uri"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A URI for access, normally expressed as a URL",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#mimeType",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/mimetype"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The mime type. Supports the use of an controlled vocabulary.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#physicalLocation",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/physicallocation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The physical location of the machine",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/accesslocation"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA set of access information for a Machine including URI, mime type, and physical location\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasaccesslocation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The locations where the machine can be access",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#function",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/function"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The function of the machine",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#machineInterface",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/machineinterface"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Specified the machine interface. Supports the use of a controlled vocabulary.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#ownerOperatorContact",
              "valueExpr": "http://ddi-alliance.org/ns/#ContactInformation",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/owneroperatorcontact"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Contact information for the owner/operator including location specification, address, URL, phone numbers, and other means of communication access. Sets of information can be repeated and date-stamped.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/machine"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Agents"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nMechanism or computer program used to implement a process.\n\nExamples\n==========\nSAS program, photocopier\n\nExplanatory notes\n===================\nMay be used as the target to describe how an action was performed. Relevent to data capture and data processing or wherever a role is performed by a Machine.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Organization",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Agent"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasOrganizationName",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#ObjectName"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#abbreviation",
                      "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/abbreviation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "An abbreviation or acronym for the name. This may be expressed in multiple languages. It is assumed that if only a single language is provided that it may be used in any of the other languages within which the name itself is expressed.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#typeOfOrganizationName",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/typeoforganizationname"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The type of organization name provided. the use of a controlled vocabulary is strongly recommended. At minimum this should include, e.g. PreviousFormalName, Nickname (or CommonName), Other.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
                      "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The time period for which this name is accurate and in use.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isFormal",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isformal"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The legal or formal name of the organization should have the isFormal attribute set to true. To avoid confusion only one organization name should have the isFormal attribute set to true. Use the TypeOfOrganizationName to further differentiate the type and applied usage when multiple names are provided.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/organizationname"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nNames by which the organization is known. Use the attribute isFormal=\"true\" to designate the legal or formal name of the Organization. The preferred name should be noted with the isPreferred attribute. Names may be typed with TypeOfOrganizationName to indicate their appropriate usage.\n\nDDI 3.2 mapping\n=================\na:OrganizationNameType\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 1,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasorganizationname"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Names by which the organization is known.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#ddiId",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/ddiid"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The agency identifier of the organization as registered at the DDI Alliance register.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasContactInformation",
              "valueExpr": "http://ddi-alliance.org/ns/#ContactInformation",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hascontactinformation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Contact information for the organization including location specification, address, URL, phone numbers, and other means of communication access. Sets of information can be repeated and date-stamped.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/organization"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Agents"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA framework of authority designated to act toward some purpose.\n\nExamples\n==========\nU.S. Census Bureau, University of Michigan/ISR, Norwegian Social Data Archive \n\nExplanatory notes\n===================\nrelated to org:Organization which is described as \"Represents a collection of people organized together into a community or other...\"\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#AuthorizationSource",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#statementOfAuthorization",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/statementofauthorization"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Text of the authorization (law, mandate, approved business case).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#legalMandate",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/legalmandate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Provide a legal citation to a law authorizing the study/data collection. For example, a legal citation for a law authorizing a country's census.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#authorizationDate",
              "valueExpr": "http://ddi-alliance.org/ns/#Date",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/authorizationdate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Identifies the date of Authorization.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#authorizingAgent",
              "valueExpr": "http://ddi-alliance.org/ns/#Agent",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/authorizingagent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "References the authorizing agent generally described as an organization or individual",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/authorizationsource"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nIdentifies the authorizing agency and allows for the full text of the authorization (law, regulation, or other form of authorization).\n\nExamples\n==========\n May be used to list authorizations from oversight committees and other regulatory agencies.\n\nExplanatory notes\n===================\nSupports requirements for some statistical offices to identify the agency or law authorizing the collection or management of data or metadata.\n\nSynonyms\n==========\nUse for the Case Law, Case Law Description, and Case Law Date properties in ClassificationItem\n\nDDI 3.2 mapping\n=================\nr:AuthorizationSourceType\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ClassificationFamily",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#ClassificationSeries",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to ClassificationSeries",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/classificationseriesindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type ClassificationSeries\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the identification of the member Classification Series and optionally provides an index for the member within an ordered array",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasClassificationIndex",
              "valueExpr": "http://ddi-alliance.org/ns/#ClassificationIndex",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/hasclassificationindex"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "ClassificationIndexes associated to the ClassificationFamily.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#ClassificationSeries",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "First member in the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#ClassificationSeries",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Second member in the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/classificationseriesrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nDefines the Classification Series in a complex relation and specifies the relationshi\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Member relations that comprise the relation structure",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/classificationseriesrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Representations"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nDescribes the complex relation structure of a classification family.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description of a complex structure for the Collection. A collection may be structured in more than one way for different uses.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/classificationfamily"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Classification Family is a collection of Classification Series related from a particular point of view. The Classification Family is related by being based on a common Concept, as documented by the definingConcept relationship   (e.g. economic activity).[GSIM1.1]\n\nExamples\n==========\nA family of industrial classifications each a separate series (i.e. U.S. Standard Industrial Classification (SIC) and North American Industrial Classification System (NAICS)\n\nExplanatory notes\n===================\nDifferent classification databases may use different types of Classification Families and have different names for the families, as no standard has been agreed upon. [GSIM1.1]\n\nGSIM mapping\n==============\nClassification Family\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ClassificationIndex",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#releaseDate",
              "valueExpr": "http://ddi-alliance.org/ns/#Date",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/releasedate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Date when the current version of the Classification Index was released.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#availableLanguage",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#language"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/availablelanguage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A Classification Index can exist in several languages. Indicates the languages available. If a Classification Index exists in several languages, the number of entries in each language may be different, as the number of terms describing the same phenomenon can change from one language to another. However, the same phenomena should be described in each language. Supports the indication of multiple languages within a single property. Supports use of codes defined by the RFC 1766.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#corrections",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/corrections"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Verbal summary description of corrections, which have occurred within the Classification Index. Corrections include changing the item code associated with an Classification Index Entry.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#codingInstruction",
              "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/codinginstruction"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Additional information which drives the coding process for all entries in a Classification Index.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#ClassificationIndexEntry",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to ClassificationIndexEntry",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/classificationindexentryindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type ClassificationIndexEntry\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasPublication",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/haspublication"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A list of the publications in which the Classification Index has been published.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#ClassificationIndexEntry",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricts soruce to  ClassificationEntry.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#ClassificationIndexEntry",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricts target to  ClassificationEntry.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/indexentryrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nRelationship between Index Entries defined by RelationSpecification.\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index Entry Relations  that comprise the relationship structure",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/indexentryrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Representations"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nStructures relationship of Classification Index Entries in a Classification Index.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description of a complex structure for the Collection. A collection may be structured in more than one way for different uses.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#maintenanceUnit",
              "valueExpr": "http://ddi-alliance.org/ns/#Agent",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/maintenanceunit"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The unit or group of persons within the organization responsible for the Classification Index, i.e. for adding, changing or deleting Classification Index Entries.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contactPerson",
              "valueExpr": "http://ddi-alliance.org/ns/#Agent",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contactperson"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Person(s) who may be contacted for additional information about the Classification Index.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/classificationindex"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Classification Index is an ordered list (alphabetical, in code order etc) of Classification Index Entries. A Classification Index can relate to one particular or to several Statistical Classifications. [GSIM Statistical Classification Model]\n\nExamples\n==========\nAn alphabetical index of a topically ordered Statistical Classification\n\nExplanatory notes\n===================\nA Classification Index shows the relationship between text found in statistical data sources (responses to survey questionnaires, administrative records) and one or more Statistical Classifications.  A Classification Index may be used to assign the codes for Classification Items to observations in statistical collections. \nA Statistical Classification is a subtype of a Structured Collection.  [GSIM Statistical Classification Model]  Note that a GSIM Node is the equivalent of a DDI Member and a GSIM Node Set is a DDI Collection.\n\nGSIM mapping\n==============\nClassification Index\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ClassificationIndexEntry",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#entry",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/entry"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Text describing the type of object/unit or object property.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#validDates",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/validdates"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Date from which the Classification Index Entry became valid (startDate). The date must be defined if the Classification Index Entry belongs to a floating Classification Index. Date at which the Classification Index Entry became invalid (endDate). The date must be defined if the Classification Index Entry belongs to a floating Classification Index and is no longer valid. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#codingInstruction",
              "valueExpr": "http://ddi-alliance.org/ns/#CommandCode",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/codinginstruction"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Additional information which drives the coding process. Required when coding is dependent upon one or many other factors.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/classificationindexentry"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Classification Index Entry is a word or a short text (e.g. the name of a locality, an economic activity or an occupational title) describing a type of object/unit or object property to which a Classification Item applies, together with the code of the corresponding Classification Item. Each Classification Index Entry typically refers to one item of the Statistical Classification. Although a Classification Index Entry may be associated with a Classification Item at any Level of a Statistical Classification, Classification Index Entries are normally associated with items at the lowest Level.\n\nGSIM mapping\n==============\nClassification Index Entry\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ClassificationItem",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Designation"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isValid",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isvalid"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates whether or not the item is currently valid. If updates are allowed in the Statistical Classification, an item may be restricted in its validity, i.e. it may become valid or invalid after the Statistical Classification has been released. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isGenerated",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isgenerated"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates whether or not the item has been generated to make the level to which it belongs complete",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#explanatoryNotes",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/explanatorynotes"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A Classification Item may be associated with explanatory notes, which further describe and clarify the contents of the Category. Explanatory notes consist of: General note: Contains either additional information about the Category, or a general description of the Category, which is not structured according to the \"includes\", \"includes also\", \"excludes\" pattern. Includes: Specifies the contents of the Category. Includes also: A list of borderline cases, which belong to the described Category. Excludes: A list of borderline cases, which do not belong to the described Category. Excluded cases may contain a reference to the Classification Items to which the excluded cases belong.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#futureNotes",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/futurenotes"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The future events describe a change (or a number of changes) related to an invalid item. These changes may e.g. have turned the now invalid item into one or several successor items. This allows the possibility to follow successors of the item in the future.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#changeLog",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/changelog"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the changes, which the item has been subject to during the life time of the actual Statistical Classification.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#changeFromPreviousVersion",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/changefrompreviousversion"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the changes, which the item has been subject to from the previous version to the actual Statistical Classification",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#validDates",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/validdates"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Dates for which the classification is valid. Date from which the item became valid. The date must be defined if the item belongs to a floating Statistical classification. Date at which the item became invalid. The date must be defined if the item belongs to a floating Statistical classification and is no longer valid",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A Classification Item has a name as provided by the owner or maintenance unit. The name describes the content of the category. The name is unique within the Statistical Classification to which the item belongs, except for categories that are identical at more than one level in a hierarchical classification. Use the context attribute to identify Official Name or alternate names for the Classification Item.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#representation",
              "valueExpr": "http://ddi-alliance.org/ns/#ValueString",
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/representation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The value as expressed in the data file. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#caseLaw",
              "valueExpr": "http://ddi-alliance.org/ns/#AuthorizationSource",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/caselaw"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Case law rulings related to the Classification Item.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#exclude",
              "valueExpr": "http://ddi-alliance.org/ns/#ClassificationItem",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/exclude"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Classification Items to which the excluded cases belong (as described in explanatoryNotes).",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#denotes",
              "valueExpr": "http://ddi-alliance.org/ns/#Category",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/denotes"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A definition for the code. Specialization of denotes for Categories.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/classificationitem"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Classification Item represents a Category at a certain Level within a Statistical Classification.\n\n\nExamples\n==========\nIn the  2012 NAICS (North American Industry Classification System) one Classification Item has the Code 23 and the Category construction.\n\nExplanatory notes\n===================\nA Classification Item defines the content and the borders of the Category. A Unit can be classified to one and only one item at each Level of a Statistical Classification. As such a Classification Item is a placeholder for a position in a StatisitcalClassification. It contains a Designation, for which Code is a kind; a Category; and other things. \n\nThis differentiates it from Code which is a kind of Designation, in particular it is an alphanumeric string assigned to stand in place of a category. For example, the letter M might stand for the category Male in the CodeList called Gender.\n\nGSIM mapping\n==============\nClassification Item\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ClassificationSeries",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#context",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/context"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "ClassificationSeries can be designed in a specific context. Supports the use of and External Controlled Vocabulary.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#objectsOrUnitsClassified",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/objectsorunitsclassified"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A ClassificationSeries is designed to classify a specific type of object/unit according to a specific attribute.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#subject",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/subject"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Areas of statistics in which the ClassificationSeries is implemented.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#keyword",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/keyword"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A ClassificationSeries can be associated with one or a number of keywords. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Index value of member in an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#StatisticalClassification",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Restricts member target class to StatisticalClassification",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/statisticalclassificationindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nMember Indicator for use with member type StatisticalClassification\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "MemberIndicator Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If members are ordered set to true, if unordered set to false.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#StatisticalClassification",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "First member of the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#StatisticalClassification",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "The second member of the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/statisticalclassificationrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nSpecifies the Statistical Classifications for the source and target of the complex relationship and defines the relationship.\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Member relations that comprise the relation structure",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/statisticalclassificationrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Representations"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA structure for describing the complex relationship between statistical classifications in a classification series\n\nExamples\n==========\nA classification series that branches into separately versioned classifications\n\nExplanatory notes\n===================\nCan use relation specification information to more fully describe the relationship between members such as parent/child, whole/part, general/specific, equivalence, etc.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description of a complex structure for the Collection. A collection may be structured in more than one way for different uses.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#owner",
              "valueExpr": "http://ddi-alliance.org/ns/#Agent",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/owner"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The statistical office or other authority, which created and maintains the StatisticalClassification (s) related to the ClassificationSeries. A ClassificationSeries may have several owners.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/classificationseries"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Classification Series is an ensemble of one or more Statistical Classifications, based on the same concept, as documented by the definingConcept relationship, and related to each other as versions or updates. Typically, these Statistical Classifications have the same name.\n\nExamples\n==========\nISIC or ISCO\nSIC (with different published versions related to the publication year)\n\nGSIM mapping\n==============\nClassification Series\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Code",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Designation"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#representation",
              "valueExpr": "http://ddi-alliance.org/ns/#ValueString",
              "min": 1,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/representation"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The value as expressed in the data file. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#denotes",
              "valueExpr": "http://ddi-alliance.org/ns/#Category",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/denotes"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A definition for the code. Specialization of denotes for Categories.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/code"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA type of Designation that relates a representation expressed as a string with or without meaningful white space to a specific classification. For use in a Code List. The representation property (Value) is expressed as it would be found in a data file. Multiple representations may relate to the same Category but should be expressed as separate Codes.\n\nExamples\n==========\nThe letter M might stand for the category Male in the CodeList called Gender.\n\nExplanatory notes\n===================\nA Code is a kind of Designation, in particular it is the assignment of an alphanumeric string to stand in place of a category. \n\nIt should not be confused with a ClassificationItem which is a placeholder for a position in a StatisticalClassification. It contains a Designation, for which Code is a kind; a Category; and other things. For example, in 2012 NAICS (North American Industry Classification System) one Classification Item has the Code 23 and the Category construction.\n\nDDI 3.2 mapping\n=================\nl:CodeType\n\nGSIM mapping\n==============\nCode\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#CorrespondenceTable",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#effectiveDates",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/effectivedates"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Effective period of validity of the CorrespondenceTable. The correspondence table expresses the relationships between the two NodeSets as they existed on the period specified in the table.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#correspondence",
              "valueExpr": "http://ddi-alliance.org/ns/#Map",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/correspondence"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Set of mappings between nodes that participate in the correspondence.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#maps",
              "valueExpr": "http://ddi-alliance.org/ns/#StatisticalClassification",
              "min": 1,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/maps"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The Statistical Classification(s) from which the correspondence is made.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#sourceLevel",
              "valueExpr": "http://ddi-alliance.org/ns/#LevelStructure",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/sourcelevel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Level from which the correspondence is made. Correspondences might be restricted to a certain Level in the NodeSet. In this case, target items are assigned only to source items on the given level. If no level is indicated, source items can be assigned to any level of the target NodeSet.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#targetLevel",
              "valueExpr": "http://ddi-alliance.org/ns/#LevelStructure",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/targetlevel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Level to which the correspondence is made. Correspondences might be restricted to a certain Level in the NodeSet. In this case, target items are assigned only to source items on the given level. If no level is indicated, target items can be assigned to any level of the source NodeSet.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#hasPublication",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/haspublication"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A list of the publications in which the Correspondence Table has been published.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#owner",
              "valueExpr": "http://ddi-alliance.org/ns/#Agent",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/owner"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The statistical office, other authority or section that created and maintains the Correspondence Table. A Correspondence Table may have several owners.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#maintenanceUnit",
              "valueExpr": "http://ddi-alliance.org/ns/#Agent",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/maintenanceunit"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The unit or group of persons who are responsible for the Correspondence Table, i.e. for maintaining and updating it.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contactPerson",
              "valueExpr": "http://ddi-alliance.org/ns/#Agent",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contactperson"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The person(s) who may be contacted for additional information about the Correspondence Table. Can be an individual or organization.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/correspondencetable"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Correspondence Table expresses relationships between the members within or between StatisticalClassifications.\n\nExamples\n==========\nCorrespondence between the U.S. Standard Industrial Classification (SIC) and North American Industrial Classification System (NAICS)\n\nExplanatory notes\n===================\nCorrespondenceTables are used with Statistical Classifications. For instance, it can relate two versions from the same Classification Series; Statistical Classifications from different Classification Series; a variant and the version on which it is based; or, different versions of a variant. In the first and last examples, the Correspondence Table facilitates comparability over time.\n\nGSIM mapping\n==============\nCorrespondence Table\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#Designation",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Identifiable"
        ],
        "closed": true,
        "expression": {
          "type": "TripleConstraint",
          "predicate": "http://ddi-alliance.org/ns/#denotes",
          "valueExpr": "http://ddi-alliance.org/ns/#Concept",
          "min": 0,
          "max": 1,
          "annotations": [
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
              "object": "http://lion.ddialliance.org/ddiobjects/denotes"
            },
            {
              "type": "Annotation",
              "predicate": "http://www.w3.org/ns/shex-xmi#comment",
              "object": {
                "value": "The concept denoted by the designation. ",
                "type": "https://github.com/commonmark/commonmark.js"
              }
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/designation"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA sign denoting a concept.\n\nExamples\n==========\nA linking of the term “Unemployment” to an particular underlying concept.\n\nExplanatory notes\n===================\nThe representation of a concept by a sign (e.g., string, pictogram, bitmap) which denotes it. An example is the code M designating the marital status Married, which is a concept. In this context, M means Married.\n\nGSIM mapping\n==============\nDesignation\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#EnumerationDomain",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#type",
              "valueExpr": "http://ddi-alliance.org/ns/#CollectionType",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/type"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purpose",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purpose"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isOrdered",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isordered"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#references",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#ConceptSystem"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#contains",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#index",
                              "valueExpr": {
                                "type": "NodeConstraint",
                                "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                              },
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/index"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Index value of member in an ordered array",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#member",
                              "valueExpr": "http://ddi-alliance.org/ns/#Category",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/member"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricts member target class to Concept or subtype of Concept",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/categoryindicator"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nMember Indicator for use when the member type is restricted to Category.\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/contains"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "MemberIndicator Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
                      "valueExpr": {
                        "type": "Shape",
                        "extends": [
                          "http://ddi-alliance.org/ns/#Identifiable"
                        ],
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list. Use if all relations within this relation structure are of the same specification.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                              "valueExpr": {
                                "type": "Shape",
                                "closed": true,
                                "expression": {
                                  "type": "EachOf",
                                  "expressions": [
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#totality",
                                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                                      "min": 0,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Provides semantic context for the relationship",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#source",
                                      "valueExpr": "http://ddi-alliance.org/ns/#Category",
                                      "min": 1,
                                      "max": 1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/source"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "First member in a relationship.\n",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    },
                                    {
                                      "type": "TripleConstraint",
                                      "predicate": "http://ddi-alliance.org/ns/#target",
                                      "valueExpr": "http://ddi-alliance.org/ns/#Category",
                                      "min": 0,
                                      "max": -1,
                                      "annotations": [
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                          "object": "http://lion.ddialliance.org/ddiobjects/target"
                                        },
                                        {
                                          "type": "Annotation",
                                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                          "object": {
                                            "value": "Second member in a relationship. Note that this can be realized as a collection to support tuples.\n",
                                            "type": "https://github.com/commonmark/commonmark.js"
                                          }
                                        }
                                      ]
                                    }
                                  ]
                                },
                                "annotations": [
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                    "object": "http://lion.ddialliance.org/ddiobjects/categoryrelation"
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                                    "object": {
                                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                                    }
                                  },
                                  {
                                    "type": "Annotation",
                                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                    "object": {
                                      "value": "\nDefinition\n============\nSource target relationship between categories in a classification relation structure\n\n\n",
                                      "type": "https://github.com/commonmark/commonmark.js"
                                    }
                                  }
                                ]
                              },
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Restricted to CategoryRelation. CategoryRelations making up the relation structure.",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/categoryrelationstructure"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#Conceptual"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nRelation structure of categories within a collection. Allows for the specification of complex relationships among categories.\n\nExamples\n==========\nThe category of student might be described as having sub-types of primary school student and high school student.\n\nExplanatory notes\n===================\nThe CategoryRelationStructure employs a set of CategoryRelations to describe the relationship among concepts. Each CategoryRelation is a one to many description of connections between categories. Together they might commonly describe relationships as complex as a hierarchy. \nThis is a kind of a ConceptRelationStructure restricted to categories (which are concepts).\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A structure containing specific relationships between members of the collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/categoryset"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Conceptual"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nSpecialization of a Concept System focusing on sets of categories used as specifications for a generalized concept. Can be used directly by questions to express a set of categories for a response domain or as the related source for a CodeList or StatisticalClassification\n\nExamples\n==========\n\"Male\" and \"Female\" categories in a CategorySet named \"Gender\"\n\nA CategorySet for an occupational classification system like ISCO-08 could use a ClassificationRelationStructure to describe a hierarchy (Chief Executives and Administrative and Commercial Managers as subtypes of Managers) without an associated Code List.\n\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/references"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "CategorySet associated with the enumeration",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usesLevelStructure",
              "valueExpr": "http://ddi-alliance.org/ns/#LevelStructure",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/useslevelstructure"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Has meaningful level to which members belong.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#definingConcept",
              "valueExpr": "http://ddi-alliance.org/ns/#Concept",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/definingconcept"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The conceptual basis for the collection of members.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/enumerationdomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nAn abstract base to allow all codifications (CodeList, StatisticalClassification, etc.) to be used as enumerated value representations.\n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#LevelStructure",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#name",
              "valueExpr": "http://ddi-alliance.org/ns/#ObjectName",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/name"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usage",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text. Use in locations where you need to relay information on the usage of the instantiated class.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#containsLevel",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#levelNumber",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/levelnumber"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides an association between a level number and optional concept which defines it within an ordered array. Use is required.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                      "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A display label for the object. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#definedBy",
                      "valueExpr": "http://ddi-alliance.org/ns/#Concept",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/definedby"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A concept or concept sub-type which describes the level.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/level"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nProvides Level information for the members of the LevelStructure. levelNumber provides the level number which may or may not be associated with a category which defines level.\n\nExplanatory notes\n===================\nISCO-08: index='1' label of associated category 'Major',  index='2' label of associated category 'Sub-Major',  index='3' label of associated category 'Minor', \n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/containslevel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The association of a level number in an ordered array with the description of that level",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#validDateRange",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/validdaterange"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The dates for which the level structure is valid.  A structured DateRange with start and end Date (both with the structure of Date and supporting the use of ISO and non-ISO date structures); Use to relate a period with a start and end date.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/levelstructure"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe LevelStructure describes the nesting structure of a hierarchical collection. The levels within the structure begin at the root level '1' and continue as an ordered array through each level of nesting.\n\n\n\nExamples\n==========\nISCO-08 (Major, Sub-Major, and Minor) or NAICS (2 digit sector codes, 3 digit subsector code list, 4 digit industry group code list, and 5 digit industry code list)\n\n\nExplanatory notes\n===================\nLevels are used to organize a hierarchy. Usually, a hierarchy often contains one root member at the top, though it could contain several. These are the first Level. All members directly related to those  in the first Level compose the second Level. The third and subsequent Levels are defined similarly. \n\nA Level often is associated with a Concept, which defines it. These correspond to kinds of aggregates. For example, in the US Standard Occupational Classification (2010), the Level below the top is called Major Occupation Groups, and the next Level is called Minor Occupational Groups. These ideas convey the structure. In particular, Health Care Practitioners (a Major Group) can be broken into Chiropractors, Dentists, Physicians, Vets, Therapists, etc. (Minor Groups) The Categories in the Nodes at the lower Level aggregate to the Category in Node above them.\n\n\"Classification schemes are frequently organized in nested levels of increasing detail. ISCO-08, for example, has four levels: at the top level are ten major groups, each of which contain sub-major groups, which in turn are subdivided in minor groups, which contain unit groups. Even when a classification is not structured in levels (\"flat classification\"), the usual convention, which is adopted here, is to consider that it contains one unique level.\" (http://rdf-vocabulary.ddialliance.org/xkos.html#) Individual classification items organized in a hierarchy may be associated with a specific level.\n\nDDI 3.2 mapping\n=================\nl:LevelType\n\nGSIM mapping\n==============\nLevel\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#SentinelValueDomain",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#ValueDomain"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#platformType",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/platformtype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The type of platform under which sentinel codes will be used. Statistical software platforms use different sets of codes to indicate missing values. The external controlled vocabulary should list platform tpes and a description of the allowed missing value types. A sample list would be: • BlankString - A Blank string indicates missing. Comparison is based on lexical order.  • EmptyString - An empty string indicates missing. Use in comparisons returns missing.   • Rstyle - Codes drawn from  NA and the IEEE 754 values of  NaN  -Inf   +Inf.   Comparisons return NA.   • SASNumeric - codes drawn from . ._ .A .B .C .D .E .F .G .H .I .J .K .L .M .N .O .P .Q .R .S .T .U .V .W .X .Y .Z    Sentinel code treated as less than any substantive value   • SPSSstyle - System missing (a dot) a set of individual values drawn from the same datatype as the SubstantiveValueDomain, and a range of values  drawn from the same datatype as the SubstantiveValueDomain.  Comparisons return system missing.  Some functions substitute with valid values (e.g. SUM replaces missing values with 0)   • StataNumeric - codes drawn from . ._ .A .B .C .D .E .F .G .H .I .J .K .L .M .N .O .P .Q .R .S .T .U .V .W .X .Y .Z  Sentinel code treated as greater than any substantive value  • Unrestricted - No restrictions on codes for sentinel values. Use in comparisons is indeterminate.  ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#takesConceptsFrom",
              "valueExpr": "http://ddi-alliance.org/ns/#SentinelConceptualDomain",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/takesconceptsfrom"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Corresponding conceptual definition given by a SentinelConceptualDomain.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#describedValueDomain",
              "valueExpr": "http://ddi-alliance.org/ns/#ValueAndConceptDescription",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/describedvaluedomain"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A formal description of the set of valid values - for described value domains.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#enumeratedValueDomain",
              "valueExpr": "http://ddi-alliance.org/ns/#EnumerationDomain",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/enumeratedvaluedomain"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Any subtype of an Enumeration Domain enumerating the set of valid values.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/sentinelvaluedomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe Value Domain for a sentinel conceptual domain. Sentinel values are defined in ISO 11404 as\n\"element of a value space that is not completely consistent with a datatype's properties and characterizing operations...\". A common example would be codes for missing values.\n\nExamples\n==========\nMissing categories expressed as Codes <-9, refused>; <-8, Don't Know> for a numeric variable with values greater than zero.  \n\nExplanatory notes\n===================\nSentinel values are used for processing, not to describe subject matter. Typical examples include missing values or invalid entry codes. Sentinel Value Domains are typically of the enumerated type, but they can be the described type, too.\n\nThis is not to say that sentinel values carry no information. Data on gender might be enumerated by \"0, male\" and \"1, female\". These are the substantive values (see Substantive Value Domain). However, there may be the need to include missing values along with that data, such as \"m, missing\" and \"r, refused\". These are sentinel values.\n\nISO/IEC 11404 - General purpose datatypes, defines sentinel values in terms of how that standard defines datatypes. But, the fact that the sentinels don't fit in terms of the calculations and statistics one would perform on the \"clean\" data is a distinguishing characteristic. In the example above, one would not include missing or refused data in calculating a ratio of females to the total population.\n\nSentinel values may be described rather than enumerated. For instance, there might be a range of values, each representing an out of range value, but there could be too many to enumerate. It is easier to describe the range.\n\nIn some software missing values are represented as values not in the datatype of the valid values. R has values of NA, NaN, Inf, and -Inf. SAS and Stata have values displayed as \".\", \".A\" through \".Z\", and \"._\"\n\nOther software might use values like 999 for missing that would otherwise be the same datatype as valid values but outside the parameters of the domain.\n\nIn the gender example above:\nFor SPSS the sentinel values might be represented as:\n998 = \"refused\"\n999 = \"not recorded\"\n\nFor SAS or Stata the sentinel values might be represented as:\n.R = \"refused\"\n.N = \"not recorded\"\n\nSentinel values can also be used for other purposes beyond missing. For a numeric variable \"A\" might represent a value somewhere in a defined range to prevent disclosure of information about an individual. This might be considered a \"semi-missing value\".\nIn SAS or Stata for example:\n.A = \"greater than or equal to 100 and less than 1000 \"\n\n\nGSIM mapping\n==============\nEnumerated Value Domain\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#StatisticalClassification",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#EnumerationDomain"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#releaseDate",
              "valueExpr": "http://ddi-alliance.org/ns/#Date",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/releasedate"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Date the Statistical Classification was released",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#validDates",
              "valueExpr": "http://ddi-alliance.org/ns/#DateRange",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/validdates"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The date the statistical classification enters production use and the date on which the Statistical Classification was superseded by a successor version or otherwise ceased to be valid. (Source: GSIM Statistical Classification)",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isCurrent",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/iscurrent"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates if the Statistical Classification is currently valid.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isFloating",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#boolean"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isfloating"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates if the Statistical Classification is a floating classification. In a floating statistical classification, a validity period should be defined for all Classification Items which will allow the display of the item structure and content at different points of time. (Source: GSIM StatisticalClassification/Floating",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#changeFromBase",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/changefrombase"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Describes the relationship between the variant and its base Statistical Classification, including regroupings, aggregations added and extensions. (Source: GSIM StatisticalClassification/Changes from base Statistical Classification)",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#purposeOfVariant",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/purposeofvariant"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "If the Statistical Classification is a variant, notes the specific purpose for which it was developed. (Source: GSIM StatisticalClassification/Purpose of variant)",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#copyright",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/copyright"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Copyright of the statistical classification.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#updateChanges",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/updatechanges"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Summary description of changes which have occurred since the most recent classification version or classification update came into force.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#availableLanguage",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#language"
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/availablelanguage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A list of languages in which the Statistical Classification is available. Supports the indication of multiple languages within a single property. Supports use of codes defined by the RFC 1766.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#rationale",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/rationale"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the reasons some decision was made or some object exists. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#usage",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/usage"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Explanation of the ways in which some decision or object is employed. Supports the use of multiple languages and structured text.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#contains",
              "valueExpr": {
                "type": "Shape",
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#index",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/index"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides an index for the member within an ordered array",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasLevel",
                      "valueExpr": {
                        "type": "NodeConstraint",
                        "datatype": "http://www.w3.org/2001/XMLSchema#integer"
                      },
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/haslevel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Indicates the level within which the CodeItem resides",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#member",
                      "valueExpr": "http://ddi-alliance.org/ns/#ClassificationItem",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/member"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "The member containing the designation of the Classification Item",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/classificationitemindicator"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA ClassificationItemIndicator realizes and extends a MemberIndicator which provides a Classification Item with an index indicating order and a level reference providing the level location of the Classification Item within a hierarchical structure.\n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/contains"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Allows for the identification of the member and optionally provides an index for the member within an ordered array",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isMaintainedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#Organization",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/ismaintainedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Organization, agency, or group within an agency responsible for the maintenance and upkeep of the statistical classification.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#distributedAs",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalMaterial",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/distributedas"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Description and link to a publication, including print, PDF, HTML and other electronic formats, in which the Statistical Classification has been published. This is similar to dcat:Distribution.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#partonomy",
                  "object": {
                    "value": "shexmi:sharedAggregation"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#variantOf",
              "valueExpr": "http://ddi-alliance.org/ns/#StatisticalClassification",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/variantof"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Statistical Classification on which the current variant is based, and any subsequent versions of that Statistical Classification to which it is also applicable.\n",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isIndexedBy",
              "valueExpr": "http://ddi-alliance.org/ns/#ClassificationIndex",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isindexedby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "ClassificationIndex(es) related to the StatisticalClassification.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#predecessor",
              "valueExpr": "http://ddi-alliance.org/ns/#StatisticalClassification",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/predecessor"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Statistical Classification superseded by the actual Statistical Classification (for those Statistical Classifications that are versions or updates).\n\n",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#successor",
              "valueExpr": "http://ddi-alliance.org/ns/#StatisticalClassification",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/successor"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Statistical Classification that supersedes the actual Statistical Classification (for those Statistical Classifications that are versions or updates), ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#isStructuredBy",
              "valueExpr": {
                "type": "Shape",
                "extends": [
                  "http://ddi-alliance.org/ns/#Identifiable"
                ],
                "closed": true,
                "expression": {
                  "type": "EachOf",
                  "expressions": [
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                      "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                      "min": 1,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list.  Use if all relations within this relation structure are of the same specification.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#semantic",
                      "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Provides semantic context for the relationship",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#totality",
                      "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                      "min": 0,
                      "max": 1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/totality"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Type of relation in terms of totality with respect to an associated collection.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#displayLabel",
                      "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "A display label for the OrderRelation. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    },
                    {
                      "type": "TripleConstraint",
                      "predicate": "http://ddi-alliance.org/ns/#hasMemberRelation",
                      "valueExpr": {
                        "type": "Shape",
                        "closed": true,
                        "expression": {
                          "type": "EachOf",
                          "expressions": [
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#totality",
                              "valueExpr": "http://ddi-alliance.org/ns/#TotalityType",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/totality"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Type of relation in terms of totality with respect to an associated collection",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#hasRelationSpecification",
                              "valueExpr": "http://ddi-alliance.org/ns/#RelationSpecification",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/hasrelationspecification"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#semantic",
                              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
                              "min": 0,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/semantic"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Provides semantic context for the relationship",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#source",
                              "valueExpr": "http://ddi-alliance.org/ns/#ClassificationItem",
                              "min": 1,
                              "max": 1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/source"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "First member in a relationship. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            },
                            {
                              "type": "TripleConstraint",
                              "predicate": "http://ddi-alliance.org/ns/#target",
                              "valueExpr": "http://ddi-alliance.org/ns/#ClassificationItem",
                              "min": 0,
                              "max": -1,
                              "annotations": [
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                                  "object": "http://lion.ddialliance.org/ddiobjects/target"
                                },
                                {
                                  "type": "Annotation",
                                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                                  "object": {
                                    "value": "Second member in a relationship. Note that this can be realized as a collection to support tuples. ",
                                    "type": "https://github.com/commonmark/commonmark.js"
                                  }
                                }
                              ]
                            }
                          ]
                        },
                        "annotations": [
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                            "object": "http://lion.ddialliance.org/ddiobjects/classificationitemrelation"
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#package",
                            "object": {
                              "value": "http://ddi-alliance.org/ns/#StructuredDataTypes"
                            }
                          },
                          {
                            "type": "Annotation",
                            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                            "object": {
                              "value": "\nDefinition\n============\nSource target relationship between classification items in a classification item relation structure\n\n",
                              "type": "https://github.com/commonmark/commonmark.js"
                            }
                          }
                        ]
                      },
                      "min": 0,
                      "max": -1,
                      "annotations": [
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                          "object": "http://lion.ddialliance.org/ddiobjects/hasmemberrelation"
                        },
                        {
                          "type": "Annotation",
                          "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                          "object": {
                            "value": "Member relations that comprise the relation structure",
                            "type": "https://github.com/commonmark/commonmark.js"
                          }
                        }
                      ]
                    }
                  ]
                },
                "annotations": [
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                    "object": "http://lion.ddialliance.org/ddiobjects/classificationitemrelationstructure"
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#package",
                    "object": {
                      "value": "http://ddi-alliance.org/ns/#Representations"
                    }
                  },
                  {
                    "type": "Annotation",
                    "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                    "object": {
                      "value": "\nDefinition\n============\nA complex RelationStructure for use with statistical classification\n\nExamples\n==========\nA ClassificationRelationStructure for ISCO-08 would describe each of the major classifications as a parent of its sub-classifications.   1 Managers, for example would be listed as a parent of four sub groups: 11 Chief Executives, Senior Officials and Legislators;  12 Chief Executives, Senior Officials and Legislators;  13 Production and Specialized Services Managers; and  14 Hospitality, Retail and Other Services Managers. \n\nExplanatory notes\n===================\nThe ClassificationItemRelationStructure has a set of ClassificationItemRelations which are basically adjacency lists. A source ClassificationItem has a described relationship to a target list of ClassificationItem. The semantic might be, for example, \"parentOf\", or \"contains\", etc.. \n\n",
                      "type": "https://github.com/commonmark/commonmark.js"
                    }
                  }
                ]
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/isstructuredby"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A complex structure, hierarchical, for a ClassificationItem. Restricted to single structure.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/statisticalclassification"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA Statistical Classification is a set of Categories represented by Classification Items which may be assigned to one or more variables registered in statistical surveys or administrative files, and used in the production and dissemination of statistics. The Categories at each Level of the classification structure must be mutually exclusive and jointly exhaustive of all objects/units in the population of interest. (Source: GSIM StatisticalClassification)\n\nExplanatory notes\n===================\nA Classification Item represents a Category at a certain Level within a Statistical Classification. The Categories are defined with reference to one or more characteristics of a particular universe of units of observation. A Statistical Classification may have a flat, linear structure or may be hierarchically structured, such that all Categories at lower Levels are sub-Categories of Categories at the next Level up. (Source: GSIM StatisticalClassification) \n\nGSIM mapping\n==============\nStatistical Classification\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ValueAndConceptDescription",
      "type": "ShapeDecl",
      "abstract": false,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#Identifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#description",
              "valueExpr": "http://ddi-alliance.org/ns/#InternationalStructuredString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/description"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A formal description of the set of values.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#logicalExpression",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/logicalexpression"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A logical expression where the values of \"x\" making the expression true are the members of the set of valid values.  Example: (all reals x such that  x >0) describes the real numbers greater than 0",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#regularExpression",
              "valueExpr": "http://ddi-alliance.org/ns/#TypedString",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/regularexpression"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A regular expression where strings matching the expression belong to the set of valid values. Use typeOfContent to specify the syntax of the regularExpression found in content.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#minimumValueInclusive",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/minimumvalueinclusive"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A string denoting the minimum possible value. From https://www.w3.org/TR/tabular-metadata/  5.11.2 minimum: “An atomic property that contains a single number or string that is the minimum valid value (inclusive); equivalent to minInclusive. The value of this property becomes the minimum annotation for the described datatype. See Value Constraints in [tabular-data-model] for details.”",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#maximumValueInclusive",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/maximumvalueinclusive"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A string denoting the maximum possible value. From https://www.w3.org/TR/tabular-metadata/  5.11.2 maximum: “An atomic property that contains a single number or string that is the maximum valid value (inclusive); equivalent to maxInclusive. The value of this property becomes the maximum annotation for the described datatype. See Value Constraints in [tabular-data-model] for details.”",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#minimumValueExclusive",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/minimumvalueexclusive"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A string denoting the minimum possible value (excluding this value) From https://www.w3.org/TR/tabular-metadata/  5.11.2 minExclusive: “An atomic property that contains a single number or string that is the minimum valid value (exclusive). The value of this property becomes the minimum exclusive annotation for the described datatype. See Value Constraints in [tabular-data-model] for details.”   DDI3.2 handles this with a Boolean isInclusive attribute. ",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#maximumValueExclusive",
              "valueExpr": {
                "type": "NodeConstraint",
                "datatype": "http://www.w3.org/2001/XMLSchema#string"
              },
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/maximumvalueexclusive"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A string denotFrom https://www.w3.org/TR/tabular-metadata/  5.11.2 maxExclusive: “An atomic property that contains a single number or string that is the maximum valid value (exclusive). The value of this property becomes the maximum exclusive annotation for the described datatype. See Value Constraints in [tabular-data-model] for details.”   DDI3.2 handles this with a Boolean isInclusive attribute. ing the maximumpossible value (excluding this value)",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#classificationLevel",
              "valueExpr": "http://ddi-alliance.org/ns/#CategoryRelationCode",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/classificationlevel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "Indicates the type of relationship, nominal, ordinal, interval, ratio, or continuous. Use where appropriate for the representation type.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#formatPattern",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": 1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/formatpattern"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A pattern for a number as described in Unicode Locale Data Markup Language (LDML) (http://www.unicode.org/reports/tr35/tr35.html) Part 3: Numbers  (http://www.unicode.org/reports/tr35/tr35-numbers.html#Number_Format_Patterns) and Part 4. Dates (http://www.unicode.org/reports/tr35/tr35-dates.html#Date_Format_Patterns) . Examples would be    #,##0.### to describe the pattern for a decimal number, or yyyy.MM.dd G 'at' HH:mm:ss zzz for a datetime pattern.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/valueandconceptdescription"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nA formal description of a set of values. \n\nExamples\n==========\nExample 1) \nThe integers between 1 and 10 inclusive.  \nThe values of x satisfying the logicalExpression property:\n\" (1 <=x <= 10) AND mod(x,10)=0\"\nAlso described with minimumValueInclusive = 1 and maximumValueInclusive = 10 (and datatype of integer)\n\nExample 2)\nThe upper case letters A through C and X\ndescribed with the regularExpression \"/[A-CX]/\"\n\n\nExample 3)\nA date-time described with the Unicode Locale Data Markup Language pattern yyyy.MM.dd G 'at' HH:mm:ss zzz\n\n\nExplanatory notes\n===================\nThe ValueAndConceptDescription may be used to describe either a value domain or a conceptual domain. For a value domain, the ValueAndConceptDescription contains the details for a “described” domain (as opposed to an enumerated domain). There are a number of properties which can be used for the description. The description could be just text such as: “an even number greater than zero”. Or a more formal logical expression like “x>0 and mod(x,2)=0”. A regular expression might be useful for describing a textual domain. It could also employ a format pattern from the Unicode Locale Data Markup Language (LDML) (http://www.unicode.org/reports/tr35/tr35.html.\nSome Conceptual Domains might be described with just a narrative. Others, though, might be described in much the same way as a value domain depending on the specificity of the concept.\n\nIn ISO 11404 a value domain may be described either through enumeration or description, or both. This class provides the facility for that description. It may be just a text description, but a description through a logical expression is machine actionable and might, for example, be rendered as an integrity constraint. If both text and a logical expression are provided the logical expression is to be taken as the canonical description.\nThe logical expression should conform to the expression syntax of VTL. https://sdmx.org/?page_id=5096 \n\n",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    },
    {
      "id": "http://ddi-alliance.org/ns/#ValueDomain",
      "type": "ShapeDecl",
      "abstract": true,
      "shapeExpr": {
        "type": "Shape",
        "extends": [
          "http://ddi-alliance.org/ns/#AnnotatedIdentifiable"
        ],
        "closed": true,
        "expression": {
          "type": "EachOf",
          "expressions": [
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#displayLabel",
              "valueExpr": "http://ddi-alliance.org/ns/#LabelForDisplay",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/displaylabel"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "A display label for the object. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            },
            {
              "type": "TripleConstraint",
              "predicate": "http://ddi-alliance.org/ns/#recommendedDataType",
              "valueExpr": "http://ddi-alliance.org/ns/#ExternalControlledVocabularyEntry",
              "min": 0,
              "max": -1,
              "annotations": [
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
                  "object": "http://lion.ddialliance.org/ddiobjects/recommendeddatatype"
                },
                {
                  "type": "Annotation",
                  "predicate": "http://www.w3.org/ns/shex-xmi#comment",
                  "object": {
                    "value": "The data types that are recommended for use with this domain",
                    "type": "https://github.com/commonmark/commonmark.js"
                  }
                }
              ]
            }
          ]
        },
        "annotations": [
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/2000/01/rdf-schema#definedBy",
            "object": "http://lion.ddialliance.org/ddiobjects/valuedomain"
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#package",
            "object": {
              "value": "http://ddi-alliance.org/ns/#Representations"
            }
          },
          {
            "type": "Annotation",
            "predicate": "http://www.w3.org/ns/shex-xmi#comment",
            "object": {
              "value": "\nDefinition\n============\nThe permitted range of values for a characteristic of a variable. [GSIM 1.1]\n\nExamples\n==========\nAge categories with a numeric code list; Age in years; Young, Middle-aged and Old\n\nExplanatory notes\n===================\nThe values can be described by enumeration or by an expression. Value domains can be either substantive/sentinel, or described/enumeration\n\nSynonyms\n==========\nBUT NOT Grid/Numeric/Code/*_ResponseDomain [DDI-L/Questions] - this is \"ResponseDomain\"\n\nDDI 3.2 mapping\n=================\nr:RepresentationType\n\nGSIM mapping\n==============\nValue Domain\n\t\t\t\t\t\t\t\t\t",
              "type": "https://github.com/commonmark/commonmark.js"
            }
          }
        ]
      }
    }
  ],
  "@context": "http://www.w3.org/ns/shex.jsonld"
}